#!/bin/bash

source .env

mkdir -p $KC_DIR && chmod 777 $KC_DIR -R
(cd $KC_CONF_DIR && ./compile.sh)

# dns entry for keycloak
ip_address="127.0.0.1"
hostname=$KC_HOSTNAME

# check if entry exists
if ! grep -q "$ip_address\s*$hostname" /etc/hosts; then

    read -p "This script will add the DNS entry '$ip_address $hostname' to /etc/hosts. Do you want to proceed? [Y/n] " choice
    choice="${choice:-y}"

    if [[ $choice =~ ^[Yy]$ ]]; then
        echo -e "\n# for subato demo\n$ip_address $hostname" | sudo tee -a /etc/hosts >/dev/null
        echo "Added dns entry '$ip_address $hostname'"
    fi
fi

# initialize eva
if [ ! -d "$EVA_DIR" ]; then
    git clone --branch $EVA_TAG git@gitlab.cs.hs-rm.de:sls/eva2.git $EVA_DIR
fi

# build eva environments
$EVA_DIR/environments/build.sh $EVA_IMG_BASE_PATH $EVA_ENVIRONMENTS