# Maskierung von Daten
Gelegentlich müssen Daten, die vom Backend zurückgegeben werden, maskiert werden. Dies ist z.B. bei E-Mail Adressen von Lehrkräften der Fall. Wenn der Benutzer nicht eingeloggt ist, soll das Backend auch keine E-Mail Adressen herausgeben. 

Die Maskierung erfolgt automatisch über eine zu implementierende `Masker`-Schnittstelle für jede DTO-Klasse, bevor eine Response an den Client zurückgegeben wird. Siehe `UserDetailMasker` für ein Beispiel. Damit die Maskierung funktioniert, muss die Zuordnung im `MaskingModule` konfiguriert werden:

```java
modifier.addMasker(new UserDetailMasker(), UserDetailDto.class);
```

Details zur Implementierung befinden sich in den JavaDocs zu `MaskerSerializerModifier`.