# Jobs
In Subato müssen einige Prozesse regelmäßig ausgeführt werden. Dafür werden Jobs eingesetzt, [die von Spring automatisch gestartet](https://docs.spring.io/spring-framework/docs/3.2.x/spring-framework-reference/html/scheduling.html) werden. Nachfolgend werden die Jobs aufgelistet. Details befinden sich in der JavaDoc der Job-Klassen.

| Job                | Beschreibung |
|--------------------| ------------ |
| TaskPoolSyncJob    | Aktualisierung aller Aufgaben-Pools, die mit einem Git-Repository verknüpft sind. Bei Änderungen im Repository sollen neue Aufgaben automatisch importiert bzw. fehlende Aufgaben archiviert werden
| SolutionCleanupJob | Automatische Löschung von anonymen Lösungen nach einer konfigurierten Zeit
| VerifyTasksStartupJob | Validierung der im System vorhandenen Aufgaben, wird beim Start des Backends automatisch ausgeführt. Es erfolgt ggf. eine Migration von Änderungen im [STEF](/stef)-Datenmodell. Aufgaben, die eine veraltete [STEF-Spezifikation](/stef) haben, werden archiviert.