# Sicherheit

## Rate Limiting
Bei der API handelt es sich um eine interne API, die nicht dafür ausgelegt ist, dass diese für eigene Zwecke (inoffizielle Clients) verwendet wird. Zur Vereinfachung wird die API aber nicht zusätzlich abgesichert - jeder Benutzer mit einem Token kann eigene Skripte/Clients entwickeln und darauf zugreifen.

Um zu vermeiden, dass solche Clients/Skripte die Rechenleistung komplett selbst in Anspruch nehmen, wird Rate Limiting eingesetzt, um die Rechenleistung fair aufzuteilen. Für anonyme Benutzer gibt es ein Limit von **100 Anfragen/Minute**, für authentifizierte Benutzer **200 Anfragen/Minute**. Die verleibenden Requests werden über den Header `X-Rate-Limit-Remaining` kommuniziert, bei Überschreitung werden Anfragen mit dem HTTP Status 429 zurückgewiesen.   
