import { ExtraOptions, RouterModule, Routes } from '@angular/router';
import { NgModule } from '@angular/core';
import { AuthGuard } from 'app/auth/auth.guard';
import { routes as DashboardRoutes } from './dashboard/dashboard-routing.module';
import { routes as ProfileRoutes } from './profile/profile-routing.module';
import { routes as LandingRoutes } from './landing/landing-routing.module';
import { routes as TasksRoutes } from './tasks/tasks-routing.module';
import { routes as ExercisesRoutes } from './exercises/exercises-routing.module';
import { routes as AssessmentRoutes } from 'app/assessment/routing/assessment-routing.module';
import { routes as CoursesRoutes } from './courses/courses-routing.module';
import { routes as SolutionsRoutes } from './solutions/solutions-routing.module';
import { routes as ModulesRoutes } from './modules/modules-routing.module';
import { routes as MisconceptionsRoutes } from './misconceptions/misconceptions-routing.module';

export const routes: Routes = [
    {
        path: '',
        children: [
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: LandingRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: DashboardRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: ProfileRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: TasksRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: CoursesRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: SolutionsRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: ModulesRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: ExercisesRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: AssessmentRoutes,
            },
            {
                path: '',
                canActivateChild: [AuthGuard],
                children: MisconceptionsRoutes,
            },
            { path: '**', redirectTo: '' },
        ],
    },
];

const config: ExtraOptions = {
    useHash: false,
    scrollPositionRestoration: 'enabled',
};

@NgModule({
    imports: [RouterModule.forRoot(routes, config)],
    exports: [RouterModule],
})
export class AppRoutingModule {}
