import { AssessmentProgress } from 'app/assessment/models/assessment-progress';

export class BinaryAssessmentProgress extends AssessmentProgress {
    passedTotal: number;
    notPassedTotal: number;
    undecidedTotal: number;
    total: number;

    constructor(dto: any) {
        super(dto);
        this.passedTotal = dto.passedTotal;
        this.notPassedTotal = dto.notPassedTotal;
        this.undecidedTotal = dto.undecidedTotal;
        this.total = dto.total;
    }

    get progress() {
        return this.totalBinary != 0
            ? (this.decided / this.totalBinary) * 100
            : 100;
    }

    get totalBinary() {
        return this.notPassedTotal + this.passedTotal + this.undecidedTotal;
    }

    get decided() {
        return this.totalBinary - this.undecidedTotal;
    }
}
