import { CourseUnit } from 'app/courses/models/course-unit';
import { AssessmentProgress } from 'app/assessment/models/assessment-progress';
import { BinaryAssessmentProgress } from 'app/assessment/models/binary-assessment-progress';
import { NullAssessmentProgress } from 'app/assessment/models/null-assessment-progress';
import { PointsAssessmentProgress } from 'app/assessment/models/points-assessment-progress';

export class UnitAssessmentProgress {
    unit: CourseUnit;
    progress: AssessmentProgress;
    nextSubmissionId?: number;

    constructor(dto: any) {
        this.unit = dto.unit;
        this.nextSubmissionId = dto.nextSubmissionId;

        switch (dto.progress.type) {
            case 'binary': {
                this.progress = new BinaryAssessmentProgress(dto.progress);
                break;
            }
            case 'points': {
                this.progress = new PointsAssessmentProgress(dto.progress);
                break;
            }
            case 'null': {
                this.progress = new NullAssessmentProgress(dto.progress);
                break;
            }
        }
    }
}
