import { Component, Input, OnInit } from '@angular/core';
import { AssessmentProgress } from 'app/assessment/models/assessment-progress';
import { Exercise } from 'app/exercises/models/exercise';

@Component({
    selector: 'sb-submission-assessment-progress',
    templateUrl: './assessment-progress.component.html',
    styleUrls: ['./assessment-progress.component.scss'],
})
export class AssessmentProgressComponent implements OnInit {
    @Input() progress: AssessmentProgress;
    @Input() exercise: Exercise;

    constructor() {}

    ngOnInit(): void {}

    get numeratorKey() {
        return this.exercise.usingBinary ? 'decided' : 'fullyRatedTotal';
    }

    get progressBarLabel(): string {
        return this.exercise.usingBinary
            ? 'Abgaben bewertet'
            : 'Abgaben vollständig bepunktet';
    }
}
