import { Component, OnInit } from '@angular/core';
import { map } from 'rxjs/operators';
import { SubmissionPageStore } from 'app/assessment/pages/submission/submission.page.store';
import { BaseComponent } from 'app/shared/misc/base.component';

@Component({
    selector: 'sb-submission-header',
    templateUrl: './header.component.html',
    styleUrls: ['./header.component.scss'],
})
export class HeaderComponent extends BaseComponent implements OnInit {
    submission$ = this.submissionStore.submission$;
    isStaff$ = this.submissionStore.isStaff$;
    isLecturerOrAdmin$ = this.submissionStore.isLecturerOrAdmin$;
    savingPassed$ = this.submissionStore.savingPassed$;

    accent$ = this.submission$.pipe(
        map((submission) => {
            if (submission == null || !submission.exercise.usingBinary) {
                return null;
            }

            if (submission.passed == null) {
                return 'basic';
            }

            return submission.passed ? 'success' : 'danger';
        })
    );

    constructor(private submissionStore: SubmissionPageStore) {
        super();
    }

    ngOnInit(): void {}

    updatePassed(passed: boolean | null) {
        this.submissionStore.updatePassed(passed);
    }
}
