import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { filter, switchMap, take } from 'rxjs/operators';
import { Submission } from 'app/assessment/models/submission';
import { SubmissionPageStore } from 'app/assessment/pages/submission/submission.page.store';

@Component({
    selector: 'sb-submission-submission-list',
    templateUrl: './submission-list.component.html',
    styleUrls: ['./submission-list.component.scss'],
})
export class SubmissionListComponent extends BaseComponent implements OnInit {
    currentTaskInstance$ = this.submissionStore.currentTaskInstance$;
    submission$ = this.submissionStore.submission$;
    submissionsState$ = this.submissionStore.submissionsState$;

    constructor(private submissionStore: SubmissionPageStore) {
        super();
    }

    ngOnInit(): void {}

    detailLink(submission: Submission) {
        return this.currentTaskInstance$.pipe(
            take(1),
            filter((ti) => ti != null),
            switchMap((ti) =>
                this.submissionStore.getDetailLink(submission, ti)
            )
        );
    }
}
