import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SubmissionPageComponent } from 'app/assessment/pages/submission/submission.page.component';
import { DecisionDialogComponent } from 'app/assessment/pages/submission/components/decision-dialog/decision-dialog.component';
import { BreadcrumbsComponent } from 'app/assessment/pages/submission/components/breadcrumbs/breadcrumbs.component';
import { PointsInputComponent } from 'app/assessment/pages/submission/components/points-input/points-input.component';
import { PointsDisplayComponent } from 'app/assessment/pages/submission/components/points-display/points-display.component';
import { SubmissionListComponent } from 'app/assessment/pages/submission/components/submission-list/submission-list.component';
import { PassedInputComponent } from 'app/assessment/pages/submission/components/passed-input/passed-input.component';
import { PassedDisplayComponent } from 'app/assessment/pages/submission/components/passed-display/passed-display.component';
import { TotalPointsDisplayComponent } from 'app/assessment/pages/submission/components/total-points-display/total-points-display.component';
import { SubmissionNavComponent } from 'app/assessment/pages/submission/components/submission-nav/submission-nav.component';
import { HeaderComponent } from 'app/assessment/pages/submission/components/header/header.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { AssessmentProgressComponent } from 'app/assessment/pages/submission/components/assessment-progress/assessment-progress.component';
import { ExercisesSharedModule } from 'app/exercises/shared/exercises-shared.module';
import { TasksSharedModule } from 'app/tasks/shared/tasks-shared.module';
import { SolutionsSharedModule } from 'app/solutions/shared/solutions-shared.module';
import { TaskInstanceAccordionComponent } from 'app/assessment/pages/submission/components/task-instance-accordion/task-instance-accordion.component';

@NgModule({
    declarations: [
        SubmissionPageComponent,
        DecisionDialogComponent,
        BreadcrumbsComponent,
        HeaderComponent,
        PointsInputComponent,
        SubmissionListComponent,
        PointsDisplayComponent,
        PassedInputComponent,
        PassedDisplayComponent,
        TotalPointsDisplayComponent,
        SubmissionNavComponent,
        AssessmentProgressComponent,
        TaskInstanceAccordionComponent,
    ],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        ExercisesSharedModule,
        TasksSharedModule,
        SolutionsSharedModule,
        CoursesSharedModule,
    ],
})
export class SubmissionPageModule {}
