import { Directive, Input } from '@angular/core';
import { CustomRouterLinkDirective } from 'app/shared/misc/directives/custom-link/custom-router-link.directive';
import {
    DetailParams,
    SubmissionLinkProvider,
} from 'app/assessment/routing/submission-link-provider';
import { ActivatedRoute, Router } from '@angular/router';
import { LocationStrategy } from '@angular/common';

@Directive({
    selector: '[submissionDetail]',
})
export class SubmissionDetailLinkDirective extends CustomRouterLinkDirective {
    @Input() set submissionDetail(val: DetailParams | null) {
        this.customRouterLink = this.linkProvider.detail(val);
    }

    constructor(
        router: Router,
        route: ActivatedRoute,
        locationStrategy: LocationStrategy,
        private linkProvider: SubmissionLinkProvider
    ) {
        super(router, route, locationStrategy);
    }
}
