import { CustomRouterLink } from 'app/shared/misc/directives/custom-link/custom-router-link.directive';
import { Origin } from 'app/assessment/models/origin';
import { Injectable } from '@angular/core';

export interface DetailParams {
    submissionId: number;
    unitId?: number;
    taskId?: number;
    origin?: Origin;
}

@Injectable({
    providedIn: 'root',
})
export class SubmissionLinkProvider {
    public detail(params: DetailParams): CustomRouterLink {
        return {
            commands: ['/', 'submissions', params.submissionId],
            queryParams: {
                unitId: params.unitId,
                taskId: params.taskId,
                origin: params.origin,
            },
        };
    }
}
