import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BaseService } from 'app/shared/misc/base.service';
import { environment } from 'environments/environment';
import { Observable } from 'rxjs';
import { CreateAttendanceDto } from '../dto/create-attendance.dto';
import { Attendance } from '../models/attendance';

@Injectable({
    providedIn: 'root',
})
export class AttendanceService extends BaseService {
    constructor(private http: HttpClient) {
        super();
    }

    createAttendance(dto: CreateAttendanceDto): Observable<Attendance> {
        return this.http.put<Attendance>(
            `${environment.backendUrl}/attendance`,
            dto
        );
    }

    deleteAttendance(userId: number, eventId: number): Observable<void> {
        return this.http.delete<void>(
            `${environment.backendUrl}/attendance/user/${userId}/event/${eventId}`
        );
    }
}
