import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { AuthEffects } from './store/auth.effects';
import { authReducer } from './store/auth.reducers';
import { AuthSharedModule } from 'app/auth/shared/auth-shared.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        AuthSharedModule,
        StoreModule.forFeature('auth', authReducer),
        EffectsModule.forFeature([AuthEffects]),
    ],
})
export class AuthModule {}
