import { Pipe, PipeTransform } from '@angular/core';
import { Role } from '../../models/role';

@Pipe({
    name: 'roleLabel',
})
export class RoleLabelPipe implements PipeTransform {
    getLabel(value: Role) {
        switch (value) {
            case Role.SuperAdmin:
                return 'Super Admin';
            case Role.Staff:
                return 'Staff';
            case Role.Student:
                return 'Student';
            default:
                return value;
        }
    }

    transform(value: Role | Role[]): string | string[] {
        if (Array.isArray(value)) {
            return value.map((v) => this.getLabel(v));
        } else {
            return this.getLabel(value);
        }
    }
}
