import { Action } from '@ngrx/store';
import { SubatoPrincipal } from '../models/principal/subato-principal';

export enum AuthActions {
    PrincipalChange = '[Auth] Principal Change',
    LoadPrincipal = '[Auth] Load Principal',
}

export class LoadPrincipal implements Action {
    readonly type = AuthActions.LoadPrincipal;

    constructor() {}
}

export class PrincipalChange implements Action {
    readonly type = AuthActions.PrincipalChange;

    constructor(public payload: { principal: SubatoPrincipal }) {}
}

export type AuthActionsUnion = LoadPrincipal | PrincipalChange;
