import { SubatoPrincipal } from '../models/principal/subato-principal';
import { AuthActions, AuthActionsUnion } from './auth.actions';
import { Action } from '@ngrx/store';

export interface AuthState {
    principal: SubatoPrincipal;
}

export const initialState: AuthState = {
    principal: null,
};

export function authReducer(state = initialState, action: Action): AuthState {
    const a = action as AuthActionsUnion;

    switch (a.type) {
        case AuthActions.PrincipalChange: {
            return {
                ...state,
                principal: a.payload.principal,
            };
        }

        default: {
            return state;
        }
    }
}
