import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { CoursesRoutingModule } from './courses-routing.module';
import { ParticipantProgressPageModule } from 'app/courses/pages/participant-progress/participant-progress-page.module';
import { CourseUnitsPageModule } from 'app/courses/pages/course-units/course-units.page.module';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { CoursesEffects } from './store/courses.effects';
import { coursesReducer } from './store/courses.reducers';
import { CoursePageModule } from 'app/courses/pages/course/course.page.module';
import { CourseFilesPageModule } from 'app/courses/pages/course-files/course-files.page.module';
import { CoursesPageModule } from 'app/courses/pages/courses/courses.page.module';
import { CoursePermissionsPageModule } from 'app/courses/pages/course-permissions/course-permissions.page.module';
import { CourseSettingsPageModule } from 'app/courses/pages/course-settings/course-settings.page.module';
import { CourseParticipantsPageModule } from 'app/courses/pages/course-participants/course-participants.page.module';
import { CourseUnitAdminPageModule } from 'app/courses/pages/course-unit-admin/course-unit-admin.page.module';
import { NewCoursePageModule } from 'app/courses/pages/new-course/new-course.page.module';
import { CourseUnitPageModule } from 'app/courses/pages/course-unit/course-unit.page.module';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        SharedModule,
        StoreModule.forFeature('courses', coursesReducer),
        EffectsModule.forFeature([CoursesEffects]),
        CoursesSharedModule,
        CourseSettingsPageModule,
        NewCoursePageModule,
        CoursesPageModule,
        CourseFilesPageModule,
        CoursePageModule,
        CoursePermissionsPageModule,
        CourseParticipantsPageModule,
        CourseUnitAdminPageModule,
        ParticipantProgressPageModule,
        CoursesRoutingModule,
        CourseUnitPageModule,
        CourseUnitsPageModule,
    ],
})
export class CoursesModule {}
