import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { CourseParticipantsPageStore } from 'app/courses/pages/course-participants/course-participants.page.store';

@Component({
    selector: 'sb-course-participants-participant-list',
    templateUrl: './participant-list.component.html',
    styleUrls: ['./participant-list.component.scss'],
})
export class ParticipantListComponent extends BaseComponent implements OnInit {
    course$ = this.courseParticipantsPageStore.course$;
    participantsState$ = this.courseParticipantsPageStore.participantsState$;
    query$ = this.courseParticipantsPageStore.query$;

    constructor(
        private courseParticipantsPageStore: CourseParticipantsPageStore
    ) {
        super();
    }

    ngOnInit(): void {}

    onChange(query) {
        this.courseParticipantsPageStore.patchState({ query: query });
    }
}
