import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { CourseSettingsFormComponent } from './course-settings-form.component';
import { NameComponent } from 'app/courses/pages/course-settings/components/course-settings-form/name/name.component';
import { ShortNameComponent } from 'app/courses/pages/course-settings/components/course-settings-form/short-name/short-name.component';
import { VisibilityComponent } from 'app/courses/pages/course-settings/components/course-settings-form/visibility/visibility.component';
import { SubmitPolicyComponent } from 'app/courses/pages/course-settings/components/course-settings-form/submit-policy/submit-policy.component';
import { MotdComponent } from 'app/courses/pages/course-settings/components/course-settings-form/motd/motd.component';
import { ShowEmailsComponent } from 'app/courses/pages/course-settings/components/course-settings-form/show-emails/show-emails.component';
import { DescriptionComponent } from 'app/courses/pages/course-settings/components/course-settings-form/description/description.component';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { AllowJoiningUnitsComponent } from './allow-joining-units/allow-joining-units.component';
import { DisableEditorComponent } from 'app/courses/pages/course-settings/components/course-settings-form/disable-editor/disable-editor.component';

@NgModule({
    declarations: [
        CourseSettingsFormComponent,
        NameComponent,
        ShortNameComponent,
        VisibilityComponent,
        SubmitPolicyComponent,
        MotdComponent,
        ShowEmailsComponent,
        DescriptionComponent,
        AllowJoiningUnitsComponent,
        DisableEditorComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, CoursesSharedModule],
    exports: [CourseSettingsFormComponent],
})
export class CourseSettingsFormModule {}
