import { Component, Input, OnInit } from '@angular/core';
import { SubmitPolicy } from 'app/courses/models/submit-policy';
import { UntypedFormGroup } from '@angular/forms';
import { FormComponent } from 'app/shared/validation/form.component';
import { environment } from 'environments/environment';
import { EnumHelper } from 'app/shared/misc/helper/enum.helper';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'sb-course-settings-form-submit-policy',
    templateUrl: './submit-policy.component.html',
    styleUrls: ['./submit-policy.component.scss'],
})
export class SubmitPolicyComponent extends FormComponent implements OnInit {
    @Input() form: UntypedFormGroup;
    docsUrls = this.docsService.urls;
    submitPolicies = EnumHelper.getAll(SubmitPolicy);

    constructor(private docsService: DocsService) {
        super();
    }

    ngOnInit(): void {}
}
