import { Component, Input, OnInit } from '@angular/core';
import { CourseVisibility } from 'app/courses/models/course-visibility';
import { UntypedFormGroup } from '@angular/forms';
import { FormComponent } from 'app/shared/validation/form.component';
import { environment } from 'environments/environment';
import { EnumHelper } from 'app/shared/misc/helper/enum.helper';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'sb-course-settings-form-visibility',
    templateUrl: './visibility.component.html',
    styleUrls: ['./visibility.component.scss'],
})
export class VisibilityComponent extends FormComponent implements OnInit {
    @Input() form: UntypedFormGroup;
    docsUrls = this.docsService.urls;
    visibilities = EnumHelper.getAll(CourseVisibility);

    constructor(private docsService: DocsService) {
        super();
    }

    ngOnInit(): void {}
}
