import { Component } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';
import { User } from 'app/shared/user/user';
import { environment } from 'environments/environment';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    templateUrl: './add-participant-dialog.component.html',
    styleUrls: ['./add-participant-dialog.component.scss'],
})
export class AddParticipantDialogComponent {
    text: string;
    actionText: string;
    user: User;
    docsUrls = this.docsService.urls;

    constructor(
        protected ref: NbDialogRef<AddParticipantDialogComponent>,
        private docsService: DocsService
    ) {}

    onUserSelected(user: User) {
        this.user = user;
    }

    cancel() {
        this.ref.close();
    }

    add() {
        this.ref.close({
            user: this.user,
        });
    }
}
