import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { CourseUnit } from '../../../../models/course-unit';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';

@Component({
    selector: 'sb-course-unit-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent implements OnChanges {
    @Input() courseUnit: CourseUnit;
    breadcrumbs: Breadcrumb[] = [];

    constructor() {}

    ngOnChanges(changes: SimpleChanges) {
        let shouldRefresh = changes.hasOwnProperty('courseUnit');

        if (shouldRefresh) {
            this.buildBreadcrumbs(this.courseUnit);
        }
    }

    buildBreadcrumbs(unit: CourseUnit) {
        this.breadcrumbs = [
            {
                id: 'courseUnits',
                params: {
                    course_id: unit.course.id,
                },
            },
            {
                id: 'courseUnit',
                params: {
                    unit_id: unit.id,
                },
                ctx: unit,
            },
        ];
    }
}
