import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Course } from '../../../../models/course';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';
import { BaseComponent } from 'app/shared/misc/base.component';

@Component({
    selector: 'sb-course-units-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent extends BaseComponent implements OnChanges {
    @Input() course: Course;
    breadcrumbs: Breadcrumb[] = [];

    constructor() {
        super();
    }

    ngOnChanges(changes: SimpleChanges) {
        let shouldRefresh = changes.hasOwnProperty('course');

        if (shouldRefresh) {
            this.buildBreadcrumbs(this.course);
        }
    }

    buildBreadcrumbs(course: Course) {
        this.breadcrumbs = [
            {
                id: 'courseUnits',
                params: {
                    course_id: course.id,
                },
            },
        ];
    }
}
