import {
    Component,
    ContentChild,
    Input,
    OnInit,
    TemplateRef,
} from '@angular/core';
import { SubatoPrincipal } from 'app/auth/models/principal/subato-principal';
import { CourseUnit } from '../../../../models/course-unit';
import { Weekday } from '../../../../models/weekday';
import { Store } from '@ngrx/store';
import { SubatoState } from 'app/store/app.reducers';
import { takeUntil } from 'rxjs/operators';
import { BaseComponent } from 'app/shared/misc/base.component';
import { Observable, of } from 'rxjs';

@Component({
    selector: 'sb-course-units-course-unit-list',
    templateUrl: './course-unit-list.component.html',
    styleUrls: ['./course-unit-list.component.scss'],
})
export class CourseUnitListComponent extends BaseComponent implements OnInit {
    @Input() units: CourseUnit[] = [];
    @ContentChild('sidebar') sidebarTemplate: TemplateRef<any>;
    @Input() detailLinkSupplier: (unit: CourseUnit) => Observable<any> = (ti) =>
        of(null);
    @Input() detailLinkParamsSupplier: (unit: CourseUnit) => any = (ti) => null;

    principal: SubatoPrincipal | null = null;
    principal$ = this.store.select((s) => s.auth.principal);
    Weekday = Weekday;

    constructor(private store: Store<SubatoState>) {
        super();
        this.principal$
            .pipe(takeUntil(this.destroy$))
            .subscribe((principal) => (this.principal = principal));
    }

    ngOnInit(): void {}
}
