import {
    Component,
    Input,
    OnChanges,
    OnInit,
    SimpleChanges,
} from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { Course } from '../../../../models/course';
import { GlobalErrorHandler } from 'app/shared/error/global-error-handler';
import { LastExercisesListStore } from 'app/courses/pages/course/components/last-exercises-list/last-exercises-list.store';

@Component({
    selector: 'sb-course-last-exercises-list',
    templateUrl: './last-exercises-list.component.html',
    styleUrls: ['./last-exercises-list.component.scss'],
    providers: [LastExercisesListStore],
})
export class LastExercisesListComponent
    extends BaseComponent
    implements OnInit, OnChanges
{
    @Input() course: Course;
    @Input() compactMode: boolean;

    filteredExercises$ = this.lastExercisesListStore.filteredExercises$;
    exercisesState$ = this.lastExercisesListStore.exercisesState$;

    constructor(
        private lastExercisesListStore: LastExercisesListStore,
        private globalErrorHandler: GlobalErrorHandler
    ) {
        super();
    }

    ngOnInit(): void {}

    ngOnChanges(changes: SimpleChanges): void {
        if (changes.hasOwnProperty('course')) {
            this.lastExercisesListStore.patchState({ course: this.course });
        }
    }
}
