import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { StaffComponent } from 'app/courses/pages/course/components/staff/staff.component';
import { LastExercisesListComponent } from './components/last-exercises-list/last-exercises-list.component';
import { RouterModule } from '@angular/router';
import { MotdComponent } from 'app/courses/pages/course/components/motd/motd.component';
import { VisibilityHintComponent } from './components/visibility-hint/visibility-hint.component';
import { DescriptionCardComponent } from 'app/courses/pages/course/components/description-card/description-card.component';
import { LinkedProgramsComponent } from './components/linked-programs/linked-programs.component';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { CoursePageComponent } from 'app/courses/pages/course/course.page.component';
import { FinishedHintComponent } from 'app/courses/pages/course/components/finished-hint/finished-hint.component';

@NgModule({
    declarations: [
        CoursePageComponent,
        StaffComponent,
        LastExercisesListComponent,
        MotdComponent,
        VisibilityHintComponent,
        FinishedHintComponent,
        DescriptionCardComponent,
        LinkedProgramsComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, CoursesSharedModule],
})
export class CoursePageModule {}
