import { Component, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { SubatoPrincipal } from 'app/auth/models/principal/subato-principal';
import { Store } from '@ngrx/store';
import { SubatoState } from 'app/store/app.reducers';
import { BaseComponent } from 'app/shared/misc/base.component';
import { ProgramGroup } from '../../models/program-group';

@Component({
    selector: 'sb-courses-program-groups',
    templateUrl: './program-groups.component.html',
    styleUrls: ['./program-groups.component.scss'],
})
export class ProgramGroupsComponent extends BaseComponent implements OnInit {
    @Input() programGroups: ProgramGroup[] = [];
    @Input() expand: boolean;
    principal$: Observable<SubatoPrincipal> = this.store.select(
        (s) => s.auth.principal
    );

    constructor(private store: Store<SubatoState>) {
        super();
    }

    ngOnInit(): void {}

    public shouldHighlightGroup(
        principal: SubatoPrincipal,
        group: ProgramGroup
    ) {
        return principal != null ? principal.inProgram(group?.program) : false;
    }
}
