import { HttpClient } from '@angular/common/http';
import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { Course } from '../../../../models/course';
import { CourseTemplateListStore } from 'app/courses/pages/new-course/components/course-template-list/course-template-list.store';

@Component({
    selector: 'sb-new-course-course-template-list',
    templateUrl: './course-template-list.component.html',
    styleUrls: ['./course-template-list.component.scss'],
    providers: [CourseTemplateListStore],
})
export class CourseTemplateListComponent
    extends BaseComponent
    implements OnInit
{
    @Output() courseSelected: EventEmitter<Course> = new EventEmitter<Course>();

    selectedCourse$ = this.courseTemplateStore.selectedCourse$;
    courses$ = this.courseTemplateStore.courses$;
    query$ = this.courseTemplateStore.query$;
    loading$ = this.courseTemplateStore.loading$;

    constructor(
        private http: HttpClient,
        private courseTemplateStore: CourseTemplateListStore
    ) {
        super();
    }

    ngOnInit(): void {}

    selectCourse(course: Course): void {
        this.courseTemplateStore.patchState({ selectedCourse: course });
        this.courseSelected.emit(course);
    }

    filterCourses(query) {
        this.courseTemplateStore.patchState({ query: query });
    }
}
