import { Component, Input, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { BaseComponent } from 'app/shared/misc/base.component';
import { ProgramModule } from 'app/modules/models/program-module';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'sb-new-course-modules-step',
    templateUrl: './modules-step.component.html',
    styleUrls: ['./modules-step.component.scss'],
})
export class ModulesStepComponent extends BaseComponent implements OnInit {
    @Input() modulesForm: FormGroup;
    @Input() generalForm: FormGroup;
    docsUrls = this.docsService.urls;
    selectedModules: ProgramModule[] = [];

    constructor(private docsService: DocsService) {
        super();
    }

    ngOnInit(): void {
        this.modulesForm
            .get('selectedModules')
            .valueChanges.subscribe(
                (selectedModules) => (this.selectedModules = selectedModules)
            );
    }

    onModulesSelected(modules: ProgramModule[]) {
        console.log(modules);
        this.modulesForm.patchValue({
            selectedModules: modules,
        });
    }

    get permanent() {
        return this.generalForm.get('permanent').value;
    }
}
