import { Component, Input, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { FormComponent } from 'app/shared/validation/form.component';
import { environment } from 'environments/environment';
import { Course } from '../../../../models/course';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'template-step',
    templateUrl: './template-step.component.html',
    styleUrls: ['./template-step.component.scss'],
})
export class TemplateStepComponent extends FormComponent implements OnInit {
    @Input() templateForm: UntypedFormGroup;
    docsUrls = this.docsService.urls;

    constructor(private docsService: DocsService) {
        super();
    }

    ngOnInit(): void {}

    useTemplateChanged(val: boolean) {
        this.templateForm.patchValue({
            useTemplate: val,
        });

        if (!this.useTemplate) {
            this.onCourseSelected(null);
        }
    }

    get useTemplate(): boolean {
        return this.templateForm.get('useTemplate').value;
    }

    get course(): boolean {
        return this.templateForm.get('course').value;
    }

    onCourseSelected(course: Course) {
        this.templateForm.patchValue({
            course: course,
        });
    }
}
