import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CourseResultTableComponent } from 'app/courses/shared/course-result/components/course-result-table/course-result-table.component';
import { HeaderRowComponent } from 'app/courses/shared/course-result/components/course-result-table/header-row/header-row.component';
import { SummaryRowComponent } from 'app/courses/shared/course-result/components/course-result-table/summary-row/summary-row.component';
import { ExerciseRowComponent } from 'app/courses/shared/course-result/components/course-result-table/exercise-row/exercise-row.component';
import { TaskInstanceRowComponent } from 'app/courses/shared/course-result/components/course-result-table/task-instance-row/task-instance-row.component';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { AssessmentRoutingModule } from 'app/assessment/routing/assessment-routing.module';

@NgModule({
    declarations: [
        CourseResultTableComponent,
        HeaderRowComponent,
        SummaryRowComponent,
        ExerciseRowComponent,
        TaskInstanceRowComponent,
    ],
    imports: [
        CommonModule,
        SharedModule,
        RouterModule,
        AssessmentRoutingModule,
    ],
    exports: [CourseResultTableComponent],
})
export class CourseResultTableModule {}
