import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SubmitPolicyLabelPipe } from 'app/courses/shared/pipes/submit-policy-label.pipe';
import { StaffGroupLabelPipe } from 'app/courses/shared/pipes/staff-group-label.pipe';
import { CourseUnitTypeLabelPipe } from 'app/courses/shared/pipes/course-unit-type-label.pipe';
import { CourseVisibilityLabelPipe } from 'app/courses/shared/pipes/course-visibility-label.pipe';
import { WeekdayLabelPipe } from 'app/courses/shared/pipes/weekday-label.pipe';
import { WeekdayShortLabelPipe } from 'app/courses/shared/pipes/weekday-short-label.pipe';
import { SharedModule } from 'app/shared/shared.module';
import { CourseResultModule } from 'app/courses/shared/course-result/course-result.module';
import { RouterModule } from '@angular/router';

@NgModule({
    declarations: [
        SubmitPolicyLabelPipe,
        StaffGroupLabelPipe,
        CourseVisibilityLabelPipe,
        CourseUnitTypeLabelPipe,
        WeekdayLabelPipe,
        WeekdayShortLabelPipe,
    ],
    imports: [CommonModule, RouterModule, SharedModule, CourseResultModule],
    exports: [
        SubmitPolicyLabelPipe,
        StaffGroupLabelPipe,
        CourseVisibilityLabelPipe,
        CourseUnitTypeLabelPipe,
        WeekdayLabelPipe,
        WeekdayShortLabelPipe,
        CourseResultModule,
    ],
})
export class CoursesSharedModule {}
