import { Pipe, PipeTransform } from '@angular/core';
import { CourseUnitType } from 'app/courses/models/course-unit-type';

@Pipe({
    name: 'courseUnitTypeLabel',
})
export class CourseUnitTypeLabelPipe implements PipeTransform {
    getLabel(value: CourseUnitType) {
        switch (value) {
            case CourseUnitType.Lab:
                return 'Praktikum';
            case CourseUnitType.Exercise:
                return 'Übung';
            case CourseUnitType.Lecture:
                return 'Vorlesung';
            case CourseUnitType.Tut:
                return 'Tutorium';
            case CourseUnitType.Misc:
                return '';
            default:
                return value;
        }
    }

    transform(value: CourseUnitType | CourseUnitType[]): string | string[] {
        if (Array.isArray(value)) {
            return value.map((v) => this.getLabel(v));
        } else {
            return this.getLabel(value);
        }
    }
}
