import { Pipe, PipeTransform } from '@angular/core';
import { CourseVisibility } from 'app/courses/models/course-visibility';

@Pipe({
    name: 'courseVisibilityLabel',
})
export class CourseVisibilityLabelPipe implements PipeTransform {
    getLabel(value: CourseVisibility) {
        switch (value) {
            case CourseVisibility.Public:
                return 'Öffentlich';
            case CourseVisibility.Participants:
                return 'Nur Teilnehmer';
            case CourseVisibility.Internal:
                return 'Nur eingeloggte Benutzer';
            case CourseVisibility.Private:
                return 'Nur Lehrkräfte';
            default:
                return value;
        }
    }

    transform(value: CourseVisibility | CourseVisibility[]): string | string[] {
        if (Array.isArray(value)) {
            return value.map((v) => this.getLabel(v));
        } else {
            return this.getLabel(value);
        }
    }
}
