import { Pipe, PipeTransform } from '@angular/core';
import { StaffGroup } from 'app/courses/models/staff-group';

@Pipe({
    name: 'staffGroupLabel',
})
export class StaffGroupLabelPipe implements PipeTransform {
    getLabel(value: StaffGroup) {
        switch (value) {
            case StaffGroup.Admin:
                return 'Verantwortlicher';
            case StaffGroup.Lecturer:
                return 'Dozent';
            case StaffGroup.Tutor:
                return 'Tutor';
            default:
                return value;
        }
    }

    transform(value: StaffGroup | StaffGroup[]): string | string[] {
        if (Array.isArray(value)) {
            return value.map((v) => this.getLabel(v));
        } else {
            return this.getLabel(value);
        }
    }
}
