import { Pipe, PipeTransform } from '@angular/core';
import { Weekday } from 'app/courses/models/weekday';

@Pipe({
    name: 'weekdayLabel',
})
export class WeekdayLabelPipe implements PipeTransform {
    getLabel(value: Weekday) {
        switch (value) {
            case Weekday.Monday:
                return 'Montag';
            case Weekday.Tuesday:
                return 'Dienstag';
            case Weekday.Wednesday:
                return 'Mittwoch';
            case Weekday.Thursday:
                return 'Donnerstag';
            case Weekday.Friday:
                return 'Freitag';
            case Weekday.Saturday:
                return 'Samstag';
            case Weekday.Sunday:
                return 'Sonntag';
            default:
                return value;
        }
    }

    transform(value: Weekday | Weekday[]): string | string[] {
        if (Array.isArray(value)) {
            return value.map((v) => this.getLabel(v));
        } else {
            return this.getLabel(value);
        }
    }
}
