import { Pipe, PipeTransform } from '@angular/core';
import { Weekday } from 'app/courses/models/weekday';

@Pipe({
    name: 'weekdayShortLabel',
})
export class WeekdayShortLabelPipe implements PipeTransform {
    getShortLabel(value: Weekday) {
        switch (value) {
            case Weekday.Monday:
                return 'Mo';
            case Weekday.Tuesday:
                return 'Di';
            case Weekday.Wednesday:
                return 'Mi';
            case Weekday.Thursday:
                return 'Do';
            case Weekday.Friday:
                return 'Fr';
            case Weekday.Saturday:
                return 'Sa';
            case Weekday.Sunday:
                return 'So';
            default:
                return value;
        }
    }

    transform(value: Weekday | Weekday[]): string | string[] {
        if (Array.isArray(value)) {
            return value.map((v) => this.getShortLabel(v));
        } else {
            return this.getShortLabel(value);
        }
    }
}
