import { Injectable } from '@angular/core';

import { Actions, createEffect, ofType } from '@ngrx/effects';
import { filter, map } from 'rxjs/operators';
import { ChangeCourse, CourseActions } from './courses.actions';
import { TermChange } from 'app/modules/store/actions';

@Injectable()
export class CoursesEffects {
    changeTerm$ = createEffect(() => {
        return this.actions$.pipe(
            ofType(CourseActions.ChangeCourse),
            filter((a: ChangeCourse) => a.payload.course?.term != null),
            map(
                (a: ChangeCourse) =>
                    new TermChange({ term: a.payload.course.term })
            )
        );
    });

    constructor(private actions$: Actions) {}
}
