import { CourseActions, CourseActionsUnion } from './courses.actions';
import { Course } from '../models/course';
import { Action } from '@ngrx/store';

export interface CoursesState {
    course: Course;
}

export const initialState: CoursesState = {
    course: null,
};

export function coursesReducer(
    state = initialState,
    action: Action
): CoursesState {
    const a = action as CourseActionsUnion;

    switch (a.type) {
        case CourseActions.ChangeCourse: {
            return {
                ...state,
                course: a.payload.course,
            };
        }

        default: {
            return state;
        }
    }
}
