import { Component, Input, OnInit } from '@angular/core';
import { Dashboard } from 'app/dashboard/models/dashboard';
import { Observable } from 'rxjs';
import { Term } from 'app/modules/models/term';
import { Store } from '@ngrx/store';
import { SubatoState } from 'app/store/app.reducers';

@Component({
    selector: 'sb-dashboard-empty-hint',
    templateUrl: './empty-hint.component.html',
    styleUrls: ['./empty-hint.component.scss'],
})
export class EmptyHintComponent implements OnInit {
    @Input() dashboard: Dashboard;
    term$: Observable<Term | null> = this.store.select(
        (s) => s.modules.currentTerm
    );

    constructor(private store: Store<SubatoState>) {}

    ngOnInit(): void {}
}
