import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { Store } from '@ngrx/store';
import { SubatoState } from 'app/store/app.reducers';
import { DashboardStore } from 'app/dashboard/dashboard.store';

@Component({
    templateUrl: './dashboard.page.component.html',
    styleUrls: ['./dashboard.page.component.scss'],
    providers: [DashboardStore],
})
export class DashboardPageComponent extends BaseComponent implements OnInit {
    dashboard$ = this.dashboardStore.dashboard$;
    loading$ = this.dashboardStore.loading$;
    error$ = this.dashboardStore.error$;
    term$ = this.dashboardStore.term$;

    constructor(
        private store: Store<SubatoState>,
        private dashboardStore: DashboardStore
    ) {
        super();
    }

    ngOnInit(): void {}
}
