import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { DashboardRoutingModule } from './dashboard-routing.module';
import { EmptyHintComponent } from './components/empty-hint/empty-hint.component';
import { CourseInfoComponent } from './components/course-info/course-info.component';
import { AuthSharedModule } from 'app/auth/shared/auth-shared.module';
import { CoursesSharedModule } from 'app/courses/shared/courses-shared.module';
import { DashboardPageComponent } from 'app/dashboard/dashboard.page.component';

@NgModule({
    declarations: [
        DashboardPageComponent,
        EmptyHintComponent,
        CourseInfoComponent,
    ],
    imports: [
        CommonModule,
        SharedModule,
        DashboardRoutingModule,
        AuthSharedModule,
        CoursesSharedModule,
    ],
})
export class DashboardPageModule {}
