import { HttpClient, HttpParams } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BaseService } from 'app/shared/misc/base.service';
import { environment } from 'environments/environment';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { Dashboard } from 'app/dashboard/models/dashboard';

@Injectable({
    providedIn: 'root',
})
export class DashboardService extends BaseService {
    constructor(private http: HttpClient) {
        super();
    }

    getDashboard(termId: number): Observable<Dashboard> {
        let params = new HttpParams();

        if (termId != null) {
            params = params.set('termId', termId);
        }

        return this.http
            .get<Dashboard>(`${environment.backendUrl}/dashboard`, {
                params: params,
            })
            .pipe(map((dashboard) => new Dashboard(dashboard)));
    }
}
