import { Component, Input, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { FormComponent } from 'app/shared/validation/form.component';
import { AssessmentMode } from 'app/exercises/models/assessment-mode';
import { environment } from 'environments/environment';
import { EnumHelper } from 'app/shared/misc/helper/enum.helper';
import { DocsService } from 'app/shared/misc/docs.service';

@Component({
    selector: 'sb-exercise-form-assessment-mode',
    templateUrl: './assessment-mode.component.html',
    styleUrls: ['./assessment-mode.component.scss'],
})
export class AssessmentModeComponent extends FormComponent implements OnInit {
    @Input() form: UntypedFormGroup;
    docsUrls = this.docsService.urls;
    assessmentModes = EnumHelper.getAll(AssessmentMode);

    constructor(private docsService: DocsService) {
        super();
    }

    ngOnInit(): void {}
}
