import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { VisibleFromComponent } from 'app/exercises/pages/exercise-admin/exercise-form/visible-from/visible-from.component';
import { DueToComponent } from 'app/exercises/pages/exercise-admin/exercise-form/due-to/due-to.component';
import { NameComponent } from 'app/exercises/pages/exercise-admin/exercise-form/name/name.component';
import { AssessmentModeComponent } from 'app/exercises/pages/exercise-admin/exercise-form/assessment-mode/assessment-mode.component';
import { TaskInstancesComponent } from 'app/exercises/pages/exercise-admin/exercise-form/task-instances/task-instances.component';
import { SummaryComponent } from 'app/exercises/pages/exercise-admin/exercise-form/summary/summary.component';
import { DescriptionComponent } from 'app/exercises/pages/exercise-admin/exercise-form/description/description.component';
import { ExerciseFormComponent } from 'app/exercises/pages/exercise-admin/exercise-form/exercise-form.component';
import { TaskSelectComponent } from 'app/exercises/pages/exercise-admin/exercise-form/task-select/task-select.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { ExercisesSharedModule } from 'app/exercises/shared/exercises-shared.module';
import { OrderNumberComponent } from 'app/exercises/pages/exercise-admin/exercise-form/order-number/order-number';

@NgModule({
    declarations: [
        ExerciseFormComponent,
        TaskSelectComponent,
        VisibleFromComponent,
        DueToComponent,
        NameComponent,
        OrderNumberComponent,
        AssessmentModeComponent,
        TaskInstancesComponent,
        SummaryComponent,
        DescriptionComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, ExercisesSharedModule],
    exports: [ExerciseFormComponent, NameComponent, DescriptionComponent],
})
export class ExerciseFormModule {}
