import { Component, Input, OnInit } from '@angular/core';
import { UntypedFormArray, UntypedFormGroup } from '@angular/forms';
import { FormComponent } from 'app/shared/validation/form.component';
import { CdkDragDrop, moveItemInArray } from '@angular/cdk/drag-drop';
import { AssessmentMode } from 'app/exercises/models/assessment-mode';

@Component({
    selector: 'sb-exercise-form-task-instances',
    templateUrl: './task-instances.component.html',
    styleUrls: ['./task-instances.component.scss'],
})
export class TaskInstancesComponent extends FormComponent implements OnInit {
    @Input() form: UntypedFormGroup;

    constructor() {
        super();
    }

    ngOnInit(): void {}

    removeTask(taskInstanceForm: UntypedFormGroup) {
        this.taskInstancesForm.removeAt(
            this.taskInstancesForm.controls.indexOf(taskInstanceForm)
        );
    }

    drop(event: CdkDragDrop<string[]>) {
        moveItemInArray(
            this.taskInstancesForm.controls,
            event.previousIndex,
            event.currentIndex
        );
    }

    get usingPoints(): boolean {
        return this.form.get('assessmentMode').value == AssessmentMode.Points;
    }

    get taskInstancesForm() {
        return this.form.controls['taskInstances'] as UntypedFormArray;
    }
}
