import {
    AbstractControl,
    UntypedFormArray,
    ValidationErrors,
    ValidatorFn,
} from '@angular/forms';
import { AssessmentMode } from 'app/exercises/models/assessment-mode';

export const reachablePointsTaskInstancesValidator: ValidatorFn = (
    control: AbstractControl
): ValidationErrors | null => {
    const assessmentMode = control.get('assessmentMode').value;
    const taskInstances = control.get('taskInstances') as UntypedFormArray;

    let usingPoints = assessmentMode == AssessmentMode.Points;
    return usingPoints &&
        taskInstances.controls.some((c) => !c.get('reachablePoints').value)
        ? { pointsMissing: true }
        : null;
};
