import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Course } from 'app/courses/models/course';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';

@Component({
    selector: 'sb-new-exercise-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent implements OnChanges {
    @Input() course: Course;
    breadcrumbs: Breadcrumb[] = [];

    constructor() {}

    ngOnChanges(changes: SimpleChanges) {
        let shouldRefresh = changes.hasOwnProperty('course');

        if (shouldRefresh) {
            this.buildBreadcrumbs(this.course);
        }
    }

    buildBreadcrumbs(course: Course) {
        this.breadcrumbs = [
            {
                id: 'exercises',
                params: {
                    course_id: course.id,
                },
            },
            {
                id: 'newExercise',
                params: {
                    course_id: course.id,
                },
            },
        ];
    }
}
