import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Exercise } from '../../../../models/exercise';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';

@Component({
    selector: 'sb-exercise-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent implements OnChanges {
    @Input() exercise: Exercise;

    breadcrumbs: Breadcrumb[] = [];

    constructor() {}

    ngOnChanges(changes: SimpleChanges) {
        let shouldRefresh = changes.hasOwnProperty('exercise');

        if (shouldRefresh) {
            this.buildBreadcrumbs(this.exercise);
        }
    }

    buildBreadcrumbs(exercise: Exercise) {
        this.breadcrumbs = [
            {
                id: 'exercises',
                params: {
                    course_id: exercise.course.id,
                },
            },
            {
                id: 'exercise',
                params: {
                    exercise_id: exercise.id,
                },
                ctx: exercise,
            },
        ];
    }
}
