import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { BreadcrumbsComponent } from 'app/exercises/pages/exercise/components/breadcrumbs/breadcrumbs.component';
import { VisibilityHintComponent } from './components/visibility-hint/visibility-hint.component';
import { DescriptionCardComponent } from 'app/exercises/pages/exercise/components/description-card/description-card.component';
import { AssessmentSharedModule } from 'app/assessment/shared/assessment-shared.module';
import { ExercisePageComponent } from 'app/exercises/pages/exercise/exercise.page.component';
import { ExercisesSharedModule } from 'app/exercises/shared/exercises-shared.module';
import { AssessmentRoutingModule } from 'app/assessment/routing/assessment-routing.module';

@NgModule({
    declarations: [
        ExercisePageComponent,
        BreadcrumbsComponent,
        VisibilityHintComponent,
        DescriptionCardComponent,
    ],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        ExercisesSharedModule,
        AssessmentRoutingModule,
        AssessmentSharedModule,
    ],
    exports: [],
})
export class ExercisePageModule {}
