import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { SubatoState } from 'app/store/app.reducers';
import { Store } from '@ngrx/store';
import { ExercisesPageStore } from 'app/exercises/pages/exercises/exercises.page.store';

@Component({
    selector: 'sb-exercises-exercise-list',
    templateUrl: './exercise-list.component.html',
    styleUrls: ['./exercise-list.component.scss'],
})
export class ExerciseListComponent extends BaseComponent implements OnInit {
    courseState$ = this.exercisesPageStore.courseState$;
    exercisesState$ = this.exercisesPageStore.exercisesState$;
    query$ = this.exercisesPageStore.query$;
    isAdmin$ = this.exercisesPageStore.isAdmin$;
    hasAnyGroup$ = this.exercisesPageStore.hasAnyGroup$;

    constructor(
        private store: Store<SubatoState>,
        private exercisesPageStore: ExercisesPageStore
    ) {
        super();
    }

    ngOnInit(): void {}

    onChange(query) {
        this.exercisesPageStore.patchState({
            query: query,
        });
    }
}
