import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';
import { TaskInstance } from '../../../../models/task-instance';

@Component({
    selector: 'sb-submit-solution-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent implements OnChanges {
    breadcrumbs: Breadcrumb[] = [];
    @Input() taskInstance: TaskInstance;

    constructor() {}

    ngOnChanges(changes: SimpleChanges) {
        let shouldRefresh = changes.hasOwnProperty('taskInstance');

        if (shouldRefresh) {
            this.buildBreadcrumbs(this.taskInstance);
        }
    }

    buildBreadcrumbs(taskInstance: TaskInstance) {
        this.breadcrumbs = [
            {
                id: 'exercises',
                params: {
                    course_id: taskInstance.exercise.course.id,
                },
            },
            {
                id: 'exercise',
                params: {
                    exercise_id: taskInstance.exercise.id,
                },
                ctx: taskInstance.exercise,
            },
            {
                id: 'submitSolution',
                params: {
                    exercise_id: taskInstance.exercise.id,
                    task_id: taskInstance.task.id,
                },
                ctx: taskInstance,
            },
        ];
    }
}
