import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { PluginImportComponent } from 'app/exercises/pages/submit-solution/components/plugin-import/plugin-import.component';
import { BreadcrumbsComponent } from 'app/exercises/pages/submit-solution/components/breadcrumbs/breadcrumbs.component';
import { SubmitSolutionPageComponent } from 'app/exercises/pages/submit-solution/submit-solution.page.component';
import { ExercisesSharedModule } from 'app/exercises/shared/exercises-shared.module';
import { TasksSharedModule } from 'app/tasks/shared/tasks-shared.module';
import { SolutionsSharedModule } from 'app/solutions/shared/solutions-shared.module';
import { TaskInstanceCardComponent } from './components/task-instance-card/task-instance-card.component';
import { IntellijImportComponent } from './components/intellij-import/intellij-import.component';

@NgModule({
    declarations: [
        SubmitSolutionPageComponent,
        PluginImportComponent,
        BreadcrumbsComponent,
        TaskInstanceCardComponent,
        IntellijImportComponent,
    ],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        TasksSharedModule,
        ExercisesSharedModule,
        SolutionsSharedModule,
    ],
})
export class SubmitSolutionPageModule {}
