import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AssessmentModeLabelPipe } from 'app/exercises/shared/pipes/assessment-mode-label.pipe';
import { TaskInstanceListComponent } from 'app/exercises/shared/components/task-instance-list/task-instance-list.component';
import { PointsPipe } from 'app/exercises/shared/pipes/points.pipe';
import { UserAttemptsPipe } from 'app/exercises/shared/pipes/user-attempts.pipe';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { TasksSharedModule } from 'app/tasks/shared/tasks-shared.module';

@NgModule({
    declarations: [
        AssessmentModeLabelPipe,
        TaskInstanceListComponent,
        PointsPipe,
        UserAttemptsPipe,
    ],
    imports: [CommonModule, RouterModule, SharedModule, TasksSharedModule],
    exports: [
        AssessmentModeLabelPipe,
        TaskInstanceListComponent,
        PointsPipe,
        UserAttemptsPipe,
    ],
})
export class ExercisesSharedModule {}
