import { Pipe, PipeTransform } from '@angular/core';
import { AssessmentMode } from 'app/exercises/models/assessment-mode';

@Pipe({
    name: 'assessmentModeLabel',
})
export class AssessmentModeLabelPipe implements PipeTransform {
    getLabel(value: AssessmentMode) {
        switch (value) {
            case AssessmentMode.Binary:
                return 'Binär';
            case AssessmentMode.Points:
                return 'Bepunktet';
            default:
                return value;
        }
    }

    transform(value: AssessmentMode | AssessmentMode[]): string | string[] {
        if (Array.isArray(value)) {
            return value.map((v) => this.getLabel(v));
        } else {
            return this.getLabel(value);
        }
    }
}
