import { Action } from '@ngrx/store';
import { NbMenuItem } from '@nebular/theme';

export enum LayoutActions {
    ThemeChange = '[Layout] Theme Change',
    CompactMenu = '[Layout] Compact Menu',
    ChangeCourseMenu = '[Layout] Change Course Menu',
    ChangeMainMenu = '[Layout] Change Main Menu',
    UpdateSideNav = '[Layout] Update Side Nav',
}

export class ThemeChange implements Action {
    readonly type = LayoutActions.ThemeChange;

    constructor(public payload: { darkMode: boolean }) {}
}

export class CompactMenu implements Action {
    readonly type = LayoutActions.CompactMenu;

    constructor(public payload: { compact: boolean }) {}
}

export class ChangeCourseMenu implements Action {
    readonly type = LayoutActions.ChangeCourseMenu;

    constructor(public payload: { courseMenu: NbMenuItem[] }) {}
}

export class ChangeMainMenu implements Action {
    readonly type = LayoutActions.ChangeMainMenu;

    constructor(public payload: { mainMenu: NbMenuItem[] }) {}
}

export class UpdateSideNav implements Action {
    readonly type = LayoutActions.UpdateSideNav;
}

export type LayoutActionsUnion =
    | ThemeChange
    | CompactMenu
    | ChangeCourseMenu
    | ChangeMainMenu
    | UpdateSideNav;
