import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { ComponentWithOptionalLifecycleHooks } from 'app/shared/route-reuse/route-reuse-life.cycle.directive';
import { CompetencesPageStore } from 'app/misconceptions/pages/competences/competences.page.store';

@Component({
    templateUrl: './competences.page.component.html',
    styleUrls: ['./competences.page.component.scss'],
    providers: [CompetencesPageStore],
})
export class CompetencesPageComponent
    extends BaseComponent
    implements OnInit, ComponentWithOptionalLifecycleHooks
{
    competenceGroupsState$ = this.competencesStore.competenceGroupsState$;
    query$ = this.competencesStore.query$;

    constructor(private competencesStore: CompetencesPageStore) {
        super();
    }

    ngOnInit(): void {}

    onAttach() {
        this.competencesStore.onAttach();
    }

    onDetach() {
        this.competencesStore.onDetach();
    }

    filterCompetences(query) {
        this.competencesStore.patchState({ query: query });
    }
}
