import { Component, Input, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { SubatoPrincipal } from 'app/auth/models/principal/subato-principal';
import { Store } from '@ngrx/store';
import { SubatoState } from 'app/store/app.reducers';
import { BaseComponent } from 'app/shared/misc/base.component';
import { CompetenceGroup } from 'app/misconceptions/models/competence-group';

@Component({
    selector: 'sb-competences-competence-groups',
    templateUrl: './competence-groups.component.html',
    styleUrls: ['./competence-groups.component.scss'],
})
export class CompetenceGroupsComponent extends BaseComponent implements OnInit {
    @Input() competenceGroups: CompetenceGroup[] = [];
    @Input() expand: boolean;
    principal$: Observable<SubatoPrincipal> = this.store.select(
        (s) => s.auth.principal
    );

    constructor(private store: Store<SubatoState>) {
        super();
    }

    ngOnInit(): void {}
}
