import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MisconceptionPageComponent } from 'app/misconceptions/pages/misconception/misconception.page.component';
import { EvalComponent } from './components/eval/eval.component';
import { TooltipLinkComponent } from './components/tooltip-link/tooltip-link.component';
import { SnippetEditorComponent } from 'app/misconceptions/pages/misconception/components/snippet-editor/snippet-editor.component';
import { RelativizeHeadingsPipe } from 'app/misconceptions/pages/misconception/relativize-headings.pipe';
import { TransformTooltipsDirective } from './directives/transform-tooltips.directive';
import { TransformInteractiveEditorsDirective } from './directives/transform-interactive-editors.directive';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { HeaderComponent } from 'app/misconceptions/pages/misconception/components/header/header.component';
import { RefListComponent } from 'app/misconceptions/pages/misconception/components/misconception-refs/ref-list.component';
import { InfoHintComponent } from './components/info-hint/info-hint.component';
import { ContentWizardComponent } from './components/content-wizard/content-wizard.component';

@NgModule({
    declarations: [
        MisconceptionPageComponent,
        EvalComponent,
        TooltipLinkComponent,
        SnippetEditorComponent,

        RelativizeHeadingsPipe,
        TransformTooltipsDirective,
        TransformInteractiveEditorsDirective,
        HeaderComponent,
        RefListComponent,
        InfoHintComponent,
        ContentWizardComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class MisconceptionPageModule {}
