import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { BaseComponentStore } from 'app/shared/store/base-component.store';
import {
    loadMisconception,
    MisconceptionState,
} from 'app/misconceptions/shared/operators/misconception.operators';

interface MisconceptionPageState {
    misconceptionState: MisconceptionState;
    liked: boolean;
}

export const initialState: MisconceptionPageState = {
    misconceptionState: { misconception: null, error: null, loading: true },
    liked: false,
};

@Injectable()
export class MisconceptionPageStore extends BaseComponentStore<MisconceptionPageState> {
    public readonly misconceptionState$ = this.select(
        (state) => state.misconceptionState
    );
    public readonly misconception$ = this.select(
        (state) => state.misconceptionState.misconception
    );
    public readonly liked$ = this.select((state) => state.liked);

    constructor() {
        super(initialState);
    }

    readonly patchMisconception = this.updaterFor('misconceptionState');

    readonly loadMisconception = this.effect((courseId$: Observable<string>) =>
        courseId$.pipe(loadMisconception((s) => this.patchMisconception(s)))
    );
}
