import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { MisconceptionsPageStore } from 'app/misconceptions/pages/misconceptions/misconceptions.page.store';

@Component({
    templateUrl: './misconceptions.page.component.html',
    styleUrls: ['./misconceptions.page.component.scss'],
    providers: [MisconceptionsPageStore],
})
export class MisconceptionsPageComponent
    extends BaseComponent
    implements OnInit
{
    misconceptionsState$ = this.misconceptionListStore.misconceptionsState$;

    constructor(private misconceptionListStore: MisconceptionsPageStore) {
        super();
    }

    onAttach() {
        super.onAttach();
        this.misconceptionListStore.onAttach();
    }

    onDetach() {
        super.onDetach();
        this.misconceptionListStore.onDetach();
    }

    ngOnInit(): void {
        this.misconceptionListStore.loadMisconceptions();
    }
}
