import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BaseService } from 'app/shared/misc/base.service';
import { environment } from 'environments/environment';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { Competence } from 'app/misconceptions/models/competence';

@Injectable({
    providedIn: 'root',
})
export class CompetenceService extends BaseService {
    constructor(private http: HttpClient) {
        super();
    }

    getAll(): Observable<Competence[]> {
        return this.http
            .get<Competence[]>(`${environment.backendUrl}/competence`)
            .pipe(
                map((competences) =>
                    competences.map((competence) => new Competence(competence))
                )
            );
    }
}
