import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'environments/environment';
import { Observable } from 'rxjs';

export interface EvalRequestDto {
    code: string;
}

export interface EvalError {
    message: string;
    snippet: string;
    startPos?: number;
    endPos?: number;
}

export enum EvalStatus {
    ok,
    exception,
    timeout,
    cerror,
}

export interface EvalResult {
    out: string;
    result: string;
    errors: EvalError[];
    status: EvalStatus;
}

@Injectable({ providedIn: 'root' })
export class EvalService {
    constructor(private http: HttpClient) {}

    eval(dto: EvalRequestDto): Observable<EvalResult> {
        return this.http.post<EvalResult>(`${environment.jevalUrl}/eval`, dto);
    }
}
