import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BaseService } from 'app/shared/misc/base.service';
import { environment } from 'environments/environment';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { Misconception } from '../models/misconception';

@Injectable({
    providedIn: 'root',
})
export class MisconceptionService extends BaseService {
    constructor(private http: HttpClient) {
        super();
    }

    getById(id: string): Observable<Misconception> {
        return this.http
            .get<Misconception>(`${environment.backendUrl}/misconception/${id}`)
            .pipe(map((misconception) => new Misconception(misconception)));
    }

    getAll(): Observable<Misconception[]> {
        return this.http
            .get<Misconception[]>(`${environment.backendUrl}/misconception`)
            .pipe(
                map((misconceptions) =>
                    misconceptions.map(
                        (misconception) => new Misconception(misconception)
                    )
                )
            );
    }
}
