import { Iso8601Helper } from 'app/shared/misc/helper/iso8601.helper';
import * as moment from 'moment';

export class Term {
    id: number;
    name: string;
    lecturesStartAt: moment.Moment;
    lecturesEndAt: moment.Moment;

    get isWinter(): boolean {
        return this.name.indexOf('WS') != -1;
    }

    constructor(term: any) {
        this.id = term.id;
        this.name = term.name;
        this.lecturesStartAt = Iso8601Helper.fromString(term.lecturesStartAt);
        this.lecturesEndAt = Iso8601Helper.fromString(term.lecturesEndAt);
    }

    get fullName() {
        if (this.isWinter) {
            let years = this.name.replace('WS', '');
            let first = years.substring(0, 2);
            let last = years.substring(2, years.length);

            return `Wintersemester 20${first}/${last}`;
        } else {
            return `Sommersemester ${this.name.replace('SS', '')}`;
        }
    }
}
