import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { ModulesRoutingModule } from './modules-routing.module';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { modulesReducer } from './store/reducers';
import { ModulesEffects } from './store/effects';
import { ModulesSharedModule } from 'app/modules/shared/modules-shared.module';
import { TermsPageModule } from 'app/modules/pages/terms/terms.page.module';
import { NewTermPageModule } from 'app/modules/pages/term-admin/new-term/new-term.page.module';
import { EditTermPageModule } from 'app/modules/pages/term-admin/edit-term/edit-term.page.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        SharedModule,
        ModulesRoutingModule,
        StoreModule.forFeature('modules', modulesReducer),
        EffectsModule.forFeature([ModulesEffects]),
        ModulesSharedModule,
        TermsPageModule,
        NewTermPageModule,
        EditTermPageModule,
    ],
})
export class ModulesModule {}
