import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { NewTermPageStore } from 'app/modules/pages/term-admin/new-term/new-term.page.store';
import { CreateTermDto } from 'app/modules/dto/create-term.dto';

@Component({
    templateUrl: './new-term.page.component.html',
    styleUrls: ['./new-term.page.component.scss'],
    providers: [NewTermPageStore],
})
export class NewTermPageComponent extends BaseComponent implements OnInit {
    validationError$ = this.newTermStore.validationError$;
    saving$ = this.newTermStore.saving$;

    constructor(private newTermStore: NewTermPageStore) {
        super();
    }

    ngOnInit(): void {}

    createTerm(dto: CreateTermDto) {
        this.newTermStore.createTerm(dto);
    }
}
