import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { TermListStore } from 'app/modules/pages/terms/components/term-list/term-list.store';
import { Term } from 'app/modules/models/term';

@Component({
    selector: 'term-list',
    templateUrl: './term-list.component.html',
    styleUrls: ['./term-list.component.scss'],
    providers: [TermListStore],
})
export class TermListComponent extends BaseComponent implements OnInit {
    termsState$ = this.termListStore.termsState$;
    finishingTerm$ = this.termListStore.finishingTerm$;
    isSuperAdmin$ = this.termListStore.isSuperAdmin$;

    constructor(private termListStore: TermListStore) {
        super();
    }

    ngOnInit(): void {
        this.termListStore.loadTerms();
    }

    finishTerm(term: Term) {
        this.termListStore.finishTerm(term);
    }
}
