import { Action } from '@ngrx/store';
import { Term } from '../models/term';

export enum ModulesActions {
    LoadTerms = '[Modules] Load Terms',
    TermsChange = '[Modules] Terms Change',
    TermChange = '[Modules] Term Change',
    TermSelect = '[Modules] Term Select',
}

export class LoadTerms implements Action {
    readonly type = ModulesActions.LoadTerms;

    constructor() {}
}

export class TermChange implements Action {
    readonly type = ModulesActions.TermChange;

    constructor(public payload: { term: Term }) {}
}

export class TermsChange implements Action {
    readonly type = ModulesActions.TermsChange;

    constructor(public payload: { terms: Term[] }) {}
}

export class TermSelect implements Action {
    readonly type = ModulesActions.TermSelect;

    constructor(public payload: { term: Term }) {}
}

export type ModulesActionsUnion =
    | LoadTerms
    | TermChange
    | TermsChange
    | TermSelect;
