import { Term } from '../models/term';
import { ModulesActions, ModulesActionsUnion } from './actions';
import { Action } from '@ngrx/store';

export interface ModulesState {
    terms: Term[];
    currentTerm: Term;
}

export const initialState: ModulesState = {
    terms: [],
    currentTerm: null,
};

export function modulesReducer(
    state = initialState,
    action: Action
): ModulesState {
    const a = action as ModulesActionsUnion;

    switch (a.type) {
        case ModulesActions.TermChange: {
            return {
                ...state,
                currentTerm: a.payload.term,
            };
        }

        case ModulesActions.TermsChange: {
            return {
                ...state,
                terms: a.payload.terms,
            };
        }

        case ModulesActions.TermSelect: {
            return {
                ...state,
                currentTerm: a.payload.term,
            };
        }

        default: {
            return state;
        }
    }
}
