import { NameFormat, User } from 'app/shared/user/user';
import { Item } from './item';

export class CourseParticipantItem extends Item {
    user: User;
    courseId: number;

    constructor(item: any, searchResult: any) {
        super(item, searchResult);
        this.user = new User(item.user);
        this.courseId = item.courseId;
    }

    url(): string {
        return `/course/${this.courseId}/participants/${this.user.id}/progress`;
    }

    title(): string {
        return this.user.getName(NameFormat.Formal);
    }

    subtitle(): string {
        return this.user.program?.fullName ?? 'Teilnehmer';
    }
}
