import { ExerciseItem } from './exercise-item';
import { Item } from './item';
import { TaskInstanceItem } from './task-item';
import { CourseParticipantItem } from './course-participant-item';

export class SearchResult {
    query: string;
    items: Item[];

    constructor(searchResult: any) {
        this.query = searchResult.query;
        this.items = searchResult.items.map((i) => {
            if (i.type == 'taskInstance') {
                return new TaskInstanceItem(i, this);
            } else if (i.type == 'exercise') {
                return new ExerciseItem(i, this);
            } else if (i.type == 'participant') {
                return new CourseParticipantItem(i, this);
            } else {
                return new Item(i, this);
            }
        });
    }
}
