import { HttpClient, HttpParams } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BaseService } from 'app/shared/misc/base.service';
import { environment } from 'environments/environment';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { SearchResult } from '../models/search-result';

@Injectable({
    providedIn: 'root',
})
export class SearchService extends BaseService {
    constructor(private http: HttpClient) {
        super();
    }

    search(q: string, courseId: number): Observable<SearchResult> {
        let params = new HttpParams();
        params = params.set('q', q);
        params = params.set('courseId', courseId);

        return this.http
            .get<SearchResult>(`${environment.backendUrl}/search`, {
                params: params,
            })
            .pipe(map((result) => new SearchResult(result)));
    }
}
