import { Action } from '@ngrx/store';

export enum BackNavigationActions {
    NavigationStarted = '[BackNavigation] Navigation Started',
    NavigationFinished = '[BackNavigation] Navigation Finished',
    Navigated = '[BackNavigation] Navigated',
    GoBack = '[BackNavigation] GoBack',
}

export class NavigationStarted implements Action {
    readonly type = BackNavigationActions.NavigationStarted;

    constructor() {}
}

export class Navigated implements Action {
    readonly type = BackNavigationActions.Navigated;

    constructor(public payload: { url: string }) {}
}

export class NavigationFinished implements Action {
    readonly type = BackNavigationActions.NavigationFinished;

    constructor() {}
}

export class GoBack implements Action {
    readonly type = BackNavigationActions.GoBack;

    constructor(public payload: { defaultRoute?: any[] }) {}
}

export type BackNavigationActionsUnion =
    | NavigationStarted
    | NavigationFinished
    | Navigated
    | GoBack;
