import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ResizableCodemirrorDirective } from './directives/refresh-codemirror.directive';
import { HeightCodemirrorDirective } from './directives/height-codemirror.directive';
import { CodemirrorThemePipe } from './pipes/codemirror-theme.pipe';
import { CodemirrorModePipe } from './pipes/codemirror-mode.pipe';
import { CodemirrorHighlightPipe } from './pipes/codemirror-highlight';
import { MdEditorComponent } from './components/md-editor/md-editor.component';
import { NebularModule } from '../nebular.module';
import { CodemirrorModule as NgxCodemirrorModule } from '@ctrl/ngx-codemirror';

@NgModule({
    declarations: [
        ResizableCodemirrorDirective,
        HeightCodemirrorDirective,
        CodemirrorThemePipe,
        CodemirrorModePipe,
        CodemirrorHighlightPipe,
        MdEditorComponent,
    ],
    imports: [CommonModule, NebularModule, NgxCodemirrorModule],
    exports: [
        ResizableCodemirrorDirective,
        HeightCodemirrorDirective,
        CodemirrorThemePipe,
        CodemirrorModePipe,
        CodemirrorHighlightPipe,
        MdEditorComponent,
        NgxCodemirrorModule,
    ],
})
export class CodemirrorModule {}
