import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StoreModule } from '@ngrx/store';
import { EffectsModule } from '@ngrx/effects';
import { configReducer } from './store/config.reducers';
import { ConfigEffects } from './store/config.effects';
import { MaxUploadSizeNoteComponent } from './max-upload-size-note/max-upload-size-note.component';
import { LetModule } from '@ngrx/component';

@NgModule({
    declarations: [MaxUploadSizeNoteComponent],
    imports: [
        CommonModule,
        StoreModule.forFeature('config', configReducer),
        EffectsModule.forFeature([ConfigEffects]),
        LetModule,
    ],
    exports: [MaxUploadSizeNoteComponent],
})
export class ConfigModule {}
