import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { BaseService } from 'app/shared/misc/base.service';
import { environment } from 'environments/environment';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { PublicConfig } from './public-config';

@Injectable({
    providedIn: 'root',
})
export class ConfigService extends BaseService {
    constructor(private http: HttpClient) {
        super();
    }

    getConfig(): Observable<PublicConfig> {
        return this.http
            .get<PublicConfig>(`${environment.backendUrl}/config`)
            .pipe(map((conf) => new PublicConfig(conf)));
    }
}
