import { Action } from '@ngrx/store';
import { PublicConfig } from '../public-config';

export enum ConfigActions {
    LoadConfig = '[Config] Load Config',
    LoadedConfig = '[Config] Config Loaded',
}

export class LoadConfig implements Action {
    readonly type = ConfigActions.LoadConfig;

    constructor() {}
}

export class ConfigLoaded implements Action {
    readonly type = ConfigActions.LoadedConfig;

    constructor(public payload: { config: PublicConfig }) {}
}

export type ConfigActionsUnion = LoadConfig | ConfigLoaded;
