import { Injectable } from '@angular/core';

import { Actions, createEffect, ofType } from '@ngrx/effects';
import { switchMap, map } from 'rxjs/operators';
import { ConfigService } from '../config.service';
import { ConfigActions, ConfigLoaded } from './config.actions';
import { Init } from 'app/store/app.actions';
import { PublicConfig } from '../public-config';

@Injectable()
export class ConfigEffects {
    loadConfig$ = createEffect(() => {
        return this.actions$.pipe(
            ofType(ConfigActions.LoadConfig),
            switchMap((a: Init) => this.configService.getConfig()),
            map((config: PublicConfig) => {
                return new ConfigLoaded({ config: config });
            })
        );
    });

    constructor(
        private actions$: Actions,
        private configService: ConfigService
    ) {}
}
