import { ConfigActions, ConfigActionsUnion } from './config.actions';
import { PublicConfig } from '../public-config';
import { Action } from '@ngrx/store';

export interface ConfigState {
    config: PublicConfig;
}

export const initialState: ConfigState = {
    config: null,
};

export function configReducer(
    state = initialState,
    action: Action
): ConfigState {
    const a = action as ConfigActionsUnion;

    switch (a.type) {
        case ConfigActions.LoadedConfig: {
            return {
                ...state,
                config: a.payload.config,
            };
        }

        default: {
            return state;
        }
    }
}
