import { Component, Input } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';

@Component({
    templateUrl: './confirmation-dialog.component.html',
    styleUrls: ['./confirmation-dialog.component.scss'],
})
export class ConfirmationDialogComponent {
    @Input() title: string;
    text: string;
    actionText: string;
    confirmStatus: string = 'danger';

    constructor(protected ref: NbDialogRef<ConfirmationDialogComponent>) {}

    cancel() {
        this.ref.close();
    }

    confirm() {
        this.ref.close({
            confirmed: true,
        });
    }
}
