import { Component, Input } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';

@Component({
    templateUrl: './explicit-confirmation-dialog.component.html',
    styleUrls: ['./explicit-confirmation-dialog.component.scss'],
})
export class ExplicitConfirmationDialogComponent {
    @Input() title: string;
    text: string;
    actionText: string;
    expectedText: string;

    enteredText: string;

    constructor(
        protected ref: NbDialogRef<ExplicitConfirmationDialogComponent>
    ) {}

    cancel() {
        this.ref.close();
    }

    get canConfirm() {
        return this.enteredText == this.expectedText;
    }

    confirm() {
        this.ref.close({
            confirmed: true,
        });
    }
}
