import {
    Component,
    ContentChild,
    Input,
    OnInit,
    TemplateRef,
} from '@angular/core';
import { SubatoPrincipal } from 'app/auth/models/principal/subato-principal';
import { AuthService } from 'app/auth/auth.service';
import { ErrorConfig } from '../error-config';

@Component({
    selector: 'sb-error-alert',
    templateUrl: './error-alert.component.html',
    styleUrls: ['./error-alert.component.scss'],
})
export class ErrorAlertComponent implements OnInit {
    @Input() config: ErrorConfig;
    @Input() principal: SubatoPrincipal;
    @ContentChild('actions') actionsTemplate: TemplateRef<any>;

    constructor(private authService: AuthService) {}

    ngOnInit(): void {}

    login() {
        this.authService.login();
    }
}
