export class FileTree {
    name: string;
    uuid: string;
    contentType: string;
    children: FileTree[];
    src: boolean;
    directory: boolean;

    constructor(item: any) {
        this.name = item.name;
        this.uuid = item.uuid;
        this.contentType = item.contentType;
        this.children = item.children
            ? item.children.map((c) => new FileTree(c))
            : [];
        this.src = item.src;
        this.directory = item.directory;
    }

    get isPdf() {
        return this.contentType == 'application/pdf';
    }

    filterByName(searchString: string): FileTree {
        const filteredChildren = this.children
            .map((child) => child.filterByName(searchString))
            .filter((child) => child !== null);

        if (
            this.name.toLowerCase().includes(searchString.toLowerCase()) ||
            filteredChildren.length > 0
        ) {
            let tree = new FileTree({});
            tree.name = this.name;
            tree.children = filteredChildren;
            tree.contentType = this.contentType;
            tree.src = this.src;
            tree.uuid = this.uuid;
            tree.directory = this.directory;
            return tree;
        } else {
            return null;
        }
    }
}
