import { Action } from '@ngrx/store';

export enum LocationActions {
    Navigated = '[Location] Navigated',
    UndoNavigation = '[Location] Undo Navigation',
}

export class Navigated implements Action {
    readonly type = LocationActions.Navigated;

    constructor(public payload: { currentUrl: string }) {}
}

export class UndoNavigation implements Action {
    readonly type = LocationActions.UndoNavigation;

    constructor() {}
}

export type LocationActionsUnion = Navigated | UndoNavigation;
