import { Injectable } from '@angular/core';
import {
    HttpHandler,
    HttpInterceptor,
    HttpRequest,
} from '@angular/common/http';
import { environment } from 'environments/environment';

@Injectable()
export class ApiVersionInterceptor implements HttpInterceptor {
    intercept(request: HttpRequest<any>, next: HttpHandler) {
        if (!request.url.startsWith(environment.backendUrl)) {
            return next.handle(request);
        }

        const req = request.clone({
            headers: request.headers.set('API-Version', environment.version),
        });

        return next.handle(req);
    }
}
