import { Component, OnDestroy } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';
import { ComponentWithOptionalLifecycleHooks } from 'app/shared/route-reuse/route-reuse-life.cycle.directive';

@Component({
    selector: 'ngx-base',
    template: '',
})
export class BaseComponent
    implements OnDestroy, ComponentWithOptionalLifecycleHooks
{
    protected destroy$ = new Subject<void>();

    private _detached = new BehaviorSubject(false);
    public detached$ = this._detached.asObservable();

    constructor() {}

    ngOnDestroy(): void {
        this.destroy$.next();
        this.destroy$.complete();
    }

    public onAttach() {
        this._detached.next(false);
    }

    public onDetach() {
        this._detached.next(true);
    }
}
