import * as moment from 'moment';

export class Iso8601Helper {
    public static fromString(value: string): moment.Moment {
        if (!value) {
            return null;
        }

        let momentValue = moment(
            value,
            ['YYYY-MM-DDTHH:mm:ss', 'YYYY-MM-DDTHH:mm:ss.SSSSSS', 'YYYY-MM-DD'],
            true
        );
        return momentValue.isValid() ? momentValue : null;
    }

    public static toString(value: any, onlyDate: boolean = false): string {
        if (moment.isMoment(value)) {
            return onlyDate
                ? value.format('YYYY-MM-DD')
                : value.utc(true).toISOString();
        }
    }
}
