import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NebularModule } from '../nebular.module';
import {
    DetailsTemplateDirective,
    PageHeaderComponent,
    SubtitleTemplateDirective,
    TitleTemplateDirective,
} from 'app/shared/page-header/page-header/page-header.component';
import { RouterModule } from '@angular/router';
import { MiscModule } from 'app/shared/misc/misc.module';

@NgModule({
    declarations: [
        PageHeaderComponent,
        TitleTemplateDirective,
        SubtitleTemplateDirective,
        DetailsTemplateDirective,
    ],
    imports: [CommonModule, NebularModule, RouterModule, MiscModule],
    exports: [
        PageHeaderComponent,
        TitleTemplateDirective,
        SubtitleTemplateDirective,
        DetailsTemplateDirective,
    ],
})
export class PageHeaderModule {}
