export class Page<T> {
    number: number;
    totalPages: number;
    content: T[];
    totalElements: number;

    constructor(page?: any, fn?) {
        this.number = page?.number ?? 0;
        this.content = page?.content?.map((item) => fn(item)) ?? [];
        this.totalElements = page?.totalElements ?? 0;
        this.totalPages = page?.totalPages ?? 0;
    }

    hasNext() {
        return this.number + 1 < this.totalPages;
    }
}
