import {
    Component,
    ContentChild,
    Directive,
    Input,
    OnInit,
    TemplateRef,
} from '@angular/core';
import { PagingStore } from 'app/shared/paging/paging.store';

@Directive({
    selector: '[itemTemplate]',
})
export class ItemTemplateDirective {
    constructor(public templateRef: TemplateRef<any>) {}
}

@Directive({
    selector: '[errorTemplate]',
})
export class ErrorTemplateDirective {
    constructor(public templateRef: TemplateRef<any>) {}
}

@Directive({
    selector: '[loadingTemplate]',
})
export class LoadingTemplateDirective {
    constructor(public templateRef: TemplateRef<any>) {}
}

@Directive({
    selector: '[emptyTemplate]',
})
export class EmptyTemplateDirective {
    constructor(public templateRef: TemplateRef<any>) {}
}

@Component({
    selector: 'sb-paging-list',
    templateUrl: './paging-list.component.html',
    styleUrls: ['./paging-list.component.scss'],
})
export class PagingListComponent<T> implements OnInit {
    @Input() paging: PagingStore<T>;

    @ContentChild(ItemTemplateDirective) itemTemplate: ItemTemplateDirective;
    @ContentChild(ErrorTemplateDirective) errorTemplate: ErrorTemplateDirective;
    @ContentChild(LoadingTemplateDirective)
    loadingTemplate: LoadingTemplateDirective;
    @ContentChild(EmptyTemplateDirective) emptyTemplate: EmptyTemplateDirective;

    constructor() {}

    ngOnInit(): void {}

    nextPage() {
        this.paging.nextPage();
    }
}
