import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { NebularModule } from 'app/shared/nebular.module';
import {
    EmptyTemplateDirective,
    ErrorTemplateDirective,
    ItemTemplateDirective,
    LoadingTemplateDirective,
    PagingListComponent,
} from './paging-list/paging-list.component';
import { LetModule } from '@ngrx/component';

@NgModule({
    declarations: [
        PagingListComponent,
        ItemTemplateDirective,
        ErrorTemplateDirective,
        LoadingTemplateDirective,
        EmptyTemplateDirective,
    ],
    imports: [CommonModule, RouterModule, NebularModule, LetModule],
    exports: [
        PagingListComponent,
        ItemTemplateDirective,
        ErrorTemplateDirective,
        LoadingTemplateDirective,
        EmptyTemplateDirective,
    ],
})
export class PagingModule {}
