import { NgModule } from '@angular/core';
import { ValidationModule } from './validation/validation.module';
import { ErrorModule } from './error/error.module';
import { BreadcrumbModule } from './breadcrumbs/breadcrumb.module';
import { CommonModule } from '@angular/common';
import { DropzoneModule } from './dropzone/dropzone.module';
import { LoadingModule } from './loading/loading.module';
import { CodemirrorModule } from './codemirror/codemirror.module';
import { TrustModule } from './trust/trust.module';
import { DownloadModule } from './download/download.module';
import { DialogsModule } from 'app/shared/dialogs/dialogs.module';
import { NotificationsModule } from './notifications/notifications.module';
import { NebularModule } from './nebular.module';
import { KatexModule } from '@sls/ng-katex';
import { UtilPipesModule } from './util-pipes/util-pipes.module';
import { UserModule } from './user/user.module';
import { RouteReuseModule } from './route-reuse/route-reuse.module';
import { LocationModule } from './location/location.module';
import { MiscModule } from './misc/misc.module';
import { ConfigModule } from './config/config.module';
import { BackNavigationModule } from './back-navigation/back-navigation.module';
import { LetModule } from '@ngrx/component';
import { NgxSliderModule } from '@angular-slider/ngx-slider';
import { SigningModule } from 'app/shared/signing/signing.module';
import { RichContentModule } from 'app/shared/rich-content/rich-content.module';
import { PagingModule } from 'app/shared/paging/paging.module';
import { PageHeaderModule } from 'app/shared/page-header/page-header.module';

@NgModule({
    declarations: [],
    imports: [
        CommonModule,
        NebularModule,
        KatexModule,
        NgxSliderModule,
        UtilPipesModule,
        LocationModule,
        BackNavigationModule,
        RouteReuseModule,
        ValidationModule,
        BreadcrumbModule,
        ErrorModule,
        DropzoneModule,
        LoadingModule,
        CodemirrorModule,
        TrustModule,
        DownloadModule,
        DialogsModule,
        NotificationsModule,
        ConfigModule,
        MiscModule,
        SigningModule,
        RichContentModule,
        LetModule,
        PageHeaderModule,
    ],
    exports: [
        NebularModule,
        KatexModule,
        NgxSliderModule,
        RouteReuseModule,
        LocationModule,
        UtilPipesModule,
        UserModule,
        BackNavigationModule,
        ValidationModule,
        BreadcrumbModule,
        ErrorModule,
        DropzoneModule,
        LoadingModule,
        CodemirrorModule,
        TrustModule,
        DownloadModule,
        DialogsModule,
        NotificationsModule,
        ConfigModule,
        MiscModule,
        SigningModule,
        RichContentModule,
        LetModule,
        PagingModule,
        PageHeaderModule,
    ],
})
export class SharedModule {}
