import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'environments/environment';
import { SignRequest } from 'app/shared/signing/sign-request';
import { SignResponse } from 'app/shared/signing/sign-response';

@Injectable({
    providedIn: 'root',
})
export class SignService {
    constructor(private http: HttpClient) {}

    sign(request: SignRequest): Observable<SignResponse> {
        return this.http.post<SignResponse>(
            `${environment.backendUrl}/sign`,
            request
        );
    }
}
