import { Pipe, PipeTransform } from '@angular/core';
import { NameFormat, User } from './user';

@Pipe({
    name: 'formalUserName',
})
export class FormalUserNamePipe implements PipeTransform {
    transform(user: User | User[], withLoginName?: boolean): any | any[] {
        if (Array.isArray(user)) {
            return user.map((v) => v.getName(NameFormat.Formal, withLoginName));
        } else {
            return user.getName(NameFormat.Formal, withLoginName);
        }
    }
}
