import { Pipe, PipeTransform } from '@angular/core';
import { NameFormat, User } from './user';

@Pipe({
    name: 'userName',
})
export class UserNamePipe implements PipeTransform {
    transform(user: User | User[], withLoginName?: boolean): any | any[] {
        if (Array.isArray(user)) {
            return user.map((v) =>
                v.getName(NameFormat.Personal, withLoginName)
            );
        } else {
            return user.getName(NameFormat.Personal, withLoginName);
        }
    }
}
