import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ExerciseAcceptancePageComponent } from 'app/solutions/pages/exercise-acceptance/exercise-acceptance.page.component';
import { BreadcrumbsComponent } from './components/breadcrumbs/breadcrumbs.component';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { ExercisesSharedModule } from 'app/exercises/shared/exercises-shared.module';
import { RestartDialogComponent } from './components/restart-dialog/restart-dialog.component';
import { TaskInstanceListComponent } from './components/task-instance-list/task-instance-list.component';
import { LogViewerComponent } from './components/log-viewer/log-viewer.component';
import { PossiblyOutdatedHintComponent } from './components/possibly-outdated-hint/possibly-outdated-hint.component';
import { DetachedHintComponent } from './components/detached-hint/detached-hint.component';

@NgModule({
    declarations: [
        ExerciseAcceptancePageComponent,
        BreadcrumbsComponent,
        RestartDialogComponent,
        TaskInstanceListComponent,
        LogViewerComponent,
        PossiblyOutdatedHintComponent,
        DetachedHintComponent,
    ],
    imports: [CommonModule, SharedModule, RouterModule, ExercisesSharedModule],
})
export class ExerciseAcceptancePageModule {}
