import { Injectable } from '@angular/core';
import { Task } from 'app/tasks/models/task';
import { Exercise } from 'app/exercises/models/exercise';

@Injectable({
    providedIn: 'root',
})
export class LastSolutionService {
    private getKey(task: Task, exercise?: Exercise): string {
        let key = `lastSolution-${task.id}`;
        if (exercise != null) {
            key += `-${exercise.id}`;
        }

        return key;
    }

    public setLastSolution(
        content: string,
        task: Task,
        exercise?: Exercise
    ): void {
        localStorage.setItem(this.getKey(task, exercise), content);
    }

    public getLastSolution(task: Task, exercise?: Exercise): string | null {
        return localStorage.getItem(this.getKey(task, exercise));
    }

    public clearLastSolution(task: Task, exercise?: Exercise): void {
        localStorage.removeItem(this.getKey(task, exercise));
    }
}
