import {
    Component,
    Input,
    OnChanges,
    OnInit,
    SimpleChanges,
} from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { Solution } from 'app/solutions/models/solution';
import { SolutionAcceptanceStore } from 'app/solutions/shared/components/solution-acceptance/solution-acceptance.store';

@Component({
    selector: 'sb-solution-acceptance',
    templateUrl: './solution-acceptance.component.html',
    styleUrls: ['./solution-acceptance.component.scss'],
    providers: [SolutionAcceptanceStore],
})
export class SolutionAcceptanceComponent
    extends BaseComponent
    implements OnInit, OnChanges
{
    @Input() solution: Solution;

    running$ = this.acceptanceTestStore.running$;
    evalState$ = this.acceptanceTestStore.evalState$;
    error$ = this.acceptanceTestStore.error$;

    constructor(private acceptanceTestStore: SolutionAcceptanceStore) {
        super();
    }

    ngOnInit(): void {}

    ngOnChanges(changes: SimpleChanges) {
        if (changes.hasOwnProperty('solution')) {
            this.acceptanceTestStore.patchState({ solution: this.solution });
        }
    }

    run() {
        this.acceptanceTestStore.run();
    }
}
