import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SolutionIdeComponent } from 'app/solutions/shared/solution-ide/solution-ide.component';
import { ViewerHostDirective } from 'app/solutions/shared/solution-ide/viewer/viewer-host.directive';
import { PdfViewerComponent } from 'app/solutions/shared/solution-ide/viewer/pdf-viewer/pdf-viewer.component';
import { SourceCodeViewerComponent } from 'app/solutions/shared/solution-ide/viewer/source-code-viewer/source-code-viewer.component';
import { FileBrowserComponent } from 'app/solutions/shared/solution-ide/file-browser/file-browser.component';
import { NothingViewerComponent } from 'app/solutions/shared/solution-ide/viewer/nothing-viewer/nothing-viewer.component';
import { SharedModule } from 'app/shared/shared.module';
import { AngularSplitModule } from 'angular-split';
import { DefaultViewerComponent } from 'app/solutions/shared/solution-ide/viewer/default-viewer/default-viewer.component';
import { IdeErrorComponent } from 'app/solutions/shared/solution-ide/ide-error/ide-error.component';
import { MaximizeDirective } from 'app/solutions/shared/solution-ide/maximize.directive';

@NgModule({
    declarations: [
        SolutionIdeComponent,
        ViewerHostDirective,
        PdfViewerComponent,
        SourceCodeViewerComponent,
        FileBrowserComponent,
        NothingViewerComponent,
        DefaultViewerComponent,
        IdeErrorComponent,
        MaximizeDirective,
    ],
    imports: [CommonModule, SharedModule, AngularSplitModule],
    exports: [SolutionIdeComponent],
})
export class SolutionIdeModule {}
