import { Injectable, ViewContainerRef } from '@angular/core';
import { Solution } from 'app/solutions/models/solution';
import { SolutionService } from 'app/solutions/services/solution.service';
import { BaseComponent } from 'app/shared/misc/base.component';
import { FileTree } from 'app/shared/fs/file-tree';
import { NotificationService } from 'app/shared/notifications/notification.service';
import { Observable, of } from 'rxjs';
import { DefaultViewerComponent } from 'app/solutions/shared/solution-ide/viewer/default-viewer/default-viewer.component';

@Injectable({
    providedIn: 'root',
})
export class DefaultViewerFactory extends BaseComponent {
    constructor(
        private solutionService: SolutionService,
        private notificationService: NotificationService
    ) {
        super();
    }

    createViewer(
        solution: Solution,
        tree: FileTree,
        containerRef: ViewContainerRef
    ): Observable<void> {
        const componentRef =
            containerRef.createComponent<DefaultViewerComponent>(
                DefaultViewerComponent
            );
        componentRef.instance.tree = tree;
        componentRef.instance.solution = solution;
        return of(null);
    }
}
