import { Component, Input, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { FileTree } from 'app/shared/fs/file-tree';
import { SubatoState } from 'app/store/app.reducers';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';

export interface File {
    tree: FileTree;
    content?: string;
}

@Component({
    templateUrl: './source-code-viewer.component.html',
    styleUrls: ['./source-code-viewer.component.scss'],
})
export class SourceCodeViewerComponent extends BaseComponent implements OnInit {
    @Input() file: File;
    darkMode$: Observable<boolean> = this.store.select(
        (s) => s.layout.darkMode
    );

    constructor(private store: Store<SubatoState>) {
        super();
    }

    ngOnInit(): void {}
}
