import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SolutionHistoryComponent } from 'app/solutions/shared/components/solution-history/solution-history.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { SolutionCommentsComponent } from 'app/solutions/shared/components/solution-comments/solution-comments.component';
import { SolutionAcceptanceComponent } from 'app/solutions/shared/components/solution-acceptance/solution-acceptance.component';
import { SolutionEvalResultComponent } from 'app/solutions/shared/components/eval-result/solution-eval-result.component';
import { SolutionIdeModule } from 'app/solutions/shared/solution-ide/solution-ide.module';
import { SubmitSolutionFormModule } from 'app/solutions/shared/submit-solution-form/submit-solution-form.module';
import { BulkAcceptanceHintComponent } from 'app/solutions/shared/components/bulk-acceptance-hint/bulk-acceptance-hint.component';
import { ClientLabelPipe } from 'app/solutions/shared/pipes/client-label.pipe';

@NgModule({
    declarations: [
        SolutionHistoryComponent,
        SolutionCommentsComponent,
        SolutionAcceptanceComponent,
        SolutionEvalResultComponent,
        BulkAcceptanceHintComponent,
        ClientLabelPipe,
    ],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        SolutionIdeModule,
        SubmitSolutionFormModule,
    ],
    exports: [
        SolutionHistoryComponent,
        SolutionCommentsComponent,
        SolutionAcceptanceComponent,
        SolutionEvalResultComponent,
        ClientLabelPipe,
        SolutionIdeModule,
        SubmitSolutionFormModule,
    ],
})
export class SolutionsSharedModule {}
