import { Component, forwardRef, OnInit } from '@angular/core';
import { ControlValueAccessor, NG_VALUE_ACCESSOR } from '@angular/forms';

@Component({
    selector: 'sb-submit-solution-form-comment',
    templateUrl: './comment.component.html',
    styleUrls: ['./comment.component.scss'],
    providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => CommentComponent),
            multi: true,
        },
    ],
})
export class CommentComponent implements OnInit, ControlValueAccessor {
    comment: string;

    constructor() {}

    ngOnInit(): void {}

    setComment(comment) {
        this.comment = comment;
        this.onChange(comment);
    }

    // Placeholder functions for the ControlValueAccessor interface
    private onChange: (value: any) => void = () => {};
    private onTouched: () => void = () => {};

    // ControlValueAccessor interface methods
    writeValue(value: any): void {
        // Set the initial value when the form control is initialized
        this.comment = value;
    }

    registerOnChange(fn: (value: any) => void): void {
        // Register the callback function to update the form control value
        this.onChange = fn;
    }

    registerOnTouched(fn: () => void): void {
        // Register the callback function for touch events
        this.onTouched = fn;
    }

    setDisabledState(isDisabled: boolean): void {
        // Optional: Implement this method if you want to disable the component
        // based on the form control's disabled state
    }
}
