import { Pipe, PipeTransform } from '@angular/core';
import { Submission } from 'app/assessment/models/submission';
import { TaskInstance } from 'app/exercises/models/task-instance';

@Pipe({
    name: 'remainingAttempts',
})
export class RemainingAttemptsPipe implements PipeTransform {
    transform(taskInstance: TaskInstance, submission: Submission): any {
        if (!taskInstance.task.attempts) {
            return '';
        }

        let maxAttempts = taskInstance.task.attempts;
        let instanceAttempts = submission?.attempts?.find(
            (a) =>
                a.taskId == taskInstance.task.id &&
                a.exerciseId == taskInstance.exercise.id
        );
        let attempts = instanceAttempts?.attempts ?? 0;
        let remaining = maxAttempts - attempts;

        return `noch ${remaining} Versuche`;
    }
}
