import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SubmitSolutionFormComponent } from 'app/solutions/shared/submit-solution-form/submit-solution-form.component';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { RemainingAttemptsPipe } from 'app/solutions/shared/submit-solution-form/remaining-attempts.pipe';
import { SubmissionModeSelectComponent } from 'app/solutions/shared/submit-solution-form/components/submission-mode-select/submission-mode-select.component';
import { UnauthenticatedHintComponent } from 'app/solutions/shared/submit-solution-form/components/unauthenticated-hint/unauthenticated-hint.component';
import { LateSubmitHintComponent } from 'app/solutions/shared/submit-solution-form/components/late-submit-hint/late-submit-hint.component';
import { EditorComponent } from 'app/solutions/shared/submit-solution-form/components/editor/editor.component';
import { CommentComponent } from 'app/solutions/shared/submit-solution-form/components/comment/comment.component';
import { SubmitButtonComponent } from 'app/solutions/shared/submit-solution-form/components/submit-button/submit-button.component';
import { UploadComponent } from 'app/solutions/shared/submit-solution-form/components/upload/upload.component';
import { SubmitErrorComponent } from 'app/solutions/shared/submit-solution-form/components/submit-error/submit-error.component';
import { TasksSharedModule } from 'app/tasks/shared/tasks-shared.module';

@NgModule({
    declarations: [
        SubmitSolutionFormComponent,
        RemainingAttemptsPipe,
        SubmissionModeSelectComponent,
        UnauthenticatedHintComponent,
        LateSubmitHintComponent,
        EditorComponent,
        CommentComponent,
        SubmitButtonComponent,
        UploadComponent,
        SubmitErrorComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule, TasksSharedModule],
    exports: [SubmitSolutionFormComponent, RemainingAttemptsPipe],
})
export class SubmitSolutionFormModule {}
