import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { Solution } from './models/solution';
import { SolutionPageComponent } from 'app/solutions/pages/solution/solution.page.component';
import { ExerciseAcceptancePageComponent } from 'app/solutions/pages/exercise-acceptance/exercise-acceptance.page.component';

export const routes: Routes = [
    {
        path: 'solutions/:solution_id',
        component: SolutionPageComponent,
        data: {
            breadcrumb: {
                alias: 'solutions',
                label: (solution: Solution) => `Lösung ${solution.id}`,
            },
            courseMenuEnabled: true,
        },
    },
    {
        path: 'exercises/:exercise_id/acceptance',
        component: ExerciseAcceptancePageComponent,
        data: {
            authRequired: true,
            breadcrumb: {
                alias: 'exerciseAcceptance',
                label: `Abnahmetests`,
            },
            courseMenuEnabled: true,
        },
    },
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule],
})
export class SolutionsRoutingModule {}
