export class EvaluationStack {
    ref: string;
    evaluator: Evaluator;
    environment: Environment;

    constructor(dto: any) {
        this.ref = dto.ref;
        this.evaluator = new Evaluator(dto.evaluator);
        this.environment = new Environment(dto.environment);
    }

    get formatted() {
        return this.ref;
    }
}

export class Environment {
    id: string;
    ref: string;
    tag: string;
    maintainer: string;
    description: string;

    constructor(dto: any) {
        this.id = dto.id;
        this.ref = dto.ref;
        this.tag = dto.tag;
        this.maintainer = dto.maintainer;
        this.description = dto.description;
    }
}

export class Evaluator {
    id: string;
    capability: Capability;

    constructor(dto: any) {
        this.id = dto.id;
        this.capability = dto.capability;
    }
}

export interface Capability {
    compile: boolean;
    style: boolean;
    test: boolean;
    coverage: boolean;
}
