import { Iso8601Helper } from 'app/shared/misc/helper/iso8601.helper';
import * as moment from 'moment';
import { LogType } from './log-type';

export class TaskImportLog {
    id: number;
    message: string;
    type: LogType;
    at: moment.Moment;

    constructor(dto: any) {
        this.id = dto.id;
        this.message = dto.message;
        this.type = dto.type;
        this.at = Iso8601Helper.fromString(dto.at);
    }

    get info() {
        return this.type == LogType.Info;
    }

    get error() {
        return this.type == LogType.Error;
    }
}
