import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { LanguageListStore } from 'app/tasks/pages/languages/components/language-list/language-list.store';

@Component({
    selector: 'sb-languages-language-list',
    templateUrl: './language-list.component.html',
    styleUrls: ['./language-list.component.scss'],
    providers: [LanguageListStore],
})
export class LanguageListComponent extends BaseComponent implements OnInit {
    languagesState$ = this.languageListStore.languagesState$;
    isSuperAdmin$ = this.languageListStore.isSuperAdmin$;

    constructor(private languageListStore: LanguageListStore) {
        super();
    }

    ngOnInit(): void {
        this.languageListStore.loadLanguages();
    }
}
