import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { TaskPool } from 'app/tasks/models/task-pool';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';

@Component({
    selector: 'sb-edit-task-pool-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent implements OnChanges {
    @Input() taskPool: TaskPool;
    breadcrumbs: Breadcrumb[] = [];

    constructor() {}

    ngOnChanges(changes: SimpleChanges) {
        let shouldRefresh = changes.hasOwnProperty('taskPool');

        if (shouldRefresh) {
            this.buildBreadcrumbs(this.taskPool);
        }
    }

    buildBreadcrumbs(pool: TaskPool) {
        this.breadcrumbs = [
            {
                id: 'pools',
            },
            {
                id: 'pool',
                params: {
                    pool_id: pool.id,
                },
                ctx: pool,
            },
            {
                id: 'editPool',
                params: {
                    pool_id: pool.id,
                },
            },
        ];
    }
}
