import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { CreateTaskPoolDto } from 'app/tasks/dto/create-task-pool.dto';
import { NewTaskPoolPageStore } from 'app/tasks/pages/task-pool-admin/new-task-pool/new-task-pool.page.store';

@Component({
    templateUrl: './new-task-pool.page.component.html',
    styleUrls: ['./new-task-pool.page.component.scss'],
    providers: [NewTaskPoolPageStore],
})
export class NewTaskPoolPageComponent extends BaseComponent implements OnInit {
    validationError$ = this.newTaskPoolStore.validationError$;
    saving$ = this.newTaskPoolStore.saving$;

    constructor(private newTaskPoolStore: NewTaskPoolPageStore) {
        super();
    }

    ngOnInit() {}

    createPool(dto: CreateTaskPoolDto) {
        this.newTaskPoolStore.createPool(dto);
    }
}
