import {
    Component,
    Input,
    OnChanges,
    OnInit,
    SimpleChanges,
} from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { TaskPool } from 'app/tasks/models/task-pool';
import { CourseListStore } from 'app/tasks/pages/task-pool/components/course-list/course-list.store';

@Component({
    selector: 'sb-task-pool-course-list',
    templateUrl: './course-list.component.html',
    styleUrls: ['./course-list.component.scss'],
    providers: [CourseListStore],
})
export class CourseListComponent
    extends BaseComponent
    implements OnInit, OnChanges
{
    @Input() pool: TaskPool;

    coursesState$ = this.taskPoolCourseListStore.coursesState;

    constructor(private taskPoolCourseListStore: CourseListStore) {
        super();
    }

    ngOnInit(): void {}

    ngOnChanges(changes: SimpleChanges): void {
        if (changes.hasOwnProperty('pool')) {
            this.taskPoolCourseListStore.setPool(this.pool);
        }
    }
}
