import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { ImportLogViewerStore } from 'app/tasks/pages/task-pool/components/import-log-viewer/import-log-viewer.store';
import { v4 as uuidv4 } from 'uuid';

@Component({
    selector: 'sb-task-pool-id-generator',
    templateUrl: './id-generator.component.html',
    providers: [ImportLogViewerStore],
})
export class IdGeneratorComponent extends BaseComponent implements OnInit {
    xml: string;

    constructor() {
        super();
        this.generate();
    }

    ngOnInit(): void {}

    generate() {
        this.xml = `<?xml version="1.0" encoding="utf-8"?>
<task trackingId="${uuidv4()}">
    ...
</task>`;
    }
}
