import {
    Component,
    Input,
    OnChanges,
    OnInit,
    SimpleChanges,
} from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { TaskPool } from 'app/tasks/models/task-pool';
import { TaskPoolService } from 'app/tasks/services/task-pool.service';
import { ImportLogViewerStore } from 'app/tasks/pages/task-pool/components/import-log-viewer/import-log-viewer.store';

@Component({
    selector: 'sb-task-pool-import-log-viewer',
    templateUrl: './import-log-viewer.component.html',
    styleUrls: ['./import-log-viewer.component.scss'],
    providers: [ImportLogViewerStore],
})
export class ImportLogViewerComponent
    extends BaseComponent
    implements OnInit, OnChanges
{
    @Input() pool: TaskPool;

    logsState$ = this.taskImportLogsListStore.logsState;

    constructor(
        private taskPoolService: TaskPoolService,
        private taskImportLogsListStore: ImportLogViewerStore
    ) {
        super();
    }

    ngOnInit(): void {}

    ngOnChanges(changes: SimpleChanges): void {
        if (changes.hasOwnProperty('pool')) {
            this.taskImportLogsListStore.setPool(this.pool);
        }
    }

    public refresh() {
        this.taskImportLogsListStore.refresh();
    }
}
