import {
    Component,
    Input,
    OnChanges,
    OnInit,
    SimpleChanges,
} from '@angular/core';
import { BaseComponent } from 'app/shared/misc/base.component';
import { TaskPool } from 'app/tasks/models/task-pool';
import { TaskListStore } from 'app/tasks/pages/task-pool/components/task-list/task-list.store';

@Component({
    selector: 'sb-task-pool-task-list',
    templateUrl: './task-list.component.html',
    styleUrls: ['./task-list.component.scss'],
    providers: [TaskListStore],
})
export class TaskListComponent
    extends BaseComponent
    implements OnInit, OnChanges
{
    @Input() pool: TaskPool;

    query$ = this.taskPoolTasksStore.query$;
    showArchived$ = this.taskPoolTasksStore.showArchived$;

    constructor(public taskPoolTasksStore: TaskListStore) {
        super();
    }

    ngOnInit(): void {}

    ngOnChanges(changes: SimpleChanges): void {
        if (changes.hasOwnProperty('pool')) {
            this.taskPoolTasksStore.patchState({ pool: this.pool });
        }
    }

    filterTasks(query) {
        this.taskPoolTasksStore.patchState({ query: query });
    }

    onShowArchivedChanged(showArchived) {
        this.taskPoolTasksStore.patchState({ showArchived: showArchived });
    }

    public refresh() {
        this.taskPoolTasksStore.refresh();
    }
}
