import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { TaskPoolPageComponent } from 'app/tasks/pages/task-pool/task-pool.page.component';
import { CourseListComponent } from 'app/tasks/pages/task-pool/components/course-list/course-list.component';
import { TaskListComponent } from 'app/tasks/pages/task-pool/components/task-list/task-list.component';
import { RepoHintComponent } from './components/repo-hint/repo-hint.component';
import { BreadcrumbsComponent } from 'app/tasks/pages/task-pool/components/breadcrumbs/breadcrumbs.component';
import { ImportLogViewerComponent } from 'app/tasks/pages/task-pool/components/import-log-viewer/import-log-viewer.component';
import { TaskUploadComponent } from 'app/tasks/pages/task-pool/components/upload/task-upload.component';
import { IdGeneratorComponent } from 'app/tasks/pages/task-pool/components/id-generator/id-generator.component';

@NgModule({
    declarations: [
        TaskPoolPageComponent,
        CourseListComponent,
        TaskListComponent,
        RepoHintComponent,
        BreadcrumbsComponent,
        ImportLogViewerComponent,
        TaskUploadComponent,
        IdGeneratorComponent,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
})
export class TaskPoolPageModule {}
