import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Task } from 'app/tasks/models/task';
import { Breadcrumb } from 'app/shared/breadcrumbs/breadcrumb';

@Component({
    selector: 'sb-task-breadcrumbs',
    templateUrl: './breadcrumbs.component.html',
    styleUrls: ['./breadcrumbs.component.scss'],
})
export class BreadcrumbsComponent implements OnChanges {
    @Input() task: Task;
    breadcrumbs: Breadcrumb[] = [];

    constructor() {}

    ngOnChanges(changes: SimpleChanges) {
        let shouldRefresh = changes.hasOwnProperty('task');

        if (shouldRefresh) {
            this.buildBreadcrumbs(this.task);
        }
    }

    buildBreadcrumbs(task: Task) {
        this.breadcrumbs = [
            {
                id: 'pools',
            },
            {
                id: 'pool',
                params: {
                    pool_id: task.pool.id,
                },
                ctx: task.pool,
            },
            {
                id: 'task',
                params: {
                    task_id: task.id,
                },
                ctx: task,
            },
        ];
    }
}
