import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from 'app/shared/shared.module';
import { BreadcrumbsComponent } from 'app/tasks/pages/task/components/breadcrumbs/breadcrumbs.component';
import { RepoHintComponent } from './components/repo-hint/repo-hint.component';
import { TasksSharedModule } from 'app/tasks/shared/tasks-shared.module';
import { TaskPageComponent } from 'app/tasks/pages/task/task.page.component';
import { SolutionsSharedModule } from 'app/solutions/shared/solutions-shared.module';
import { TaskCardComponent } from 'app/tasks/pages/task/components/task-card/task-card.component';
import { CompetencesComponent } from 'app/tasks/pages/task/components/competences/competences.component';

@NgModule({
    declarations: [
        TaskPageComponent,
        BreadcrumbsComponent,
        TaskCardComponent,
        RepoHintComponent,
        CompetencesComponent,
    ],
    imports: [
        CommonModule,
        RouterModule,
        SharedModule,
        SolutionsSharedModule,
        TasksSharedModule,
    ],
    exports: [],
})
export class TaskPageModule {}
