import { Pipe, PipeTransform } from '@angular/core';
import { FileType } from 'app/tasks/models/file-type';

@Pipe({
    name: 'fileTypeLabel',
})
export class FileTypeLabelPipe implements PipeTransform {
    getLabel(value: FileType) {
        switch (value) {
            case FileType.Testcase:
                return 'Test';
            case FileType.Testinclude:
                return 'Erforderlich';
            case FileType.Template:
                return 'Vorlage';
            case FileType.Solution:
                return 'Lösung';
            case FileType.Misc:
                return 'Sonstige';
            case FileType.AcceptanceTest:
                return 'Abnahmetest';
            default:
                return value;
        }
    }

    transform(value: FileType | FileType[]): any {
        if (Array.isArray(value)) {
            return value.map((v) => this.getLabel(v));
        } else {
            return this.getLabel(value);
        }
    }
}
