import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SubmissionModeLabelPipe } from 'app/tasks/shared/pipes/submission-mode-label.pipe';
import { FileTypeLabelPipe } from 'app/tasks/shared/pipes/file-type.pipe';
import { TaskArchivedHintComponent } from 'app/tasks/shared/components/task-archived-hint/task-archived-hint.component';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';
import { TaskFileListComponent } from 'app/tasks/shared/components/task-file-list/task-file-list.component';
import { AttemptsPipe } from 'app/tasks/shared/pipes/attempts.pipe';

@NgModule({
    declarations: [
        SubmissionModeLabelPipe,
        FileTypeLabelPipe,
        TaskArchivedHintComponent,
        TaskFileListComponent,
        AttemptsPipe,
    ],
    imports: [CommonModule, RouterModule, SharedModule],
    exports: [
        SubmissionModeLabelPipe,
        FileTypeLabelPipe,
        TaskArchivedHintComponent,
        TaskFileListComponent,
        AttemptsPipe,
    ],
})
export class TasksSharedModule {}
