package de.hsrm.sls.subato;

import de.hsrm.sls.subato.misclib.MisconceptionRepository;
import de.hsrm.sls.subato.misconceptions.MisconceptionsConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.security.data.repository.query.SecurityEvaluationContextExtension;

@SpringBootApplication
public class SubatoApplication {

    @Bean
    public MisconceptionRepository misconceptionRepository(
        @Autowired MisconceptionsConfig misconceptionsConfig) {
        return new MisconceptionRepository(misconceptionsConfig.getDir());
    }

    @Bean
    public SecurityEvaluationContextExtension securityEvaluationContextExtension() {
        return new SecurityEvaluationContextExtension();
    }

    public static void main(String[] args) {
        SpringApplication.run(SubatoApplication.class, args);
    }
}
