package de.hsrm.sls.subato.aor.core;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.PropertyNamingStrategies.SnakeCaseStrategy;
import de.hsrm.sls.subato.aor.core.dto.CoreData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class JsonCoreDataReader {

    @Autowired
    ObjectMapper objectMapper;

    public CoreData read(String json) {
        try {
            var mapper = objectMapper.copy();
            mapper.setPropertyNamingStrategy(new SnakeCaseStrategy());
            return mapper.readValue(json, CoreData.class);
        } catch (JsonProcessingException e) {
            throw new RuntimeException(e);
        }
    }
}
