package de.hsrm.sls.subato.aor.core.usecase;

import de.hsrm.sls.subato.aor.core.dto.ModuleNode;
import de.hsrm.sls.subato.modules.progmodule.ModuleFrequency;

class ModuleFrequencyConverter {

    public static ModuleFrequency convertFrequency(ModuleNode.Frequency frequency) {
        if (frequency == null) {
            return null;
        }

        switch (frequency.getMatchcode()) {
            case "Semester":
                return ModuleFrequency.EVERY_TERM;
            case "Nachfrage":
                return ModuleFrequency.INDIVIDUAL;
            case "Ständig":
                return null;
            case "Jahr":
                return ModuleFrequency.EVERY_YEAR;
            case "Sommersemester":
                return ModuleFrequency.SUMMER_TERM;
            case "Wintersemester":
                return ModuleFrequency.WINTER_TERM;
            default:
                return null;
        }
    }
}
