package de.hsrm.sls.subato.aor.term;

import de.hsrm.sls.subato.aor.term.repository.TermDataImportRepository;
import de.hsrm.sls.subato.aor.term.usecase.ImportUnitsUseCase;
import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.course.supplement.CourseSupplement;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class AoRCourseSupplement implements CourseSupplement {

    @Autowired
    ImportUnitsUseCase importUnitsUseCase;

    @Autowired
    TermDataImportRepository termDataImportRepository;

    @Override
    public Course supplement(Course course) {
        if (course.getTerm() != null && course.getModules().size() != 0 && !course.isFinished()) {
            var termDataImport = termDataImportRepository.getTermData(course.getTerm());
            if (termDataImport != null) {
                importUnitsUseCase.importUnits(course, termDataImport.getTermData());
            }
        }

        return course;
    }

    @Override
    public String getIdentifier() {
        return "aor";
    }
}
