package de.hsrm.sls.subato.aor.term;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.PropertyNamingStrategies.SnakeCaseStrategy;
import de.hsrm.sls.subato.aor.term.dto.TermData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class JsonTermDataReader {

    @Autowired
    ObjectMapper objectMapper;

    public TermData read(String json) {
        try {
            var mapper = objectMapper.copy();
            mapper.setPropertyNamingStrategy(new SnakeCaseStrategy());
            return mapper.readValue(json, TermData.class);
        } catch (JsonProcessingException e) {
            throw new RuntimeException(e);
        }
    }
}
