package de.hsrm.sls.subato.aor.term.model;

import de.hsrm.sls.subato.aor.term.dto.TermData;
import de.hsrm.sls.subato.modules.term.Term;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import java.time.LocalDateTime;
import org.hibernate.annotations.JdbcTypeCode;
import org.hibernate.type.SqlTypes;

@Entity
@Table(name = "term_data_import")
public class TermDataImport {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @JdbcTypeCode(SqlTypes.JSON)
    private TermData termData;

    @ManyToOne
    private Term term;

    @Column(columnDefinition = "TIMESTAMP")
    private LocalDateTime importedAt;

    public TermDataImport(Term term, TermData termData, LocalDateTime importedAt) {
        this.termData = termData;
        this.term = term;
        this.importedAt = importedAt;
    }

    public TermDataImport() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public TermData getTermData() {
        return termData;
    }

    public void setTermData(TermData termData) {
        this.termData = termData;
    }

    public Term getTerm() {
        return term;
    }

    public void setTerm(Term term) {
        this.term = term;
    }

    public LocalDateTime getImportedAt() {
        return importedAt;
    }

    public void setImportedAt(LocalDateTime importedAt) {
        this.importedAt = importedAt;
    }
}
