package de.hsrm.sls.subato.aor.term.repository;

import de.hsrm.sls.subato.aor.term.dto.TermData;
import de.hsrm.sls.subato.aor.term.model.TermDataImport;
import de.hsrm.sls.subato.modules.term.Term;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Repository;

@Repository
class TermDataImportRepositoryImpl implements TermDataImportRepositoryCustom {

    @Autowired
    @Lazy
    TermDataImportRepository termDataImportRepository;

    @Override
    public TermDataImport getTermData(Term term) {
        return termDataImportRepository.findFirstByTermIdOrderByImportedAtDesc(term.getId())
            .orElse(null);
    }

    @Override
    public boolean importExistsForTermData(TermData termData) {
        var termDataImport = termDataImportRepository.findFirstByTermData(termData);
        return termDataImport.isPresent();
    }
}
