package de.hsrm.sls.subato.assessment.submission.dto;

import de.hsrm.sls.subato.assessment.submission.model.Submission;
import de.hsrm.sls.subato.assessment.submission.model.TaskInstanceAttempts;
import de.hsrm.sls.subato.exercises.exercise.dto.ExerciseMapper;
import de.hsrm.sls.subato.exercises.taskinstance.dto.TaskInstanceMapper;
import de.hsrm.sls.subato.user.dto.UserMapper;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring", uses = {TaskInstanceMapper.class, ExerciseMapper.class,
    UserMapper.class})
public interface SubmissionMapper {

    SubmissionDetailDto mapDetail(Submission submission);

    SubmissionSummaryDto mapSummary(Submission submission);

    @Mapping(target = "taskId", source = "taskInstance.task.id")
    @Mapping(target = "exerciseId", source = "taskInstance.exercise.id")
    TaskInstanceAttemptsDto map(TaskInstanceAttempts attempts);
}
