package de.hsrm.sls.subato.assessment.submission.repository;

import de.hsrm.sls.subato.assessment.submission.model.Submission;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import java.util.Comparator;

public class SubmissionQuery {

    private SubmissionFilter filter;
    private Comparator<Submission> sort;
    private PolicyContext policyContext;

    private SubmissionQuery(SubmissionFilter filter, Comparator<Submission> sort,
        PolicyContext policyContext) {
        this.filter = filter;
        this.sort = sort;
        this.policyContext = policyContext;
    }

    public SubmissionFilter getFilter() {
        return filter;
    }

    public Comparator<Submission> getSort() {
        return sort;
    }

    public PolicyContext getPolicyContext() {
        return policyContext;
    }

    public static class Builder {

        private SubmissionFilter filter;
        private Comparator<Submission> sort;
        private PolicyContext policyContext;

        public Builder setFilter(SubmissionFilter filter) {
            this.filter = filter;
            return this;
        }

        public Builder setPolicyContext(PolicyContext policyContext) {
            this.policyContext = policyContext;
            return this;
        }

        public Builder setSort(Comparator<Submission> sort) {
            this.sort = sort;
            return this;
        }

        public SubmissionQuery build() {
            return new SubmissionQuery(filter, sort, policyContext);
        }
    }
}
