package de.hsrm.sls.subato.assessment.submission.usecase;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Die Aufgabeninstanz existiert nicht")
public class TaskInstanceNotFoundException extends RuntimeException {

    private long taskId;
    private long exerciseId;

    public TaskInstanceNotFoundException(long exerciseId, long taskId) {
        this.exerciseId = exerciseId;
        this.taskId = taskId;
    }

    @Override
    public String getMessage() {
        return "taskId = %s, exerciseId = %s".formatted(taskId, exerciseId);
    }
}