package de.hsrm.sls.subato.assessment.submission.usecase;

import de.hsrm.sls.subato.assessment.submission.dto.UpdatePassedDto;
import de.hsrm.sls.subato.assessment.submission.model.Submission;
import de.hsrm.sls.subato.assessment.submission.repository.SubmissionRepository;
import de.hsrm.sls.subato.auth.principal.SubatoPrincipal;
import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.user.repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UpdatePassedUseCase {

    @Autowired
    private SubmissionRepository submissionRepository;

    @Autowired
    private UserRepository userRepository;

    public Submission updatePassed(Submission submission, UpdatePassedDto dto,
        SubatoPrincipal principal) {
        if (submission.getExercise().getCourse().isFinished()) {
            throw new CourseFinishedException();
        }

        submission.setPassed(dto.getPassed());

        var user = userRepository.findByPrincipal(principal);
        submission.setCheckedBy(user);

        return submissionRepository.save(submission);
    }
}
