package de.hsrm.sls.subato.attendances.attendance.usecase;

import de.hsrm.sls.subato.attendances.attendance.AttendanceRepository;
import de.hsrm.sls.subato.attendances.attendance.model.Attendance;
import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.courses.event.model.CourseUnitEvent;
import de.hsrm.sls.subato.user.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CreateAttendanceUseCase {

    @Autowired
    private AttendanceRepository attendanceRepository;

    public Attendance create(User user, CourseUnitEvent event) {
        var course = event.getUnit().getCourse();
        if (course.isFinished()) {
            throw new CourseFinishedException();
        }

        var attendance = attendanceRepository.findByStudentIdAndEventId(user.getId(), event.getId())
            .orElse(null);

        if (attendance == null) {
            attendance = new Attendance();
            attendance.setStudent(user);
            attendance.setEvent(event);
            attendance = attendanceRepository.save(attendance);
        }

        return attendance;
    }
}
