package de.hsrm.sls.subato.attendances.attendance.usecase;

import de.hsrm.sls.subato.attendances.attendance.AttendanceNotFoundException;
import de.hsrm.sls.subato.attendances.attendance.AttendanceRepository;
import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.courses.event.model.CourseUnitEvent;
import de.hsrm.sls.subato.user.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DeleteAttendanceUseCase {

    @Autowired
    private AttendanceRepository attendanceRepository;

    public void delete(User user, CourseUnitEvent event) {
        var course = event.getUnit().getCourse();
        if (course.isFinished()) {
            throw new CourseFinishedException();
        }

        var attendance = attendanceRepository.findByStudentIdAndEventId(user.getId(), event.getId())
            .orElseThrow(() -> new AttendanceNotFoundException(user.getId(), event.getId()));
        attendanceRepository.delete(attendance);
    }
}
