package de.hsrm.sls.subato.auth;

import de.hsrm.sls.subato.auth.policy.PolicyPermissionEvaluator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.access.expression.method.DefaultMethodSecurityExpressionHandler;
import org.springframework.security.access.expression.method.MethodSecurityExpressionHandler;
import org.springframework.security.config.annotation.method.configuration.EnableMethodSecurity;

@Configuration
@EnableMethodSecurity(
    securedEnabled = true,
    jsr250Enabled = true)
public class MethodSecurityConfig {

    @Autowired
    private PolicyPermissionEvaluator policyPermissionEvaluator;

    @Bean
    MethodSecurityExpressionHandler expressionHandler() {
        var expressionHandler = new DefaultMethodSecurityExpressionHandler();
        expressionHandler.setPermissionEvaluator(policyPermissionEvaluator);
        return expressionHandler;
    }
}