package de.hsrm.sls.subato.auth;

import com.fasterxml.jackson.annotation.JsonValue;
import java.io.Serializable;
import java.util.Arrays;

public enum Role implements Serializable {
    SuperAdmin,
    Staff,
    Student;

    @JsonValue
    public int toValue() {
        return ordinal();
    }

    public static Role[] regularRoles() {
        return Arrays.stream(values()).filter(r -> !r.equals(Role.SuperAdmin)).toArray(Role[]::new);
    }
}
