package de.hsrm.sls.subato.auth.masking;

import de.hsrm.sls.subato.auth.principal.SubatoPrincipal;

/**
 * Masks dto objects before they "leave" the application in order to prevent leaking fields that
 * should not be exposed for the current user.
 * @param <T> Type of objects to mask
 */
interface Masker<T> {

    /**
     * Masks fields of the passed object
     * @param obj the original object
     * @param principal the current user
     * @return the masked object
     */
    T mask(T obj, SubatoPrincipal principal);
}
