package de.hsrm.sls.subato.auth.masking;

import com.fasterxml.jackson.databind.module.SimpleModule;
import de.hsrm.sls.subato.auth.principal.PrincipalService;
import de.hsrm.sls.subato.tasks.task.dto.TaskDto;
import de.hsrm.sls.subato.user.dto.UserDetailDto;
import de.hsrm.sls.subato.user.dto.UserSummaryDto;

public class MaskingModule extends SimpleModule {

    public MaskingModule(PrincipalService principalService) {
        var modifier = new MaskerSerializerModifier(principalService);

        // map maskers to dto classes here
        modifier.addMasker(new UserDetailMasker(), UserDetailDto.class);
        modifier.addMasker(new UserSummaryMasker(), UserSummaryDto.class);
        modifier.addMasker(new TaskMasker(), TaskDto.class);

        setSerializerModifier(modifier);
    }
}