package de.hsrm.sls.subato.auth.masking;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.principal.SubatoPrincipal;
import de.hsrm.sls.subato.tasks.task.dto.TaskDto;

public class TaskMasker implements Masker<TaskDto> {

    @Override
    public TaskDto mask(TaskDto obj, SubatoPrincipal principal) {
        if (principal == null || !principal.hasAnyRole(Role.Staff, Role.SuperAdmin)) {
            obj.setEvaluationStack(null);
            obj.setPool(null);
            obj.setRepositoryUrl(null);
        }

        return obj;
    }
}
