package de.hsrm.sls.subato.auth.masking;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.principal.SubatoPrincipal;
import de.hsrm.sls.subato.user.dto.UserSummaryDto;

public class UserSummaryMasker implements Masker<UserSummaryDto> {

    @Override
    public UserSummaryDto mask(UserSummaryDto obj, SubatoPrincipal principal) {
        if (principal == null) {
            obj.setMail(null);
        }

        if (principal == null || !(obj.getId() == principal.getId() || principal.hasAnyRole(
            Role.Staff, Role.SuperAdmin) || principal.hasAnyGroup())) {
            obj.setLoginName(null);
        }

        return obj;
    }
}
