package de.hsrm.sls.subato.auth.oauth;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.config.annotation.ObjectPostProcessor;
import org.springframework.security.oauth2.client.web.OAuth2LoginAuthenticationFilter;
import org.springframework.stereotype.Component;

/**
 * Required for overwriting the authResultConverter in {@link OAuth2LoginAuthenticationFilter}.
 *
 * See {@link OAuth2ClientAuthResultConverter}.
 */
@Component
public class OAuth2AuthFilterPostProcessor implements
    ObjectPostProcessor<OAuth2LoginAuthenticationFilter> {

    @Autowired
    private OAuth2ClientAuthResultConverter authResultConverter;

    @Override
    public <O extends OAuth2LoginAuthenticationFilter> O postProcess(O object) {
        object.setAuthenticationResultConverter(authResultConverter);
        return object;
    }
}
