package de.hsrm.sls.subato.auth.policy;

import de.hsrm.sls.subato.auth.principal.PrincipalService;
import java.io.Serializable;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.PermissionEvaluator;
import org.springframework.security.core.Authentication;
import org.springframework.stereotype.Component;

@Component
public class PolicyPermissionEvaluator implements PermissionEvaluator {

    private static Logger logger = LoggerFactory.getLogger(PolicyPermissionEvaluator.class);

    @Autowired
    PolicyEvaluator policy;

    @Autowired
    private PrincipalService principalService;

    @Override
    public boolean hasPermission(Authentication authentication, Object targetDomainObject,
        Object permission) {
        var context = new PolicyContext.Builder()
            .setSubject(principalService.getPrincipal())
            .setObj(targetDomainObject)
            .setPermission(permission).build();
        return policy.check(context);
    }

    @Override
    public boolean hasPermission(Authentication authentication, Serializable targetId,
        String targetType, Object permission) {
        return false;
    }
}
