package de.hsrm.sls.subato.auth.policy;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.principal.SubatoPrincipal;
import de.hsrm.sls.subato.solutions.solution.model.Solution;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Component;

/**
 * The current user can do _everything_
 */
@Component
public class SuperAdminPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        return context.authenticated() && context.getSubject().hasRole(Role.SuperAdmin);
    }

    @Override
    public Specification checkAsSpec(PolicyContext context) {
        return isSuperAdmin(context.getSubject());
    }

    public static Specification<Solution> isSuperAdmin(SubatoPrincipal principal) {
        return (ex, cq, cb) -> cb.equal(cb.literal(true),
            principal != null && principal.hasRole(Role.SuperAdmin));
    }
}
