package de.hsrm.sls.subato.auth.policy.attendance;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.event.model.CourseUnitEvent;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to update attendance within a course
 */
@Component
public class AttendanceUpdatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(AttendancePermission.ATTENDANCE_UPDATE) || context.unauthenticated()) {
            return false;
        }

        var event = (CourseUnitEvent) context.getObj();
        return
            context.getSubject().hasGroup(event.getUnit().getCourse().getId(), StaffGroup.LECTURER)
                || context.getSubject()
                .hasGroup(event.getUnit().getCourse().getId(), StaffGroup.ADMIN);
    }
}
