package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to create courses
 */
@Component
public class CourseCreatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(CoursesAction.COURSE_CREATE)) {
            return false;
        }

        return !context.unauthenticated() && context.getSubject().hasRole(Role.Staff);
    }
}
