package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to delete a course
 */
@Component
public class CourseDeletePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(CoursesAction.COURSE_DELETE) || context.unauthenticated()) {
            return false;
        }

        var course = (Course) context.getObj();
        return context.getSubject().hasGroup(course, StaffGroup.ADMIN);
    }
}
