package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.apache.commons.lang3.tuple.Pair;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to view the progress of a certain user within a course
 */
@Component
public class CourseProgressViewPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(CoursesAction.COURSE_PROGRESS_VIEW) || context.unauthenticated()) {
            return false;
        }

        var info = (Pair<Long, Long>) context.getObj();
        var courseId = info.getLeft();
        var userId = info.getRight();
        return userId.equals(context.getSubject().getId()) || context.getSubject()
            .hasAnyGroup(courseId);
    }
}
