package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to trigger the course reimport
 */
@Component
public class CourseReimportPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(CoursesAction.COURSE_REIMPORT) || context.unauthenticated()) {
            return false;
        }

        return context.getSubject().hasRole(Role.SuperAdmin);
    }
}
