package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import de.hsrm.sls.subato.courses.unit.model.CourseUnit;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to update a course unit within a certain course
 */
@Component
public class CourseUnitUpdatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(CoursesAction.COURSE_UNIT_UPDATE) || context.unauthenticated()) {
            return false;
        }

        var unit = (CourseUnit) context.getObj();
        return context.getSubject().hasGroup(unit.getCourse().getId(), StaffGroup.ADMIN)
            || context.getSubject().hasGroup(unit.getCourse().getId(), StaffGroup.LECTURER);
    }
}
