package de.hsrm.sls.subato.auth.policy.courses;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.course.model.Course;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to view the participants of a certain course unit
 */
@Component
public class CourseViewParticipantsPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(CoursesAction.COURSE_VIEW_PARTICIPANTS)) {
            return false;
        }

        var course = (Course) context.getObj();
        return context.authenticated() && context.getSubject().hasAnyGroup(course.getId());
    }
}
