package de.hsrm.sls.subato.auth.policy.exercises;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to create an exercise within a certain course
 */
@Component
public class ExerciseCreatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(ExercisesAction.EXERCISE_CREATE)) {
            return false;
        }

        var course = (Course) context.getObj();
        return context.authenticated() && context.getSubject()
            .hasGroup(course.getId(), StaffGroup.ADMIN);
    }
}
