package de.hsrm.sls.subato.auth.policy.exercises;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to delete an exercise within a certain course
 */
@Component
public class ExerciseDeletePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(ExercisesAction.EXERCISE_DELETE)) {
            return false;
        }

        var exercise = (Exercise) context.getObj();
        return !context.unauthenticated() && context.getSubject()
            .hasGroup(exercise.getCourse().getId(), StaffGroup.ADMIN);
    }
}
