package de.hsrm.sls.subato.auth.policy.exercises;

import de.hsrm.sls.subato.assessment.submission.model.Submission;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to update a submission
 */
@Component
public class SubmissionUpdatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(ExercisesAction.SUBMISSION_UPDATE) || context.unauthenticated()) {
            return false;
        }

        var submission = (Submission) context.getObj();
        var course = submission.getExercise().getCourse();
        return context.getSubject().hasGroup(course, StaffGroup.ADMIN) || context.getSubject()
            .hasGroup(course, StaffGroup.LECTURER);
    }
}
