package de.hsrm.sls.subato.auth.policy.exercises;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to view the progress information for submissions for an exercise
 */
@Component
public class SubmissionViewProgressPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(ExercisesAction.SUBMISSION_VIEW_PROGRESS)
            || context.unauthenticated()) {
            return false;
        }

        var exercise = (Exercise) context.getObj();
        return context.getSubject().hasAnyGroup(exercise.getCourse().getId());
    }
}
