package de.hsrm.sls.subato.auth.policy.misconceptions;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

@Component
public class MisconceptionViewPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(MisconceptionsAction.MISCONCEPTION_VIEW)
            || context.unauthenticated()) {
            return false;
        }

        return context.getSubject().hasRole(Role.SuperAdmin);
    }
}
