package de.hsrm.sls.subato.auth.policy.modules;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to update terms
 */
@Component
public class TermUpdatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(ModulesAction.TERM_UPDATE) || context.unauthenticated()) {
            return false;
        }

        return context.getSubject().hasRole(Role.SuperAdmin);
    }
}
