package de.hsrm.sls.subato.auth.policy.solutions;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.solutions.solution.model.Solution;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to create a comment for a certain solution
 */
@Component
public class SolutionCommentCreatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(SolutionsAction.SOLUTION_COMMENT_CREATE)
            || context.unauthenticated()) {
            return false;
        }

        var solution = (Solution) context.getObj();
        var course = solution.getExercise().getCourse();
        return solution.getSubmittedBy().getId() == context.getSubject().getId()
            || context.getSubject().hasAnyGroup(course.getId());
    }
}
