package de.hsrm.sls.subato.auth.policy.solutions;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.solutions.comment.SolutionComment;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to delete a comment for a certain solution
 */
@Component
public class SolutionCommentDeletePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(SolutionsAction.SOLUTION_COMMENT_DELETE)
            || context.unauthenticated()) {
            return false;
        }

        var comment = (SolutionComment) context.getObj();
        return comment.getFrom().getId() == context.getSubject().getId();
    }
}
