package de.hsrm.sls.subato.auth.policy.solutions;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to run acceptance tests for an exercise within a certain course
 */
@Component
public class SolutionRunBulkAcceptanceTestsPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(SolutionsAction.SOLUTION_RUN_BULK_ACCEPTANCE_TESTS)
            || context.unauthenticated()) {
            return false;
        }

        var exercise = (Exercise) context.getObj();
        return context.getSubject().hasGroup(exercise.getCourse().getId(), StaffGroup.LECTURER);
    }
}
