package de.hsrm.sls.subato.auth.policy.solutions;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to submit a solution to a task (without exercise)
 */
@Component
public class SolutionSubmitTaskPolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(SolutionsAction.SOLUTION_SUBMIT_TASK) || context.unauthenticated()) {
            return false;
        }

        return context.getSubject().hasRole(Role.Staff);
    }
}
