package de.hsrm.sls.subato.auth.policy.tasks;

import de.hsrm.sls.subato.auth.Role;
import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.auth.policy.PolicyRule;
import org.springframework.stereotype.Component;

/**
 * The current user is allowed to update task pools
 */
@Component
public class TaskPoolUpdatePolicy implements PolicyRule {

    @Override
    public boolean check(PolicyContext context) {
        if (!context.matches(TasksAction.TASK_POOL_UPDATE) || context.unauthenticated()) {
            return false;
        }

        return context.getSubject().hasRole(Role.Staff);
    }
}
