package de.hsrm.sls.subato.auth.principal;

import de.hsrm.sls.subato.user.User;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring")
public interface SubatoPrincipalMapper {

    @Mapping(target = "attributes", ignore = true)
    @Mapping(target = "authorities", ignore = true)
    SubatoPrincipal map(User user);

    default CourseStaffMembership map(
        de.hsrm.sls.subato.courses.staff.model.CourseStaffMembership m) {
        var t = new CourseStaffMembership();
        t.setCourseId(m.getCourse().getId());
        t.setGroup(m.getGroup());
        return t;
    }

    default CourseParticipantProfile map(
        de.hsrm.sls.subato.courses.participantprofile.model.CourseParticipantProfile p) {
        var t = new CourseParticipantProfile();
        t.setCourseId(p.getCourse().getId());
        t.setLabChangedCounter(p.getLabChangedCounter());
        return t;
    }

    default CourseUnit map(de.hsrm.sls.subato.courses.unit.model.CourseUnit m) {
        var t = new CourseUnit();
        t.setId(m.getId());
        t.setCourseId(m.getCourse().getId());
        return t;
    }
}
