package de.hsrm.sls.subato.auth.stream;

import de.hsrm.sls.subato.auth.stream.token.StreamTokenManager;
import de.hsrm.sls.subato.shared.HtmlUrlRewriter;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * Responsible for signing urls in html documents, that point to the Subato backend.
 */
@Component
public class HtmlUrlSigner {

    @Autowired
    private StreamTokenManager tokenManager;

    @Autowired
    private HtmlUrlRewriter htmlUrlRewriter;

    public String sign(String html, HttpServletRequest request) {
        return htmlUrlRewriter.replaceUrlsInHtml(html, url -> tokenManager.sign(url, request));
    }
}