package de.hsrm.sls.subato.auth.stream.rest;

import de.hsrm.sls.subato.auth.stream.token.StreamTokenManager;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Tag(name = "Querschnitt")
class SignController {

    @Autowired
    private StreamTokenManager streamTokenManager;

    @PostMapping("/sign")
    @PreAuthorize("isAuthenticated()")
    @Operation(summary = "Signiert eine URL für den Zugriff auf geschützte Ressourcen für das Streaming von Inhalten.")
    SignResponse sign(@RequestBody SignRequest request, HttpServletRequest req) {
        var signedUrl = streamTokenManager.sign(request.getUrl(), req);
        return new SignResponse(signedUrl);
    }
}
