package de.hsrm.sls.subato.auth.stream.token;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * Thrown if
 * a) the query param for stream token has been provided but a value is missing or
 * b) if the token is invalid (because it does not exist or has expired)
 */
@ResponseStatus(value = HttpStatus.BAD_REQUEST, reason = "Token fehlt oder ungültig")
public class InvalidStreamTokenException extends RuntimeException {

}
