package de.hsrm.sls.subato.auth.stream.token;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
class StreamTokenCleanupJob {

    @Autowired
    StreamTokenManager streamTokenManager;

    private static Logger logger = LoggerFactory.getLogger(StreamTokenCleanupJob.class);

    @Scheduled(cron = "${subato.streamtoken.cron}")
    public void run() {
        logger.debug("Running StreamTokenCleanupJob");

        try {
            streamTokenManager.cleanupExpiredTokens();
            logger.debug("Finished StreamTokenCleanupJob job");
        } catch (Exception e) {
            logger.error("Running StreamTokenCleanupJob failed", e);
        }
    }
}
