package de.hsrm.sls.subato.auth.stream.token;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "subato.streamtoken")
public class StreamTokenConfig {

    /**
     * Tokens are passed through a query parameter in the URL. This is the name for the param.
     */
    public static final String QUERY_PARAM_NAME = "t";

    /**
     * token expiration in minutes
     */
    private long expiration;

    public long getExpiration() {
        return expiration;
    }

    public StreamTokenConfig setExpiration(long expiration) {
        this.expiration = expiration;
        return this;
    }
}
