package de.hsrm.sls.subato.courses.course.repository;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import org.springframework.data.domain.Sort;

public class CourseQuery {

    private CourseFilter filter;
    private Sort sort;
    private PolicyContext policyContext;

    private CourseQuery(CourseFilter filter, Sort sort, PolicyContext policyContext) {
        this.filter = filter;
        this.sort = sort;
        this.policyContext = policyContext;
    }

    public CourseFilter getFilter() {
        return filter;
    }

    public Sort getSort() {
        return sort;
    }

    public PolicyContext getPolicyContext() {
        return policyContext;
    }

    public static class Builder {

        private CourseFilter filter;
        private Sort sort;
        private PolicyContext policyContext;

        public Builder setFilter(CourseFilter filter) {
            this.filter = filter;
            return this;
        }

        public Builder setPolicyContext(PolicyContext policyContext) {
            this.policyContext = policyContext;
            return this;
        }

        public Builder setSort(Sort sort) {
            this.sort = sort;
            return this;
        }

        public CourseQuery build() {
            return new CourseQuery(filter, sort, policyContext);
        }
    }
}
