package de.hsrm.sls.subato.courses.course.repository;

import de.hsrm.sls.subato.courses.course.model.Course;
import java.util.List;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface CourseRepository extends JpaRepository<Course, Long>,
    JpaSpecificationExecutor<Course>, CourseRepositoryCustom {

    @Query("select c from Course c where c.term.id = ?1")
    List<Course> findByTermId(long id);

    boolean existsBySourceId(Long sourceId);

    Optional<Course> findBySourceId(long sourceId);
}
