package de.hsrm.sls.subato.courses.course.repository;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.staff.model.CourseStaffMembership;
import de.hsrm.sls.subato.courses.staff.model.StaffGroup;
import de.hsrm.sls.subato.user.User;
import java.util.List;

interface CourseRepositoryCustom {

    List<Course> findParticipatingCourses(User user, Long termId);

    List<Course> findCoursesWhereIsMember(User user, Long termId);

    List<Course> findAll(CourseQuery query);

    List<User> getParticipants(Course course, String query);

    boolean hasMembership(Course course, User user, StaffGroup group);

    AddStaffResult addStaff(Course course, User user, StaffGroup group);

    CourseStaffMembership getStaffMembership(Course course, User user, StaffGroup group);

    Course removeStaffMembership(Course course, CourseStaffMembership membership);
}
