package de.hsrm.sls.subato.courses.course.repository;

import static de.hsrm.sls.subato.shared.QueryPredicates.ignoreCaseContains;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.course.model.Course_;
import de.hsrm.sls.subato.modules.term.Term_;
import java.util.Optional;
import org.springframework.data.jpa.domain.Specification;

public class CourseSpecifications {

    public static Specification<Course> termEquals(long termId) {
        return (ex, cq, cb) -> cb.or(cb.equal(ex.get(Course_.term).get(Term_.id), termId),
            cb.isNull(ex.get(Course_.term)));
    }

    static Specification<Course> applyQuery(String q) {
        return (ex, cq, cb) -> cb.or(ignoreCaseContains(cb, Optional.of(q), ex.get(Course_.name)),
            ignoreCaseContains(cb, Optional.of(q), ex.get(Course_.shortName)));
    }
}
