package de.hsrm.sls.subato.courses.course.repository;

import java.io.StringWriter;
import java.nio.charset.StandardCharsets;
import org.apache.commons.io.IOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.ResourceLoader;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


@Component
@Transactional
public class DefaultDescriptionRepository {

    @Autowired
    ResourceLoader resourceLoader;

    public String getDefaultDescription() {
        try {
            var inputStream = resourceLoader.getResource(
                "classpath:static/course-default-description.md").getInputStream();
            StringWriter writer = new StringWriter();
            IOUtils.copy(inputStream, writer, StandardCharsets.UTF_8);
            return writer.toString();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
