package de.hsrm.sls.subato.courses.course.usecase;

import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.courses.course.CourseNotFoundException;
import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.course.repository.CourseRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DeleteCourseUseCase {

    @Autowired
    private CourseRepository courseRepository;

    /**
     * @throws CourseNotFoundException
     */
    public void delete(Course course) {
        if (course.isFinished()) {
            throw new CourseFinishedException();
        }
        
        courseRepository.delete(course);
    }
}
