package de.hsrm.sls.subato.courses.course.usecase;

import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.courses.course.supplement.CourseSupplementFactory;
import org.springframework.stereotype.Service;

@Service
public class ReimportCourseUseCase {

    public Course reimport(Course course) {
        if (course.isFinished()) {
            throw new CourseFinishedException();
        }

        var supplement = CourseSupplementFactory.create();
        if (supplement != null) {
            course = supplement.supplement(course);
        }

        return course;
    }
}
