package de.hsrm.sls.subato.courses.event.model;

import de.hsrm.sls.subato.attendances.attendance.model.Attendance;
import de.hsrm.sls.subato.courses.unit.model.CourseUnit;
import jakarta.persistence.CascadeType;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Objects;

@Entity
@Table(name = "course_unit_event")
public class CourseUnitEvent {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    @ManyToOne
    private CourseUnit unit;

    @ManyToOne
    private CourseUnitEventDefinition eventDefinition;

    @Column(columnDefinition = "TIMESTAMP")
    private LocalDateTime takesPlaceAt;

    @OneToMany(mappedBy = "event", cascade = CascadeType.REMOVE)
    private List<Attendance> attendances;

    private boolean isHoliday;

    public CourseUnitEvent() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public CourseUnit getUnit() {
        return unit;
    }

    public void setUnit(CourseUnit unit) {
        this.unit = unit;
    }

    public LocalDateTime getTakesPlaceAt() {
        return takesPlaceAt;
    }

    public void setTakesPlaceAt(LocalDateTime takesPlaceAt) {
        this.takesPlaceAt = takesPlaceAt;
    }

    public List<Attendance> getAttendances() {
        return attendances;
    }

    public void setAttendances(List<Attendance> attendances) {
        this.attendances = attendances;
    }

    public boolean isHoliday() {
        return isHoliday;
    }

    public void setHoliday(boolean holiday) {
        isHoliday = holiday;
    }

    public CourseUnitEventDefinition getEventDefinition() {
        return eventDefinition;
    }

    public void setEventDefinition(CourseUnitEventDefinition eventDefinition) {
        this.eventDefinition = eventDefinition;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CourseUnitEvent that = (CourseUnitEvent) o;
        return id == that.id;
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
