package de.hsrm.sls.subato.courses.event.usecase;

import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.courses.event.model.CourseUnitEvent;
import de.hsrm.sls.subato.courses.event.repository.CourseUnitEventRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UpdateEventCancellationUseCase {

    @Autowired
    private CourseUnitEventRepository courseUnitEventRepository;

    public CourseUnitEvent updateCancellation(CourseUnitEvent event, boolean isCanceled) {
        var course = event.getUnit().getCourse();
        if (course.isFinished()) {
            throw new CourseFinishedException();
        }
        
        event.setHoliday(isCanceled);
        return courseUnitEventRepository.save(event);
    }
}
