package de.hsrm.sls.subato.courses.file.usecase;

import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.courses.file.CourseFile;
import de.hsrm.sls.subato.courses.file.repository.CourseFileContentRepository;
import de.hsrm.sls.subato.courses.file.repository.CourseFileRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DeleteFileUseCase {

    @Autowired
    private CourseFileRepository courseFileRepository;

    @Autowired
    private CourseFileContentRepository courseFileContentRepository;

    public void delete(CourseFile courseFile) {
        if (courseFile.getCourse().isFinished()) {
            throw new CourseFinishedException();
        }

        courseFileRepository.delete(courseFile);
        courseFileContentRepository.delete(courseFile);
    }
}
