package de.hsrm.sls.subato.courses.participantprofile.model;

import de.hsrm.sls.subato.courses.course.model.Course;
import de.hsrm.sls.subato.user.User;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import java.util.Objects;

@Entity
@IdClass(CourseParticipantProfilePK.class)
@Table(name = "course_participant_profiles")
public class CourseParticipantProfile {

    @Id
    @ManyToOne
    @JoinColumn(name = "user_id")
    private User user;

    @Id
    @ManyToOne
    @JoinColumn(name = "course_id")
    private Course course;

    private int labChangedCounter;

    public CourseParticipantProfile(User user, Course course) {
        this.user = user;
        this.course = course;
    }

    public CourseParticipantProfile() {
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Course getCourse() {
        return course;
    }

    public void setCourse(Course course) {
        this.course = course;
    }

    public int getLabChangedCounter() {
        return labChangedCounter;
    }

    public void setLabChangedCounter(int labChangedCounter) {
        this.labChangedCounter = labChangedCounter;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        CourseParticipantProfile that = (CourseParticipantProfile) o;
        return user.equals(that.user) && course.equals(that.course);
    }

    @Override
    public int hashCode() {
        return Objects.hash(user, course);
    }
}
