package de.hsrm.sls.subato.courses.result.usecase;

public class CourseResultFilter {

    final private String query;
    final private Boolean showInvisibleExercises;

    private CourseResultFilter(String query, boolean showInvisibleExercises) {
        this.query = query;
        this.showInvisibleExercises = showInvisibleExercises;
    }

    public String getQuery() {
        return query;
    }

    public Boolean isShowInvisibleExercises() {
        return showInvisibleExercises;
    }

    public static class Builder {

        private String query;
        Boolean showInvisibleExercises;

        public Builder setQuery(String query) {
            this.query = query;
            return this;
        }

        public Builder setShowInvisibleExercises(Boolean showInvisibleExercises) {
            this.showInvisibleExercises = showInvisibleExercises;
            return this;
        }

        public CourseResultFilter build() {
            return new CourseResultFilter(query, showInvisibleExercises);
        }
    }
}
