package de.hsrm.sls.subato.courses.unit;

import de.hsrm.sls.subato.courses.staff.event.CourseStaffMembershipAddedEvent;
import de.hsrm.sls.subato.courses.unit.repository.CourseUnitRepository;
import de.hsrm.sls.subato.courses.unit.usecase.AddParticipantUseCase;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
class CourseStaffMembershipAddedListener implements
    ApplicationListener<CourseStaffMembershipAddedEvent> {

    @Autowired
    CourseUnitRepository courseUnitRepository;

    @Autowired
    AddParticipantUseCase addParticipantUseCase;

    @Override
    public void onApplicationEvent(CourseStaffMembershipAddedEvent event) {
        var course = event.getMembership().getCourse();
        var user = event.getMembership().getUser();

        var sandboxUnit = course.getSandbox();
        if (sandboxUnit != null && !courseUnitRepository.isParticipant(sandboxUnit, user)) {
            addParticipantUseCase.add(sandboxUnit, user);
        }
    }
}
