package de.hsrm.sls.subato.courses.unit;

import de.hsrm.sls.subato.courses.staff.event.CourseStaffMembershipRemovedEvent;
import de.hsrm.sls.subato.courses.unit.repository.CourseUnitRepository;
import de.hsrm.sls.subato.courses.unit.usecase.RemoveParticipantUseCase;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
class CourseStaffMembershipRemovedListener implements
    ApplicationListener<CourseStaffMembershipRemovedEvent> {

    @Autowired
    CourseUnitRepository courseUnitRepository;

    @Autowired
    RemoveParticipantUseCase removeParticipantUseCase;

    @Override
    public void onApplicationEvent(CourseStaffMembershipRemovedEvent event) {
        var course = event.getMembership().getCourse();
        var user = event.getMembership().getUser();

        var sandboxUnit = course.getSandbox();

        // todo: introduce option: existenceCheck
        if (sandboxUnit != null && courseUnitRepository.isParticipant(sandboxUnit, user)) {
            removeParticipantUseCase.remove(sandboxUnit, user);
        }
    }
}
