package de.hsrm.sls.subato.courses.unit.exception;

import de.hsrm.sls.subato.shared.exceptions.ReasonProvider;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Die Veranstaltung wurde zu oft gewechselt.")
public class JoinsExceededException extends RuntimeException implements ReasonProvider {

    private int maxLabChanges;

    public JoinsExceededException(int maxLabChanges) {
        this.maxLabChanges = maxLabChanges;
    }

    @Override
    public String getReason() {
        return "Die Veranstaltung kann nur %s mal selbständig gewechselt werden".formatted(
            maxLabChanges);
    }
}