package de.hsrm.sls.subato.courses.unit.model;

import com.fasterxml.jackson.annotation.JsonValue;

public enum CourseUnitType {
    Lecture(2, "Vorlesung", "V"),
    Lab(3, "Praktikum", "P"),
    Exercise(4, "Übung", "Ü"),
    Tut(5, "Tutorium", "T"),
    Misc(1, "", "");

    private int order;

    private String label;
    private String shortLabel;

    CourseUnitType(int order, String label, String shortLabel) {
        this.order = order;
        this.label = label;
        this.shortLabel = shortLabel;
    }

    public int getOrder() {
        return order;
    }

    public String getLabel() {
        return label;
    }

    public String getShortLabel() {
        return shortLabel;
    }

    @JsonValue
    public int toValue() {
        return ordinal();
    }
}
