package de.hsrm.sls.subato.courses.unit.repository;

import de.hsrm.sls.subato.courses.unit.model.CourseUnit;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface CourseUnitRepository extends JpaRepository<CourseUnit, Long>,
    CourseUnitRepositoryCustom {

    List<CourseUnit> findByCourseId(long id);

    @Query("select cu from CourseUnit cu inner join User u on u member of cu.participants where cu.course.id = ?1 and u.id = ?2")
    List<CourseUnit> findParticipatingUnits(long courseId, long userId);
}