package de.hsrm.sls.subato.courses.unit.usecase;

import de.hsrm.sls.subato.courses.unit.model.CourseUnit;
import de.hsrm.sls.subato.courses.unit.model.CourseUnitType;
import de.hsrm.sls.subato.courses.unit.repository.CourseUnitRepository;
import de.hsrm.sls.subato.user.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
class RemoveFromOtherLabsUseCase {

    @Autowired
    private CourseUnitRepository courseUnitRepository;

    public void execute(CourseUnit activeLab, User user) {
        var labs = user.getParticipatingUnits().stream()
            .filter(u -> u.getCourse().getId() == activeLab.getCourse().getId())
            .filter(u -> u.getType() == CourseUnitType.Lab).toList();
        for (var lab : labs) {
            if (lab.getId() != activeLab.getId()) {
                lab.getParticipants().remove(user);
                lab = courseUnitRepository.save(lab);
            }
        }
    }
}
