package de.hsrm.sls.subato.exercises.exercise.repository;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import java.util.Comparator;

public class ExerciseQuery {

    private ExerciseFilter filter;
    private Comparator<Exercise> sort;
    private PolicyContext policyContext;

    private ExerciseQuery(ExerciseFilter filter, Comparator<Exercise> sort,
        PolicyContext policyContext) {
        this.filter = filter;
        this.sort = sort;
        this.policyContext = policyContext;
    }

    public ExerciseFilter getFilter() {
        return filter;
    }

    public Comparator<Exercise> getSort() {
        return sort;
    }

    public PolicyContext getPolicyContext() {
        return policyContext;
    }

    public static class Builder {

        private ExerciseFilter filter;
        private Comparator<Exercise> sort;
        private PolicyContext policyContext;

        public Builder setFilter(ExerciseFilter filter) {
            this.filter = filter;
            return this;
        }

        public Builder setPolicyContext(PolicyContext policyContext) {
            this.policyContext = policyContext;
            return this;
        }

        public Builder setSort(Comparator<Exercise> sort) {
            this.sort = sort;
            return this;
        }

        public ExerciseQuery build() {
            return new ExerciseQuery(filter, sort, policyContext);
        }
    }
}
