package de.hsrm.sls.subato.exercises.exercise.repository;

import static de.hsrm.sls.subato.shared.QueryPredicates.ignoreCaseContains;

import de.hsrm.sls.subato.courses.course.model.Course_;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise_;
import java.util.Optional;
import org.springframework.data.jpa.domain.Specification;

public class ExerciseSpecifications {

    public static Specification<Exercise> courseEquals(long courseId) {
        return (ex, cq, cb) -> cb.equal(ex.get(Exercise_.course).get(Course_.ID), courseId);
    }

    static Specification<Exercise> applyQuery(String q) {
        return (ex, cq, cb) -> ignoreCaseContains(cb, Optional.of(q), ex.get(Exercise_.name));
    }
}
