package de.hsrm.sls.subato.exercises.exercise.usecase;

import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise;
import de.hsrm.sls.subato.exercises.exercise.repository.ExerciseRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DeleteExerciseUseCase {

    @Autowired
    private ExerciseRepository exerciseRepository;

    /**
     * deletes an exercise, including all linked task instances, solutions and submissions
     */
    public void delete(Exercise exercise) {
        if (exercise.getCourse().isFinished()) {
            throw new CourseFinishedException();
        }

        this.exerciseRepository.delete(exercise);
    }
}
