package de.hsrm.sls.subato.exercises.taskinstance.repository;

import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import java.util.Comparator;

public class TaskInstanceQuery {

    private TaskInstanceFilter filter;
    private Comparator<TaskInstance> sort;

    private TaskInstanceQuery(TaskInstanceFilter filter, Comparator<TaskInstance> sort) {
        this.filter = filter;
        this.sort = sort;
    }

    public TaskInstanceFilter getFilter() {
        return filter;
    }

    public Comparator<TaskInstance> getSort() {
        return sort;
    }

    public static class Builder {

        private TaskInstanceFilter filter;
        private Comparator<TaskInstance> sort;

        public Builder setFilter(TaskInstanceFilter filter) {
            this.filter = filter;
            return this;
        }

        public Builder setSort(Comparator<TaskInstance> sort) {
            this.sort = sort;
            return this;
        }

        public TaskInstanceQuery build() {
            return new TaskInstanceQuery(filter, sort);
        }
    }
}
