package de.hsrm.sls.subato.exercises.taskinstance.repository;

import static de.hsrm.sls.subato.shared.QueryPredicates.ignoreCaseContains;

import de.hsrm.sls.subato.courses.course.model.Course_;
import de.hsrm.sls.subato.exercises.exercise.model.Exercise_;
import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance_;
import de.hsrm.sls.subato.tasks.task.Task_;
import java.util.Optional;
import org.springframework.data.jpa.domain.Specification;

public class TaskInstanceSpecifications {

    public static Specification<TaskInstance> courseEquals(long courseId) {
        return (ex, cq, cb) -> cb.equal(
            ex.get(TaskInstance_.exercise).get(Exercise_.course).get(Course_.id), courseId);
    }

    public static Specification<TaskInstance> taskEquals(long taskId) {
        return (ex, cq, cb) -> cb.equal(ex.get(TaskInstance_.task).get(Task_.id), taskId);
    }

    public static Specification<TaskInstance> exerciseEquals(long exerciseId) {
        return (ex, cq, cb) -> cb.equal(ex.get(TaskInstance_.exercise).get(Exercise_.id),
            exerciseId);
    }

    static Specification<TaskInstance> applyQuery(String q) {
        return (ex, cq, cb) -> cb.or(
            ignoreCaseContains(cb, Optional.of(q), ex.get(TaskInstance_.task).get(Task_.name)),
            ignoreCaseContains(cb, Optional.of(q),
                ex.get(TaskInstance_.task).get(Task_.trackingId)),
            ignoreCaseContains(cb, Optional.of(q), ex.get(TaskInstance_.task).get(Task_.softId))
        );
    }
}
