package de.hsrm.sls.subato.exercises.taskinstance.usecase;

import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import de.hsrm.sls.subato.exercises.taskinstance.repository.TaskInstanceRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class PublishSolutionUseCase {

    @Autowired
    private TaskInstanceRepository taskInstanceRepository;

    public void publish(TaskInstance taskInstance, boolean publish) {
        var exercise = taskInstance.getExercise();
        if (exercise.getCourse().isFinished()) {
            throw new CourseFinishedException();
        }
        
        taskInstance.setSolutionPublic(publish);
        taskInstanceRepository.save(taskInstance);
    }
}
