package de.hsrm.sls.subato.misconceptions;

import de.hsrm.sls.subato.misclib.MisconceptionRepository;
import de.hsrm.sls.subato.misclib.model.Competence;
import io.swagger.v3.oas.annotations.tags.Tag;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Tag(name = "Fehlvorstellungen")
public class CompetenceController {

    @Autowired
    MisconceptionRepository misconceptionRepository;

    @GetMapping("/competence")
    @PreAuthorize("hasPermission(null, @MisconceptionsAction.MISCONCEPTION_VIEW)")
    List<Competence> getAll() {
        return misconceptionRepository.getCompetences();
    }
}
