package de.hsrm.sls.subato.misconceptions;

import de.hsrm.sls.subato.misclib.MisconceptionRepository;
import de.hsrm.sls.subato.misclib.model.Misconception;
import io.swagger.v3.oas.annotations.tags.Tag;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Tag(name = "Fehlvorstellungen")
public class MisconceptionController {

    @Autowired
    MisconceptionRepository misconceptionRepository;

    @GetMapping("/misconception")
    @PreAuthorize("hasPermission(null, @MisconceptionsAction.MISCONCEPTION_VIEW)")
    List<Misconception> getAll() {
        return misconceptionRepository.getMisconceptions();
    }

    @GetMapping("/misconception/{id}")
    @PreAuthorize("hasPermission(null, @MisconceptionsAction.MISCONCEPTION_VIEW)")
    Misconception getOne(@PathVariable String id) {
        var misconception = misconceptionRepository.getById(id);
        if (misconception == null) {
            throw new RuntimeException("Could not find misconception with id " + id);
        }

        return misconception;
    }
}
