package de.hsrm.sls.subato.modules.progmodule;

import de.hsrm.sls.subato.modules.program.DegreeProgram;
import de.hsrm.sls.subato.modules.term.Term;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

@Entity
@Table(name = "program_module")
public class ProgramModule {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    private String name;

    private String shortName;

    @ManyToOne
    private DegreeProgram program;

    private Integer scheduledTerm;

    private ModuleFrequency frequency;

    @Column(unique = true)
    private Long supplementId;

    public ProgramModule() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public DegreeProgram getProgram() {
        return program;
    }

    public void setProgram(DegreeProgram program) {
        this.program = program;
    }

    public ModuleFrequency getFrequency() {
        return frequency;
    }

    public Integer getScheduledTerm() {
        return scheduledTerm;
    }

    public void setFrequency(ModuleFrequency frequency) {
        this.frequency = frequency;
    }

    public void setScheduledTerm(Integer scheduledTerm) {
        this.scheduledTerm = scheduledTerm;
    }

    public boolean plannableForTerm(Term term) {
        return frequency == ModuleFrequency.EVERY_TERM ||
            frequency == ModuleFrequency.INDIVIDUAL ||
            frequency == ModuleFrequency.SUMMER_TERM && !term.isWinter() ||
            frequency == ModuleFrequency.WINTER_TERM && term.isWinter() ||
            (frequency == ModuleFrequency.EVERY_YEAR && term.isWinter() ? (scheduledTerm % 2 == 1)
                : (scheduledTerm % 2 == 0));
    }

    public Long getSupplementId() {
        return supplementId;
    }

    public void setSupplementId(Long supplementId) {
        this.supplementId = supplementId;
    }
}
