package de.hsrm.sls.subato.modules.program;

import de.hsrm.sls.subato.modules.progmodule.ProgramModule;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import java.util.List;

@Entity
@Table(name = "degree_program")
public class DegreeProgram {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;

    private String name;

    private String shortName;

    @OneToMany(mappedBy = "program")
    private List<ProgramModule> modules;

    private Integer poYear;

    private String posCode;

    private boolean isActive;

    @Column(unique = true)
    private Long supplementId;

    public DegreeProgram() {
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<ProgramModule> getModules() {
        return modules;
    }

    public void setModules(List<ProgramModule> modules) {
        this.modules = modules;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public Integer getPoYear() {
        return poYear;
    }

    public void setPoYear(Integer poYear) {
        this.poYear = poYear;
    }

    public String getPosCode() {
        return posCode;
    }

    public void setPosCode(String posCode) {
        this.posCode = posCode;
    }

    public boolean isActive() {
        return isActive;
    }

    public void setActive(boolean active) {
        isActive = active;
    }

    public Long getSupplementId() {
        return supplementId;
    }

    public void setSupplementId(Long supplementId) {
        this.supplementId = supplementId;
    }

    public boolean isDual() {
        return name.toLowerCase().endsWith("dual");
    }

    public boolean isMaster() {
        return posCode.endsWith("M");
    }

    public String getFullName() {
        var prefix = isMaster() ? "M.Sc." : "B.Sc.";
        return "%s %s %s".formatted(prefix, name, poYear);
    }
}