package de.hsrm.sls.subato.search.item;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY, property = "type")
@JsonSubTypes({
    @JsonSubTypes.Type(value = TaskInstanceItem.class, name = "taskInstance"),
    @JsonSubTypes.Type(value = ExerciseItem.class, name = "exercise"),
    @JsonSubTypes.Type(value = CourseParticipantItem.class, name = "participant"),
})
public abstract class Item {

    private String group;

    public Item() {
    }

    public Item(String group) {
        this.group = group;
    }

    public String getGroup() {
        return group;
    }
}
