package de.hsrm.sls.subato.shared.config;

import de.hsrm.sls.subato.shared.mime.MimeMapping;
import java.util.ArrayList;
import java.util.List;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "subato")
public class SubatoConfig {

    private String dataDir;
    private String tmpDir;
    private String seedDir;
    private String publicHostname;
    private int maxLabChanges;
    private Integer maxConsentChanges;
    private List<MimeMapping> mime = new ArrayList<>();
    private String contactUrl;

    public String getTmpDir() {
        return tmpDir;
    }

    public void setTmpDir(String tmpDir) {
        this.tmpDir = tmpDir;
    }

    public String getDataDir() {
        return dataDir;
    }

    public void setDataDir(String dataDir) {
        this.dataDir = dataDir;
    }

    public String getSeedDir() {
        return seedDir;
    }

    public void setSeedDir(String seedDir) {
        this.seedDir = seedDir;
    }

    public String getPublicHostname() {
        return publicHostname;
    }

    public void setPublicHostname(String publicHostname) {
        this.publicHostname = publicHostname;
    }

    public int getMaxLabChanges() {
        return maxLabChanges;
    }

    public void setMaxLabChanges(int maxLabChanges) {
        this.maxLabChanges = maxLabChanges;
    }

    public Integer getMaxConsentChanges() {
        return maxConsentChanges;
    }

    public void setMaxConsentChanges(Integer maxConsentChanges) {
        this.maxConsentChanges = maxConsentChanges;
    }

    public List<MimeMapping> getMime() {
        return mime;
    }

    public void setMime(List<MimeMapping> mime) {
        this.mime = mime;
    }

    public String getContactUrl() {
        return contactUrl;
    }

    public void setContactUrl(String contactUrl) {
        this.contactUrl = contactUrl;
    }
}
