package de.hsrm.sls.subato.shared.error;

import de.hsrm.sls.subato.shared.error.response.ErrorResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;

@Component
public class GlobalExceptionLogger {

    private static Logger logger = LoggerFactory.getLogger(GlobalExceptionLogger.class);

    public void log(ErrorResponse response, Throwable ex) {
        var sb = new StringBuilder();
        sb.append("[%s] %s".formatted(ex.getClass().getName(), response.getReasonPhrase()));
        if (ex.getMessage() != null) {
            sb.append(" ; internal: %s".formatted(ex.getMessage()));
        }

        if (response.getStatusCode() != HttpStatus.INTERNAL_SERVER_ERROR.value()) {
            logger.debug(sb.toString());
        } else {
            logger.error(sb.toString(), ex);
        }
    }
}
