package de.hsrm.sls.subato.shared.error.mapping;

import de.hsrm.sls.subato.shared.error.response.ErrorResponse;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * Framework exceptions (or exceptions from dependencies) cannot be annotated with
 * {@link ResponseStatus}. This interface can be used for mapping them into error responses.
 */
public interface ExceptionMapper {

    ErrorResponse map(Throwable source);

    boolean canMap(Throwable source);
}
