package de.hsrm.sls.subato.shared.error.mapping;

import de.hsrm.sls.subato.shared.error.response.ErrorResponse;
import org.springframework.http.HttpStatus;
import org.springframework.security.oauth2.server.resource.InvalidBearerTokenException;
import org.springframework.stereotype.Component;

@Component
class InvalidBearerTokenRemapper implements ExceptionMapper {

    @Override
    public ErrorResponse map(Throwable source) {
        return new ErrorResponse(HttpStatus.UNAUTHORIZED.value(),
            "Token ungültig", null);
    }

    @Override
    public boolean canMap(Throwable source) {
        return source instanceof InvalidBearerTokenException;
    }
}
