package de.hsrm.sls.subato.shared.error.rendering;

import de.hsrm.sls.subato.shared.error.response.ErrorResponse;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public class ExceptionRendererArgs {

    private final ErrorResponse errorResponse;
    private final HttpServletRequest request;
    private final HttpServletResponse response;

    private ExceptionRendererArgs(ErrorResponse errorResponse,
        HttpServletRequest request,
        HttpServletResponse response) {
        this.errorResponse = errorResponse;
        this.request = request;
        this.response = response;
    }

    public ErrorResponse getErrorResponse() {
        return errorResponse;
    }

    public HttpServletRequest getRequest() {
        return request;
    }

    public HttpServletResponse getResponse() {
        return response;
    }

    public static class Builder {

        private ErrorResponse errorResponse;
        private HttpServletRequest request;
        private HttpServletResponse response;

        public Builder setErrorResponse(ErrorResponse errorResponse) {
            this.errorResponse = errorResponse;
            return this;
        }

        public Builder setRequest(HttpServletRequest request) {
            this.request = request;
            return this;
        }

        public Builder setResponse(HttpServletResponse response) {
            this.response = response;
            return this;
        }

        public ExceptionRendererArgs build() {
            return new ExceptionRendererArgs(errorResponse, request, response);
        }
    }
}
