package de.hsrm.sls.subato.shared.error.rendering;

import java.util.List;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.util.MimeType;
import org.springframework.util.MimeTypeUtils;

/**
 * see {@link ExceptionRenderer}
 */
@Component
public class JsonExceptionRenderer implements ExceptionRenderer {

    @Override
    public Object render(ExceptionRendererArgs args) {
        return ResponseEntity.status(args.getErrorResponse().getStatusCode())
            .body(args.getErrorResponse());
    }

    public List<MimeType> supportedContentTypes() {
        return List.of(MimeTypeUtils.APPLICATION_JSON);
    }
}
