package de.hsrm.sls.subato.shared.error.response;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation for linking exceptions to unique error codes. If the exception is not annotated, the
 * error code will be null. Otherwise it is serialized along with the error response, so that
 * clients can identify errors using the unique {@link ErrorCode}.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Error {

    ErrorCode value();
}
