package de.hsrm.sls.subato.shared.exceptions;

/**
 * This interface enables exception classes to implement a dynamic reason based on data that can be
 * stored in the exception object. This is currently not supported by the Spring framework.
 */
public interface ReasonProvider {

    /**
     * Returns the dynamic reason. If null is returned, then the static reason from the
     * {@link org.springframework.web.bind.annotation.ResponseStatus} annotation will be used.
     */
    String getReason();
}
