package de.hsrm.sls.subato.shared.markdown;

import de.hsrm.sls.subato.shared.markdown.latex.LatexExtension;
import java.util.List;
import org.commonmark.Extension;
import org.commonmark.ext.gfm.strikethrough.StrikethroughExtension;
import org.commonmark.ext.gfm.tables.TablesExtension;
import org.commonmark.parser.Parser;
import org.commonmark.renderer.html.HtmlRenderer;
import org.springframework.stereotype.Service;


@Service
public class MarkdownParser {

    public String convertToHtml(String markdown) {
        List<Extension> extensions = List.of(
            TablesExtension.create(),
            StrikethroughExtension.create(),
            LatexExtension.create());

        var parser = Parser.builder().extensions(extensions).build();
        var document = parser.parse(markdown);

        var renderer = HtmlRenderer.builder()
            .extensions(extensions)
            .attributeProviderFactory(context -> new SyntaxHighlightAttributeProvider())
            .build();
        return renderer.render(document);
    }
}
