package de.hsrm.sls.subato.shared.markdown;

import java.util.Map;
import org.commonmark.node.FencedCodeBlock;
import org.commonmark.node.Node;
import org.commonmark.renderer.html.AttributeProvider;

public class SyntaxHighlightAttributeProvider implements AttributeProvider {

    @Override
    public void setAttributes(Node node, String tagName, Map<String, String> attributes) {
        if (node instanceof FencedCodeBlock) {
            var codeBlock = (FencedCodeBlock) node;
            attributes.put("class", "language-%s".formatted(codeBlock.getInfo()));
        }
    }
}
