package de.hsrm.sls.subato.shared.markdown.latex;

import org.commonmark.Extension;
import org.commonmark.parser.Parser;
import org.commonmark.parser.Parser.Builder;
import org.commonmark.renderer.html.HtmlRenderer;

/**
 * Responsible for correctly parsing LaTeX Math expressions. Without this extension, math
 * expressions may be truncated or changed due to some internal escaping mechanisms of the
 * commonmark-java Markdown parser. Some parts of the implementation were adapted from <a
 * href="https://github.com/noties/Markwon">Markwon</a>.
 */
public class LatexExtension implements Parser.ParserExtension, HtmlRenderer.HtmlRendererExtension {

    public static Extension create() {
        return new LatexExtension();
    }

    @Override
    public void extend(Builder builder) {
        builder.customBlockParserFactory(new LatexMathBlockParser.Factory());
    }

    @Override
    public void extend(HtmlRenderer.Builder builder) {
        builder.nodeRendererFactory(LatexMathBlockHtmlNodeRenderer::new);
    }
}
