package de.hsrm.sls.subato.shared.swagger;

import de.hsrm.sls.subato.exercises.exercise.ExerciseNotFoundException;
import de.hsrm.sls.subato.shared.exceptions.DangerousActionException;
import java.util.HashMap;
import java.util.Map;
import org.springframework.stereotype.Component;

@Component
public class ExampleDefinitions {

    private Map<Class, Exception> examples = new HashMap<>();

    public ExampleDefinitions() {
        addExample(dangerousAction());
        addExample(exerciseNotFound());
    }

    public Exception getExample(Class clazz) {
        return examples.get(clazz);
    }

    private void addExample(Exception object) {
        examples.put(object.getClass(), object);
    }

    private DangerousActionException dangerousAction() {
        return new DangerousActionException(
            "Wenn die Übung gelöscht wird, werden alle Aufgabeninstanzen gelöscht. Dabei gehen alle Lösungen verloren.",
            "Es wäre sinnvoller, die Sichtbarkeit der Übung so zu ändern, dass diese für Teilnehmer nicht mehr sichtbar ist.");

    }

    private ExerciseNotFoundException exerciseNotFound() {
        return new ExerciseNotFoundException(17L);
    }

}
