package de.hsrm.sls.subato.shared.validation;

import jakarta.validation.ConstraintViolation;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

public class ConstraintViolationMapper {

    public static <T> List<ValidationFailure> map(Set<ConstraintViolation<T>> sourceSet) {
        return sourceSet.stream().map((error) -> {
            String fieldName = error.getPropertyPath().toString();
            String errorMessage = error.getMessage();
            return new ValidationFailure(fieldName, errorMessage);
        }).collect(Collectors.toList());
    }
}
