package de.hsrm.sls.subato.shared.validation;

import de.hsrm.sls.subato.shared.error.response.Error;
import de.hsrm.sls.subato.shared.error.response.ErrorCode;
import de.hsrm.sls.subato.shared.error.response.Expose;
import java.util.List;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.BAD_REQUEST, reason = "Eingabe ist ungültig.")
@Error(ErrorCode.VALIDATION_FAILURE)
public class ValidationException extends RuntimeException {

    @Expose
    private List<ValidationFailure> failures;

    public ValidationException(List<ValidationFailure> failures) {
        this.failures = failures;
    }

    @Expose
    public List<ValidationFailure> getFailures() {
        return failures;
    }

    @Override
    public String getMessage() {
        return "failures = %s".formatted(failures.size());
    }
}
