package de.hsrm.sls.subato.shared.versioning;

import de.hsrm.sls.subato.shared.error.response.Error;
import de.hsrm.sls.subato.shared.error.response.ErrorCode;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Das Plugin muss aktualisiert werden")
@Error(ErrorCode.PLUGIN_UPGRADE_REQUIRED)
public class PluginUpgradeRequiredException extends RuntimeException {

    private String specified;

    public PluginUpgradeRequiredException(String specified) {
        this.specified = specified;
    }

    @Override
    public String getMessage() {
        return "specified = %s".formatted(specified);
    }
}
