package de.hsrm.sls.subato.shared.versioning;

import de.hsrm.sls.subato.shared.error.response.Error;
import de.hsrm.sls.subato.shared.error.response.ErrorCode;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "API Version wird nicht unterstützt")
@Error(ErrorCode.UNSUPPORTED_API_VERSION)
public class UnsupportedApiVersionException extends RuntimeException {

    private String specified;

    public UnsupportedApiVersionException(String specified) {
        this.specified = specified;
    }

    @Override
    public String getMessage() {
        return "specified = %s".formatted(specified);
    }
}
