package de.hsrm.sls.subato.solutions.cleanup;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
class SolutionCleanupJob {

    @Autowired
    CleanupSolutionsUseCase cleanupService;

    private static Logger logger = LoggerFactory.getLogger(SolutionCleanupJob.class);

    @Scheduled(cron = "#{ '${subato.solution-cleanup.enabled}' ? '${subato.solution-cleanup.cron}' : '-' }")
    public void run() {
        logger.info("Running SolutionCleanupJob");

        try {
            cleanupService.deleteAnonymousSolution();
            logger.info("Finished SolutionCleanupJob job");
        } catch (Exception e) {
            logger.error("Running SolutionCleanupJob failed", e);
        }
    }
}
