package de.hsrm.sls.subato.solutions.comment.usecase;

import de.hsrm.sls.subato.courses.course.CourseFinishedException;
import de.hsrm.sls.subato.solutions.comment.SolutionComment;
import de.hsrm.sls.subato.solutions.comment.SolutionCommentRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DeleteSolutionCommentUseCase {

    @Autowired
    private SolutionCommentRepository solutionCommentRepository;

    public void delete(SolutionComment solutionComment) {
        var exercise = solutionComment.getSolution().getExercise();
        if (exercise != null && exercise.getCourse().isFinished()) {
            throw new CourseFinishedException();
        }

        solutionCommentRepository.delete(solutionComment);
    }
}
