package de.hsrm.sls.subato.solutions.evaluation.bulk;

import de.hsrm.sls.subato.solutions.evaluation.EvalResultChangedEvent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
class EvalResultChangedListener implements
    ApplicationListener<EvalResultChangedEvent> {

    @Autowired
    BulkEvalManager bulkEvalManager;

    @Override
    public void onApplicationEvent(EvalResultChangedEvent event) {
        bulkEvalManager.notifyChanged(event.getSolution(), event.getAffectedMode());
    }
}