package de.hsrm.sls.subato.solutions.evaluation.bulk.state;

import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import java.util.List;

public class TaskInstanceState {

    private final TaskInstance taskInstance;
    private final List<SolutionState> solutionStates;

    public TaskInstanceState(TaskInstance taskInstance, List<SolutionState> solutionStates) {
        this.taskInstance = taskInstance;
        this.solutionStates = solutionStates;
    }

    public TaskInstance getTaskInstance() {
        return taskInstance;
    }

    public long getProcessed() {
        return solutionStates.stream().filter(s -> s.getResult() != SolutionStateResult.PENDING)
            .count();
    }

    public long getTotal() {
        return solutionStates.size();
    }

    public long getErrors() {
        return solutionStates.stream().filter(s -> s.getResult() == SolutionStateResult.ERROR)
            .count();
    }

    public long getSuccessful() {
        return getProcessed() - getErrors();
    }

    public List<SolutionState> getSolutionStates() {
        return solutionStates;
    }
}
