package de.hsrm.sls.subato.solutions.evaluation.exception;

import de.hsrm.sls.subato.shared.exceptions.ReasonProvider;
import de.hsrm.sls.subato.tasks.stef.spec.FileRef;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Für Auswertung erforderliche Datei in der Lösung nicht gefunden")
public class MissingFileException extends RuntimeException implements ReasonProvider {

    private FileRef template;

    public MissingFileException(FileRef template) {
        this.template = template;
    }

    @Override
    public String getReason() {
        return "Eine Datei in der Lösung für die Vorlage %s ist erforderlich, wurde aber nicht gefunden".formatted(
            template.getPath());
    }

    @Override
    public String getMessage() {
        return "template = %s".formatted(template.getPath());
    }
}
