package de.hsrm.sls.subato.solutions.evaluation.request;

import de.hsrm.sls.subato.shared.fs.FileTree;
import de.hsrm.sls.subato.tasks.stef.spec.FileRef;

/**
 * Exactly matches a source file by the path. Required, if multiple files/directories were
 * uploaded.
 * <p>
 * EXAMPLE 1:
 * <p>
 * template path: panitz/name/First.java solution path:
 * <p>
 * - solutions - 17 (root) - panitz - name - First.java
 * <p>
 * EXAMPLE 2:
 * <p>
 * template path: First.java solution path:
 * <p>
 * - solutions - 17 (root) - First.java
 */
class ExactMatcher implements FileMatcher {

    @Override
    public FileTree match(FileTree solutionTree, FileRef templateFile) {
        return solutionTree.find(i -> i.isSrc() && i.getPath().equals(templateFile.getPath()));
    }
}
