package de.hsrm.sls.subato.solutions.evaluation.request;

import de.hsrm.sls.subato.shared.fs.FileTree;
import de.hsrm.sls.subato.tasks.stef.spec.FileRef;

/**
 * Matches the first source file, if this is the only file of the solution. The file name is ignored
 * to allow users to upload e.g. First (39).java if First.java (or panitz/name/First.java) is
 * expected
 */
class FirstFileMatcher implements FileMatcher {

    @Override
    public FileTree match(FileTree solutionTree, FileRef templateFile) {
        if (solutionTree.getChildren().size() == 1 && !solutionTree.getChildren().get(0)
            .isDirectory() && solutionTree.getChildren().get(0).isSrc()) {
            return solutionTree.getChildren().get(0);
        }

        return null;
    }
}
