package de.hsrm.sls.subato.solutions.evaluation.result;

import com.fasterxml.jackson.annotation.JsonIgnore;
import de.hsrm.sls.eva.result.EvalResult;

public class EvalState {

    private boolean failed;
    private String stackRef;
    private EvalResult result;

    public String getStackRef() {
        return stackRef;
    }

    public void setStackRef(String stackRef) {
        this.stackRef = stackRef;
    }

    public boolean isFailed() {
        return failed;
    }

    public void setFailed(boolean failed) {
        this.failed = failed;
    }

    public EvalResult getResult() {
        return result;
    }

    public void setResult(EvalResult result) {
        this.result = result;
    }

    /**
     * automated rating for deciding which feedback to show
     */
    @JsonIgnore
    public EvalRating getRating() {
        if (result == null) {
            return null;
        }

        var correctness = result.getTest() != null ? result.getTest().getCorrectness() : 0;
        if ((result.getCompilation() != null && !result.getCompilation().getCompiling())
            || correctness < 0.5) {
            return EvalRating.BAD;
        }

        if (correctness >= 0.5 && correctness < 1) {
            return EvalRating.OK;
        }

        return EvalRating.GOOD;
    }
}
