package de.hsrm.sls.subato.solutions.evaluation.usecase;

import de.hsrm.sls.subato.solutions.evaluation.registry.EvaRegistry;
import de.hsrm.sls.subato.solutions.evaluation.registry.EvaluationStack;
import de.hsrm.sls.subato.tasks.task.Task;
import de.hsrm.sls.subato.tasks.task.repository.TaskRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class RefreshEvaluatorUseCase {

    @Autowired
    private EvaRegistry evaRegistry;

    @Autowired
    private TaskRepository taskRepository;

    public EvaluationStack refresh(Task task) {
        var stack = evaRegistry.get(task.getEvaluationStack().getRef());
        task.setEvaluationStack(stack);
        taskRepository.save(task);
        return stack;
    }
}
