package de.hsrm.sls.subato.solutions.solution.dto;

import de.hsrm.sls.subato.assessment.submission.dto.SubmissionMapper;
import de.hsrm.sls.subato.exercises.exercise.dto.ExerciseMapper;
import de.hsrm.sls.subato.solutions.comment.dto.SolutionCommentMapper;
import de.hsrm.sls.subato.solutions.evaluation.result.dto.EvalStateMapper;
import de.hsrm.sls.subato.solutions.solution.model.Solution;
import de.hsrm.sls.subato.tasks.task.dto.TaskMapper;
import de.hsrm.sls.subato.user.dto.UserMapper;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring", uses = {SubmissionMapper.class, EvalStateMapper.class,
    UserMapper.class, SolutionCommentMapper.class, ExerciseMapper.class, TaskMapper.class})
public interface SolutionMapper {

    @Mapping(target = "tree", ignore = true)
    SolutionDetailDto mapDetail(Solution solution);

    @Mapping(target = "commentsCount", expression = "java(solution.getComments().size())")
    SolutionSummaryDto mapSummary(Solution solution);
}
