package de.hsrm.sls.subato.solutions.solution.repository;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.solutions.solution.model.Solution;
import java.util.Comparator;

public class SolutionQuery {

    private SolutionFilter filter;
    private Comparator<Solution> sort;
    private PolicyContext policyContext;

    private SolutionQuery(SolutionFilter filter, Comparator<Solution> sort,
        PolicyContext policyContext) {
        this.filter = filter;
        this.sort = sort;
        this.policyContext = policyContext;
    }

    public SolutionFilter getFilter() {
        return filter;
    }

    public Comparator<Solution> getSort() {
        return sort;
    }

    public PolicyContext getPolicyContext() {
        return policyContext;
    }

    public static class Builder {

        private SolutionFilter filter;
        private Comparator<Solution> sort;
        private PolicyContext policyContext;

        public Builder setFilter(SolutionFilter filter) {
            this.filter = filter;
            return this;
        }

        public Builder setPolicyContext(PolicyContext policyContext) {
            this.policyContext = policyContext;
            return this;
        }

        public Builder setSort(Comparator<Solution> sort) {
            this.sort = sort;
            return this;
        }

        public SolutionQuery build() {
            return new SolutionQuery(filter, sort, policyContext);
        }
    }
}
