package de.hsrm.sls.subato.solutions.solution.usecase;

import de.hsrm.sls.subato.exercises.taskinstance.TaskInstance;
import de.hsrm.sls.subato.solutions.solution.model.Solution;
import de.hsrm.sls.subato.solutions.solution.repository.SolutionContentRepository;
import de.hsrm.sls.subato.solutions.solution.repository.SolutionFilter;
import de.hsrm.sls.subato.solutions.solution.repository.SolutionRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DeleteSolutionUseCase {

    @Autowired
    private SolutionRepository solutionRepository;

    @Autowired
    private SolutionContentRepository solutionContentRepository;

    public void delete(Solution solution) {
        solutionRepository.delete(solution);
        solutionContentRepository.delete(solution);
    }

    public void deleteByTaskInstance(TaskInstance taskInstance) {
        var spec = new SolutionFilter.Builder()
            .exerciseId(taskInstance.getExercise().getId())
            .taskId(taskInstance.getTask().getId())
            .build()
            .toSpecification();

        var solutions = solutionRepository.findAll(spec);
        for (var s : solutions) {
            delete(s);
        }
    }
}
