package de.hsrm.sls.subato.solutions.submit;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * Thrown if a solution is submitted through a submission mode, that is not configured for the
 * target task
 * <p>
 * see STEF specification
 */
@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Der Abgabemodus wird von der Aufgabe nicht unterstützt")
public class InvalidModeException extends RuntimeException {

}
