package de.hsrm.sls.subato.tasks.imp.log;

import de.hsrm.sls.subato.tasks.pool.TaskPool;
import java.time.LocalDateTime;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LogImportUseCase {

    @Autowired
    private TaskImportLogRepository logRepository;

    public void log(TaskPool pool, LogType type, String message) {
        if (!pool.isLinkedToRepository()) {
            return;
        }

        var entry = new TaskImportLog();
        entry.setPool(pool);
        entry.setType(type);
        entry.setAt(LocalDateTime.now());
        entry.setMessage(message);

        logRepository.save(entry);
    }

}
