package de.hsrm.sls.subato.tasks.lang;

import de.hsrm.sls.subato.tasks.task.Task;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import jakarta.persistence.PreRemove;
import jakarta.persistence.Table;
import java.util.ArrayList;
import java.util.List;

/**
 * just for display purpose
 */
@Entity
@Table(name = "language")
public class Language {

    public static final String JAVA = "java";

    /**
     * Human readable identifier for usage in the {@see} STEF spec
     */
    @Id
    private String id;

    /**
     * Name that should be displayed in the UI
     */
    private String name;

    @OneToMany(mappedBy = "language")
    private List<Task> tasks = new ArrayList<>();

    public String getId() {
        return id;
    }

    public void setId(String name) {
        this.id = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Task> getTasks() {
        return tasks;
    }

    @PreRemove
    private void preRemove() {
        tasks.forEach(task -> task.setLanguage(null));
    }
}
