package de.hsrm.sls.subato.tasks.lang.usecase;

import de.hsrm.sls.subato.tasks.lang.LanguageNotFoundException;
import de.hsrm.sls.subato.tasks.lang.LanguageRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DeleteLanguageUseCase {

    @Autowired
    private LanguageRepository languageRepository;

    /**
     * @throws LanguageNotFoundException
     */
    public void delete(String id) {
        var language = languageRepository.findById(id)
            .orElseThrow(() -> new LanguageNotFoundException(id));
        languageRepository.delete(language);
    }
}
