package de.hsrm.sls.subato.tasks.pool.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * if a task pool linked to a git repository is directly manipulated i.e. if tasks are imported
 * through the ui or tasks are deleted
 */
@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Dieser Aufgaben-Pool ist mit einem Git-Repository verknüpft und kann nicht direkt bearbeitet werden")
public class TaskPoolReadOnlyException extends RuntimeException {

}
