package de.hsrm.sls.subato.tasks.pool.sync;

import de.hsrm.sls.subato.tasks.pool.repository.TaskPoolRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class TaskPoolSyncJob {

    @Autowired
    SyncTaskPoolUseCase syncUseCase;

    @Autowired
    TaskPoolRepository taskPoolRepository;

    private static Logger logger = LoggerFactory.getLogger(TaskPoolSyncJob.class);

    @Scheduled(cron = "#{ '${subato.task-pool-sync.enabled}' ? '${subato.task-pool-sync.cron}' : '-' }")
    public void run() {
        logger.info("Running TaskPoolSyncJob");
        syncUseCase.syncAll(false);
    }
}
