package de.hsrm.sls.subato.tasks.pool.sync;

import de.hsrm.sls.subato.tasks.pool.repository.TaskPoolRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * Responsible for manually synchronizing all task pools linked to git repositories
 * <p>
 * for starting the synchronization, run: gradle bootRun --args='sync:pools'
 */
@Component
public class TaskPoolSyncRunner implements CommandLineRunner {

    @Autowired
    SyncTaskPoolUseCase syncUseCase;

    @Autowired
    TaskPoolRepository taskPoolRepository;

    private static Logger logger = LoggerFactory.getLogger(TaskPoolSyncRunner.class);

    @Override
    public void run(String... args) {
        if (args.length < 1 || !args[0].equals("sync:pools")) {
            return;
        }

        syncUseCase.syncAll(true);
        System.exit(0);
    }
}
