package de.hsrm.sls.subato.tasks.pool.sync.repository;

import de.hsrm.sls.subato.shared.exceptions.ReasonProvider;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Das Repository wurde nicht gefunden.")
public class RepositoryDoesNotExistException extends RuntimeException implements ReasonProvider {

    private String repositoryUrl;

    public RepositoryDoesNotExistException(String repositoryUrl) {
        this.repositoryUrl = repositoryUrl;
    }

    @Override
    public String getReason() {
        return "Das Repository %s wurde nicht gefunden".formatted(repositoryUrl);
    }

    @Override
    public String getMessage() {
        return "repositoryUrl = %s".formatted(repositoryUrl);
    }
}
