package de.hsrm.sls.subato.tasks.pool.usecase;

import de.hsrm.sls.subato.tasks.pool.exception.TaskPoolNotFoundException;
import de.hsrm.sls.subato.tasks.pool.repository.TaskPoolRepository;
import de.hsrm.sls.subato.tasks.pool.sync.repository.TaskPoolRepositoryManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DeleteTaskPoolUseCase {

    @Autowired
    private TaskPoolRepository taskPoolRepository;

    @Autowired
    private TaskPoolRepositoryManager taskPoolRepositoryManager;

    /**
     * deletes a task pool, including all tasks and linked task instances, solutions etc.
     * (DANGEROUS, BE CAREFUL!)
     */
    public void delete(long id) {
        var pool = taskPoolRepository.findById(id)
            .orElseThrow(() -> new TaskPoolNotFoundException(id));
        this.taskPoolRepository.delete(pool);

        if (pool.isLinkedToRepository()) {
            taskPoolRepositoryManager.removeRepository(pool);
        }
    }
}
