package de.hsrm.sls.subato.tasks.stef.cache;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import de.hsrm.sls.subato.tasks.stef.spec.StefSpec;

@JsonDeserialize(using = StefSpecCacheDeserializer.class)
public class StefSpecCache {

    /**
     * @see #serializationVersion
     * <p>
     * this value needs to be incremented if breaking changes are made in this class, which would
     * lead to parsing errors. in this case, the spec needs to be parsed and serialized again
     */
    public static final int SERIALIZATION_VERSION = 14;

    /**
     * not to be confused with the version of the spec! Changes in this model can occur, even if the
     * spec version did not change. So this attribute determines if the cache needs to be rebuilt.
     */
    private int serializationVersion;

    private StefSpec spec;

    public StefSpecCache(int serializationVersion, StefSpec spec) {
        this.serializationVersion = serializationVersion;
        this.spec = spec;
    }

    public int getSerializationVersion() {
        return serializationVersion;
    }

    public void setSerializationVersion(int serializationVersion) {
        this.serializationVersion = serializationVersion;
    }

    public StefSpec getSpec() {
        return spec;
    }

    public void setSpec(StefSpec spec) {
        this.spec = spec;
    }
}
