package de.hsrm.sls.subato.tasks.stef.parser;

import de.hsrm.sls.subato.shared.exceptions.ReasonProvider;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * the spec is not a valid {@see STEF spec} with respect to syntax or semantic
 */
@ResponseStatus(code = HttpStatus.BAD_REQUEST, reason = "Spezifikation ist ungültig.")
public class InvalidSpecException extends RuntimeException implements ReasonProvider {

    public InvalidSpecException(String message) {
        super(message);
    }

    @Override
    public String getReason() {
        return "Spezifikation ist ungültig: %s.".formatted(getMessage());
    }
}
