package de.hsrm.sls.subato.tasks.stef.parser.meta;

import de.hsrm.sls.subato.tasks.stef.parser.meta.xml.TaskXml;
import java.util.HashMap;
import java.util.Map;
import org.springframework.stereotype.Service;

@Service
public class EvaluatorParamResolver {

    public Map<String, String> resolve(TaskXml doc) {
        var params = new HashMap<String, String>();

        if (doc.getEvaluatorParams() == null) {
            return params;
        }

        for (var xmlParam : doc.getEvaluatorParams().getParams()) {
            params.put(xmlParam.getKey(), xmlParam.getValue());
        }

        return params;
    }
}
