package de.hsrm.sls.subato.tasks.stef.parser.meta;

import jakarta.xml.bind.ValidationEvent;
import jakarta.xml.bind.ValidationEventHandler;
import java.util.ArrayList;
import java.util.List;

class MetaValidationEventHandler implements ValidationEventHandler {

    private List<String> validationMessages = new ArrayList<>();

    @Override
    public boolean handleEvent(ValidationEvent event) {
        if (event.getSeverity() == ValidationEvent.ERROR
            || event.getSeverity() == ValidationEvent.FATAL_ERROR) {
            validationMessages.add(event.getMessage());

            // don't throw an exception here, it will be rethrown as JAXBException without context
            return false;
        }
        return true;
    }

    public List<String> getValidationMessages() {
        return validationMessages;
    }
}