package de.hsrm.sls.subato.tasks.stef.parser.meta;

import de.hsrm.sls.subato.shared.mime.MimeMapping;
import de.hsrm.sls.subato.tasks.stef.parser.meta.xml.TaskXml;
import java.util.ArrayList;
import java.util.List;
import org.springframework.stereotype.Service;

@Service
class MimeMappingResolver {

    public List<MimeMapping> resolve(TaskXml doc) {
        var mimeMappings = new ArrayList<MimeMapping>();

        if (doc.getMimeMappings() != null) {
            for (var mapping : doc.getMimeMappings().getMappings()) {
                mimeMappings.add(new MimeMapping(mapping.getMap(), mapping.getAs()));
            }
        }

        return mimeMappings;
    }
}
