package de.hsrm.sls.subato.tasks.stef.spec;

import com.fasterxml.jackson.annotation.JsonValue;
import java.util.Arrays;

public enum FileType {
    TEST(5, "test"),
    INCLUDE(4, "include"),
    TEMPLATE(3, "template"),
    SOLUTION(7, "solution"),
    MISC(2, "misc"),
    ACCEPTANCETEST(6, "acceptanceTest");

    int order;
    String identifier;

    FileType(int order, String identifier) {
        this.order = order;
        this.identifier = identifier;
    }

    @JsonValue
    public int toValue() {
        return ordinal();
    }

    public int getOrder() {
        return order;
    }

    public String getIdentifier() {
        return identifier;
    }

    public static FileType fromIdentifier(String identifier) {
        return Arrays.stream(FileType.values())
            .filter(e -> e.identifier.equalsIgnoreCase(identifier)).findAny().orElse(null);
    }
}
