package de.hsrm.sls.subato.tasks.stef.spec;

import com.fasterxml.jackson.annotation.JsonIgnore;
import de.hsrm.sls.subato.misclib.model.Competence;
import de.hsrm.sls.subato.shared.mime.MimeMapping;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * Represents the meta.xml in a STEF specification
 */
public class Meta {

    String trackingId;
    String name;
    String description;
    Integer attempts;
    Long legacyId;
    String language;
    String evaluator;
    Map<String, String> evaluatorParams;
    SubmissionModeConfig submissionModeConfig;
    List<FileRef> files;
    List<MimeMapping> mimeMappings;
    List<Competence> competences;

    public String getTrackingId() {
        return trackingId;
    }

    public void setTrackingId(String trackingId) {
        this.trackingId = trackingId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getAttempts() {
        return attempts;
    }

    public void setAttempts(Integer attempts) {
        this.attempts = attempts;
    }

    public Long getLegacyId() {
        return legacyId;
    }

    public void setLegacyId(Long legacyId) {
        this.legacyId = legacyId;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getEvaluator() {
        return evaluator;
    }

    public void setEvaluator(String evaluator) {
        this.evaluator = evaluator;
    }

    public Map<String, String> getEvaluatorParams() {
        return evaluatorParams;
    }

    public void setEvaluatorParams(Map<String, String> evaluatorParams) {
        this.evaluatorParams = evaluatorParams;
    }

    public SubmissionModeConfig getSubmissionModeConfig() {
        return submissionModeConfig;
    }

    public void setSubmissionModeConfig(SubmissionModeConfig submissionModeConfig) {
        this.submissionModeConfig = submissionModeConfig;
    }

    public List<FileRef> getFiles() {
        return files;
    }

    public void setFiles(List<FileRef> files) {
        this.files = files;
    }

    @JsonIgnore
    public List<FileRef> getTemplateFiles() {
        return files.stream().filter(f -> f.getType() == FileType.TEMPLATE)
            .collect(Collectors.toList());
    }

    public List<MimeMapping> getMimeMappings() {
        return mimeMappings;
    }

    public void setMimeMappings(List<MimeMapping> mimeMappings) {
        this.mimeMappings = mimeMappings;
    }

    public List<Competence> getCompetences() {
        return competences;
    }

    public void setCompetences(List<Competence> competences) {
        this.competences = competences;
    }
}
