package de.hsrm.sls.subato.tasks.task.dto;

import de.hsrm.sls.subato.misclib.model.Competence;
import de.hsrm.sls.subato.solutions.evaluation.registry.EvaluationStack;
import de.hsrm.sls.subato.tasks.lang.dto.LanguageDto;
import de.hsrm.sls.subato.tasks.pool.dto.TaskPoolDto;
import de.hsrm.sls.subato.tasks.stef.spec.SubmissionModeType;
import java.util.List;

public class TaskDto {

    private long id;
    private String name;
    @Deprecated
    private String idName;
    private String softId;
    private String trackingId;
    private String description;
    private Integer attempts;
    private LanguageDto language;
    private EvaluationStack evaluationStack;
    private SubmissionModeType defaultSubmissionMode;
    private boolean supportsFileSubmissionMode;
    private boolean supportsTextSubmissionMode;
    private TaskPoolDto pool;
    private boolean acceptanceTestAvailable;
    private boolean supportedByEclipsePlugin;
    private String repositoryUrl;
    private List<String> allowedExtensions;
    private boolean archived;
    private String bundle;
    private List<Competence> competences;

    public long getId() {
        return id;
    }

    public String getSoftId() {
        return softId;
    }

    public void setSoftId(String softId) {
        this.softId = softId;
    }

    public String getIdName() {
        return idName;
    }

    public void setIdName(String idName) {
        this.idName = idName;
    }

    public String getTrackingId() {
        return trackingId;
    }

    public void setTrackingId(String trackingId) {
        this.trackingId = trackingId;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getAttempts() {
        return attempts;
    }

    public void setAttempts(Integer attempts) {
        this.attempts = attempts;
    }

    public LanguageDto getLanguage() {
        return language;
    }

    public void setLanguage(LanguageDto language) {
        this.language = language;
    }

    public TaskPoolDto getPool() {
        return pool;
    }

    public void setPool(TaskPoolDto pool) {
        this.pool = pool;
    }

    public boolean isAcceptanceTestAvailable() {
        return acceptanceTestAvailable;
    }

    public void setAcceptanceTestAvailable(boolean acceptanceTestAvailable) {
        this.acceptanceTestAvailable = acceptanceTestAvailable;
    }

    public SubmissionModeType getDefaultSubmissionMode() {
        return defaultSubmissionMode;
    }

    public void setDefaultSubmissionMode(SubmissionModeType defaultSubmissionMode) {
        this.defaultSubmissionMode = defaultSubmissionMode;
    }

    public boolean isSupportsFileSubmissionMode() {
        return supportsFileSubmissionMode;
    }

    public void setSupportsFileSubmissionMode(boolean supportsFileSubmissionMode) {
        this.supportsFileSubmissionMode = supportsFileSubmissionMode;
    }

    public boolean isSupportsTextSubmissionMode() {
        return supportsTextSubmissionMode;
    }

    public void setSupportsTextSubmissionMode(boolean supportsTextSubmissionMode) {
        this.supportsTextSubmissionMode = supportsTextSubmissionMode;
    }

    public boolean isSupportedByEclipsePlugin() {
        return supportedByEclipsePlugin;
    }

    public void setSupportedByEclipsePlugin(boolean supportedByEclipsePlugin) {
        this.supportedByEclipsePlugin = supportedByEclipsePlugin;
    }

    public String getRepositoryUrl() {
        return repositoryUrl;
    }

    public void setRepositoryUrl(String repositoryUrl) {
        this.repositoryUrl = repositoryUrl;
    }

    public List<String> getAllowedExtensions() {
        return allowedExtensions;
    }

    public void setAllowedExtensions(List<String> allowedExtensions) {
        this.allowedExtensions = allowedExtensions;
    }

    public boolean isArchived() {
        return archived;
    }

    public void setArchived(boolean archived) {
        this.archived = archived;
    }

    public String getBundle() {
        return bundle;
    }

    public void setBundle(String bundle) {
        this.bundle = bundle;
    }

    public List<Competence> getCompetences() {
        return competences;
    }

    public void setCompetences(List<Competence> competences) {
        this.competences = competences;
    }

    public EvaluationStack getEvaluationStack() {
        return evaluationStack;
    }

    public void setEvaluationStack(EvaluationStack evaluationStack) {
        this.evaluationStack = evaluationStack;
    }
}
