package de.hsrm.sls.subato.tasks.task.exception;

import de.hsrm.sls.subato.shared.exceptions.ReasonProvider;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Die Datei existiert nicht")
public class FileNotFoundException extends RuntimeException implements ReasonProvider {

    private String uuid;

    private long taskId;

    public FileNotFoundException(String uuid, long taskId) {
        this.uuid = uuid;
        this.taskId = taskId;
    }

    @Override
    public String getReason() {
        return "Die Datei %s existiert nicht in der Aufgabe mit ID %s".formatted(uuid, taskId);
    }

    @Override
    public String getMessage() {
        return "uuid = %s, taskId = %s".formatted(uuid, taskId);
    }
}