package de.hsrm.sls.subato.tasks.task.repository;

import de.hsrm.sls.subato.tasks.task.Task;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;

class TaskRepositoryImpl implements TaskRepositoryCustom {

    @Autowired
    @Lazy
    private TaskRepository taskRepository;

    public Page<Task> getAll(TaskFilter filter, Pageable page) {
        Specification<Task> spec = filter.toSpecification();
        return taskRepository.findAll(spec, page);
    }

    public List<Task> getAll(TaskFilter filter) {
        Specification<Task> spec = filter.toSpecification();
        return taskRepository.findAll(spec);
    }
}
