package de.hsrm.sls.subato.tasks.task.repository;

import static de.hsrm.sls.subato.shared.QueryPredicates.ignoreCaseContains;

import de.hsrm.sls.subato.tasks.pool.TaskPool_;
import de.hsrm.sls.subato.tasks.task.Task;
import de.hsrm.sls.subato.tasks.task.Task_;
import java.util.Optional;
import org.springframework.data.jpa.domain.Specification;

public class TaskSpecifications {

    public static Specification<Task> showArchived(boolean showArchived) {
        return (ex, cq, cb) -> cb.or(
            cb.equal(ex.get(Task_.archived), false),
            cb.and(
                cb.equal(ex.get(Task_.archived), true),
                cb.equal(ex.get(Task_.archived), showArchived)
            )
        );
    }

    public static Specification<Task> applyQuery(String q) {
        return (ex, cq, cb) -> cb.or(
            ignoreCaseContains(cb, Optional.of(q), ex.get(Task_.name)),
            ignoreCaseContains(cb, Optional.of(q), ex.get(Task_.trackingId)),
            ignoreCaseContains(cb, Optional.of(q), ex.get(Task_.softId))
            //ignoreCaseContains(cb, Optional.of(q), ex.get(Task_.description))
        );
    }

    public static Specification<Task> poolEquals(Long poolId) {
        return (ex, cq, cb) -> cb.equal(ex.get(Task_.pool).get(TaskPool_.id), poolId);
    }
}
