package de.hsrm.sls.subato.tasks.task.usecase;

import de.hsrm.sls.subato.tasks.task.Task;
import de.hsrm.sls.subato.tasks.task.exception.TaskNotFoundException;
import de.hsrm.sls.subato.tasks.task.repository.TaskRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ArchiveTaskUseCase {

    @Autowired
    private TaskRepository taskRepository;

    /**
     * archive (soft-delete) the task, so that links to solutions, task instances etc. will be
     * preserved
     *
     * @param task to be archived
     * @return the archived task
     * @throws TaskNotFoundException
     */
    public Task archive(Task task) {
        task.setArchived(true);
        return taskRepository.save(task);
    }
}
