package de.hsrm.sls.subato.tasks.task.usecase;

import de.hsrm.sls.subato.tasks.pool.exception.TaskPoolReadOnlyException;
import de.hsrm.sls.subato.tasks.task.Task;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DeleteTaskUseCase {

    @Autowired
    private ArchiveTaskUseCase archiveTaskUseCase;

    public void delete(Task task) {
        if (task.getPool().isLinkedToRepository()) {
            throw new TaskPoolReadOnlyException();
        }

        archiveTaskUseCase.archive(task);
    }
}
