package de.hsrm.sls.subato.tasks.task.usecase;

import de.hsrm.sls.subato.tasks.stef.spec.FileRef;
import de.hsrm.sls.subato.tasks.task.Task;
import de.hsrm.sls.subato.tasks.task.exception.TaskArchivedException;
import de.hsrm.sls.subato.tasks.task.repository.TaskContentRepository;
import java.io.File;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DownloadFileUseCase {

    @Autowired
    private TaskContentRepository taskContentRepository;

    public File getFile(Task task, FileRef ref) {
        if (task.isArchived()) {
            throw new TaskArchivedException();
        }

        return taskContentRepository.getFileByRef(task, ref);
    }

    public File getFile(Task task, String uuid) {
        var ref = task.getFileRefById(uuid);
        return getFile(task, ref);
    }
}
