package de.hsrm.sls.subato.user;

import de.hsrm.sls.subato.auth.principal.PrincipalService;
import de.hsrm.sls.subato.shared.config.SubatoConfig;
import de.hsrm.sls.subato.user.dto.UpdateProfileDto;
import de.hsrm.sls.subato.user.repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class UpdateProfileUseCase {

    @Autowired
    private UserRepository userRepository;

    @Autowired
    private PrincipalService principalService;

    @Autowired
    private SubatoConfig subatoConfig;

    public User update(User user, UpdateProfileDto dto) {
        if (subatoConfig.getMaxConsentChanges() != null
            && user.getConsentChangeCount() > subatoConfig.getMaxConsentChanges()) {
            throw new ConsentChangedTooOftenException();
        }

        user.setConsentedToCollection(dto.isConsentedToCollection());
        user.setConsentChangeCount(user.getConsentChangeCount() + 1);

        user = userRepository.save(user);
        principalService.evictPrincipal(user);
        return user;
    }
}
