package de.hsrm.sls.subato.user;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(code = HttpStatus.NOT_FOUND, reason = "Der Benutzer existiert nicht.")
public class UserNotFoundException extends RuntimeException {

    private long id;
    private String loginName;

    public UserNotFoundException(long id) {
        this.id = id;
    }

    public UserNotFoundException(String loginName) {
        this.loginName = loginName;
    }

    @Override
    public String getMessage() {
        return "userId = %s, loginName = %s".formatted(id, loginName);
    }
}