package de.hsrm.sls.subato.user.repository;

import de.hsrm.sls.subato.auth.policy.PolicyContext;
import de.hsrm.sls.subato.user.User;
import java.util.Comparator;

public class UserQuery {

    private UserFilter filter;
    private Comparator<User> sort;
    private PolicyContext policyContext;

    private UserQuery(UserFilter filter, Comparator<User> sort, PolicyContext policyContext) {
        this.filter = filter;
        this.sort = sort;
        this.policyContext = policyContext;
    }

    public UserFilter getFilter() {
        return filter;
    }

    public Comparator<User> getSort() {
        return sort;
    }

    public PolicyContext getPolicyContext() {
        return policyContext;
    }

    public static class Builder {

        private UserFilter filter;
        private Comparator<User> sort;
        private PolicyContext policyContext;

        public Builder setFilter(UserFilter filter) {
            this.filter = filter;
            return this;
        }

        public Builder setPolicyContext(PolicyContext policyContext) {
            this.policyContext = policyContext;
            return this;
        }

        public Builder setSort(Comparator<User> sort) {
            this.sort = sort;
            return this;
        }

        public UserQuery build() {
            return new UserQuery(filter, sort, policyContext);
        }
    }
}
