package de.hsrm.sls.subato.user.repository;

import de.hsrm.sls.subato.user.User;
import de.hsrm.sls.subato.user.User_;
import java.util.Comparator;
import org.springframework.data.domain.Sort;

public class UserSort {

    public static Comparator<User> byName() {
        return Comparator.comparing(User::getLastName, Comparator.nullsLast(String::compareTo))
            .thenComparing(User::getFirstName, Comparator.nullsLast(String::compareTo));
    }

    public static class Native {

        public static Sort byName() {
            return Sort.by(
                Sort.Order.asc(User_.LAST_NAME),
                Sort.Order.asc(User_.FIRST_NAME));
        }
    }
}
