package de.hsrm.sls.subato;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.core.annotation.AliasFor;
import org.springframework.test.context.ActiveProfiles;

// see https://stackoverflow.com/questions/39690094/spring-boot-default-profile-for-integration-tests
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@SpringBootTest
@ActiveProfiles
public @interface SubatoTest {

    @AliasFor(annotation = ActiveProfiles.class, attribute = "profiles") String[] activeProfiles() default {
        "testsuite"};
}