package de.hsrm.sls.subato.courses.course;

import static de.hsrm.sls.subato.utils.MockMvcHelper.getJson;
import static org.springframework.test.web.servlet.result.MockMvcResultHandlers.print;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

import de.hsrm.sls.subato.SubatoTest;
import de.hsrm.sls.subato.Tags;
import org.junit.jupiter.api.Tag;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.security.test.context.support.WithUserDetails;
import org.springframework.test.web.servlet.MockMvc;

@SubatoTest
@AutoConfigureMockMvc
@Tag(Tags.INTEGRATION)
public class GetCourseUnitsTest {

    @Autowired
    private MockMvc mockMvc;

    @Test
    public void shouldGetAsGuest() throws Exception {
        this.mockMvc.perform(getJson("/course/1/units"))
            .andDo(print()).andExpect(status().isOk());
    }

    @Test
    @WithUserDetails("U_STUD")
    public void shouldGetAsStudent() throws Exception {
        this.mockMvc.perform(getJson("/course/1/units"))
            .andDo(print()).andExpect(status().isOk());
    }
}
