package de.hsrm.sls.subato.solutions.solution;

import static de.hsrm.sls.subato.utils.MockMvcHelper.getJson;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

import de.hsrm.sls.subato.SubatoTest;
import de.hsrm.sls.subato.Tags;
import de.hsrm.sls.subato.utils.PrepareSubatoDataDir;
import de.hsrm.sls.subato.utils.SubatoTmpDirCleanup;
import java.util.Optional;
import java.util.UUID;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Tag;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.security.test.context.support.WithUserDetails;
import org.springframework.test.web.servlet.MockMvc;

/**
 * Integration Test für {@link SolutionController#getFile(Long, UUID, Optional)}
 */
@SubatoTest
@AutoConfigureMockMvc
@Tag(Tags.INTEGRATION)
public class GetFileTest {

    @Autowired
    private MockMvc mockMvc;

    @BeforeAll
    public static void beforeAll(@Autowired PrepareSubatoDataDir dataDirCleanup,
        @Autowired SubatoTmpDirCleanup tmpDirCleanup) {
        dataDirCleanup.exec();
        tmpDirCleanup.exec();
    }

    @Test
    @WithUserDetails("U_C1A")
    public void shouldGetFile() throws Exception {
        this.mockMvc.perform(getJson("/solution/1/file/b3e5a0ff-94e9-40e9-9633-8fd966ff7010"))
            .andExpect(status().isOk());
    }
}
