package de.hsrm.sls.subato.utils;

import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import de.hsrm.sls.subato.courses.course.dto.CourseDto;
import de.hsrm.sls.subato.modules.term.TermDto;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class JsonHelper {

    @Autowired
    private ObjectMapper objectMapper;

    public String asJsonString(final Object obj) {
        try {
            return objectMapper.writeValueAsString(obj);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public List<CourseDto> asJsonList(String jsonString) {
        try {
            return objectMapper.readValue(jsonString, new TypeReference<List<CourseDto>>() {
            });
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public List<TermDto> termAsJsonList(String jsonString) {
        try {
            return objectMapper.readValue(jsonString, new TypeReference<List<TermDto>>() {
            });
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public CourseDto jsonAsDto(String jsonString) {
        try {
            return objectMapper.readValue(jsonString, CourseDto.class);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    public TermDto jsonAsTermDto(String jsonString) {
        try {
            return objectMapper.readValue(jsonString, TermDto.class);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

}
