package name.panitz.record;
record Date(int day, int month, int year){
  public Date {
    if (day <= 0||month<=0|year<=0)
      throw new IllegalArgumentException(String.format("(%d.%d.%d)", day, month, year));
  }
  boolean isEarlierThan(Date that){
    return
         year<that.year
      || (year==that.year && month<that.month)
      || (year==that.year && month==that.month && day<that.day);
  }
  
  boolean isLaterThan(Date that){
    return that.isEarlierThan(this);
  }
  boolean isLeapYear(){
    return year%400==0
     ||(year%4==0 && year%100!=0);
  }
}